-- MySQL dump 10.11
--
-- Host: localhost    Database: centreon2
-- ------------------------------------------------------
-- Server version	5.0.45

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `acl_group_contacts_relations`
--

DROP TABLE IF EXISTS `acl_group_contacts_relations`;
CREATE TABLE `acl_group_contacts_relations` (
  `agcr_id` int(11) NOT NULL auto_increment,
  `contact_contact_id` int(11) default NULL,
  `acl_group_id` int(11) default NULL,
  PRIMARY KEY  (`agcr_id`),
  KEY `contact_contact_id` (`contact_contact_id`),
  KEY `acl_group_id` (`acl_group_id`),
  CONSTRAINT `acl_group_contacts_relations_ibfk_1` FOREIGN KEY (`contact_contact_id`) REFERENCES `contact` (`contact_id`) ON DELETE CASCADE,
  CONSTRAINT `acl_group_contacts_relations_ibfk_2` FOREIGN KEY (`acl_group_id`) REFERENCES `acl_groups` (`acl_group_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_group_contacts_relations`
--

LOCK TABLES `acl_group_contacts_relations` WRITE;
/*!40000 ALTER TABLE `acl_group_contacts_relations` DISABLE KEYS */;
INSERT INTO `acl_group_contacts_relations` VALUES (20,17,14),(21,18,14);
/*!40000 ALTER TABLE `acl_group_contacts_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_group_topology_relations`
--

DROP TABLE IF EXISTS `acl_group_topology_relations`;
CREATE TABLE `acl_group_topology_relations` (
  `agt_id` int(11) NOT NULL auto_increment,
  `acl_group_id` int(11) default NULL,
  `acl_topology_id` int(11) default NULL,
  PRIMARY KEY  (`agt_id`),
  KEY `acl_group_id` (`acl_group_id`),
  KEY `acl_topology_id` (`acl_topology_id`),
  CONSTRAINT `acl_group_topology_relations_ibfk_1` FOREIGN KEY (`acl_group_id`) REFERENCES `acl_groups` (`acl_group_id`) ON DELETE CASCADE,
  CONSTRAINT `acl_group_topology_relations_ibfk_2` FOREIGN KEY (`acl_topology_id`) REFERENCES `acl_topology` (`acl_topo_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_group_topology_relations`
--

LOCK TABLES `acl_group_topology_relations` WRITE;
/*!40000 ALTER TABLE `acl_group_topology_relations` DISABLE KEYS */;
INSERT INTO `acl_group_topology_relations` VALUES (30,14,4),(31,14,5),(33,14,6),(34,14,13);
/*!40000 ALTER TABLE `acl_group_topology_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_groups`
--

DROP TABLE IF EXISTS `acl_groups`;
CREATE TABLE `acl_groups` (
  `acl_group_id` int(11) NOT NULL auto_increment,
  `acl_group_name` varchar(255) default NULL,
  `acl_group_alias` varchar(255) default NULL,
  `acl_group_activate` enum('0','1','2') default NULL,
  PRIMARY KEY  (`acl_group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_groups`
--

LOCK TABLES `acl_groups` WRITE;
/*!40000 ALTER TABLE `acl_groups` DISABLE KEYS */;
INSERT INTO `acl_groups` VALUES (14,'Guest','Guest','1');
/*!40000 ALTER TABLE `acl_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_res_group_relations`
--

DROP TABLE IF EXISTS `acl_res_group_relations`;
CREATE TABLE `acl_res_group_relations` (
  `argr_id` int(11) NOT NULL auto_increment,
  `acl_res_id` int(11) default NULL,
  `acl_group_id` int(11) default NULL,
  PRIMARY KEY  (`argr_id`),
  KEY `acl_res_id` (`acl_res_id`),
  KEY `acl_group_id` (`acl_group_id`),
  CONSTRAINT `acl_res_group_relations_ibfk_1` FOREIGN KEY (`acl_res_id`) REFERENCES `acl_resources` (`acl_res_id`) ON DELETE CASCADE,
  CONSTRAINT `acl_res_group_relations_ibfk_2` FOREIGN KEY (`acl_group_id`) REFERENCES `acl_groups` (`acl_group_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=171 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_res_group_relations`
--

LOCK TABLES `acl_res_group_relations` WRITE;
/*!40000 ALTER TABLE `acl_res_group_relations` DISABLE KEYS */;
INSERT INTO `acl_res_group_relations` VALUES (170,7,14);
/*!40000 ALTER TABLE `acl_res_group_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_resources`
--

DROP TABLE IF EXISTS `acl_resources`;
CREATE TABLE `acl_resources` (
  `acl_res_id` int(11) NOT NULL auto_increment,
  `acl_res_name` varchar(255) default NULL,
  `acl_res_alias` varchar(255) default NULL,
  `acl_res_activate` enum('0','1','2') default NULL,
  `acl_res_comment` text,
  `acl_res_status` enum('0','1') default NULL,
  `changed` int(11) default NULL,
  PRIMARY KEY  (`acl_res_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_resources`
--

LOCK TABLES `acl_resources` WRITE;
/*!40000 ALTER TABLE `acl_resources` DISABLE KEYS */;
INSERT INTO `acl_resources` VALUES (7,'NetWork and DB','NetWork and DB','1',NULL,NULL,0);
/*!40000 ALTER TABLE `acl_resources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_resources_hg_relations`
--

DROP TABLE IF EXISTS `acl_resources_hg_relations`;
CREATE TABLE `acl_resources_hg_relations` (
  `arhge_id` int(11) NOT NULL auto_increment,
  `hg_hg_id` int(11) default NULL,
  `acl_res_id` int(11) default NULL,
  PRIMARY KEY  (`arhge_id`)
) ENGINE=InnoDB AUTO_INCREMENT=203 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_resources_hg_relations`
--

LOCK TABLES `acl_resources_hg_relations` WRITE;
/*!40000 ALTER TABLE `acl_resources_hg_relations` DISABLE KEYS */;
INSERT INTO `acl_resources_hg_relations` VALUES (57,41,6),(58,49,1),(200,40,2),(201,42,2),(202,51,2);
/*!40000 ALTER TABLE `acl_resources_hg_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_resources_host_relations`
--

DROP TABLE IF EXISTS `acl_resources_host_relations`;
CREATE TABLE `acl_resources_host_relations` (
  `arhr_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `acl_res_id` int(11) default NULL,
  PRIMARY KEY  (`arhr_id`),
  KEY `host_host_id` (`host_host_id`),
  KEY `acl_res_id` (`acl_res_id`),
  CONSTRAINT `acl_resources_host_relations_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `acl_resources_host_relations_ibfk_2` FOREIGN KEY (`acl_res_id`) REFERENCES `acl_resources` (`acl_res_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_resources_host_relations`
--

LOCK TABLES `acl_resources_host_relations` WRITE;
/*!40000 ALTER TABLE `acl_resources_host_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `acl_resources_host_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_resources_hostex_relations`
--

DROP TABLE IF EXISTS `acl_resources_hostex_relations`;
CREATE TABLE `acl_resources_hostex_relations` (
  `arhe_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `acl_res_id` int(11) default NULL,
  PRIMARY KEY  (`arhe_id`),
  KEY `host_host_id` (`host_host_id`),
  KEY `acl_res_id` (`acl_res_id`),
  CONSTRAINT `acl_resources_hostex_relations_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `acl_resources_hostex_relations_ibfk_2` FOREIGN KEY (`acl_res_id`) REFERENCES `acl_resources` (`acl_res_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_resources_hostex_relations`
--

LOCK TABLES `acl_resources_hostex_relations` WRITE;
/*!40000 ALTER TABLE `acl_resources_hostex_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `acl_resources_hostex_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_resources_sc_relations`
--

DROP TABLE IF EXISTS `acl_resources_sc_relations`;
CREATE TABLE `acl_resources_sc_relations` (
  `arscr_id` int(11) NOT NULL auto_increment,
  `sc_id` int(11) default NULL,
  `acl_res_id` int(11) default NULL,
  PRIMARY KEY  (`arscr_id`),
  KEY `sc_id` (`sc_id`),
  KEY `acl_res_id` (`acl_res_id`),
  CONSTRAINT `acl_resources_sc_relations_ibfk_1` FOREIGN KEY (`sc_id`) REFERENCES `service_categories` (`sc_id`) ON DELETE CASCADE,
  CONSTRAINT `acl_resources_sc_relations_ibfk_2` FOREIGN KEY (`acl_res_id`) REFERENCES `acl_resources` (`acl_res_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_resources_sc_relations`
--

LOCK TABLES `acl_resources_sc_relations` WRITE;
/*!40000 ALTER TABLE `acl_resources_sc_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `acl_resources_sc_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_resources_service_relations`
--

DROP TABLE IF EXISTS `acl_resources_service_relations`;
CREATE TABLE `acl_resources_service_relations` (
  `arsr_id` int(11) NOT NULL auto_increment,
  `service_service_id` int(11) default NULL,
  `acl_group_id` int(11) default NULL,
  PRIMARY KEY  (`arsr_id`),
  KEY `service_service_id` (`service_service_id`),
  KEY `acl_group_id` (`acl_group_id`),
  CONSTRAINT `acl_resources_service_relations_ibfk_1` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `acl_resources_service_relations_ibfk_2` FOREIGN KEY (`acl_group_id`) REFERENCES `acl_groups` (`acl_group_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_resources_service_relations`
--

LOCK TABLES `acl_resources_service_relations` WRITE;
/*!40000 ALTER TABLE `acl_resources_service_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `acl_resources_service_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_resources_sg_relations`
--

DROP TABLE IF EXISTS `acl_resources_sg_relations`;
CREATE TABLE `acl_resources_sg_relations` (
  `asgr` int(11) NOT NULL auto_increment,
  `sg_id` int(11) default NULL,
  `acl_res_id` int(11) default NULL,
  PRIMARY KEY  (`asgr`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_resources_sg_relations`
--

LOCK TABLES `acl_resources_sg_relations` WRITE;
/*!40000 ALTER TABLE `acl_resources_sg_relations` DISABLE KEYS */;
INSERT INTO `acl_resources_sg_relations` VALUES (12,0,7),(13,10,7),(14,11,7);
/*!40000 ALTER TABLE `acl_resources_sg_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_topology`
--

DROP TABLE IF EXISTS `acl_topology`;
CREATE TABLE `acl_topology` (
  `acl_topo_id` int(11) NOT NULL auto_increment,
  `acl_topo_name` varchar(255) default NULL,
  `acl_topo_alias` varchar(255) default NULL,
  `acl_topo_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`acl_topo_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_topology`
--

LOCK TABLES `acl_topology` WRITE;
/*!40000 ALTER TABLE `acl_topology` DISABLE KEYS */;
INSERT INTO `acl_topology` VALUES (4,'Home page','Only access on home page','1'),(5,'Monitoring page','Only access on monitoring pages','1'),(6,'Personal option pages','Only access on Option pages','1'),(11,'Configuration pages','Only access on all configuration pages','0'),(13,'Graphic pages','Only access on graphic pages','1');
/*!40000 ALTER TABLE `acl_topology` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acl_topology_relations`
--

DROP TABLE IF EXISTS `acl_topology_relations`;
CREATE TABLE `acl_topology_relations` (
  `agt_id` int(11) NOT NULL auto_increment,
  `topology_topology_id` int(11) default NULL,
  `acl_topo_id` int(11) default NULL,
  PRIMARY KEY  (`agt_id`),
  KEY `topology_topology_id` (`topology_topology_id`),
  KEY `acl_topo_id` (`acl_topo_id`),
  CONSTRAINT `acl_topology_relations_ibfk_2` FOREIGN KEY (`topology_topology_id`) REFERENCES `topology` (`topology_id`) ON DELETE CASCADE,
  CONSTRAINT `acl_topology_relations_ibfk_3` FOREIGN KEY (`acl_topo_id`) REFERENCES `acl_topology` (`acl_topo_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=430 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `acl_topology_relations`
--

LOCK TABLES `acl_topology_relations` WRITE;
/*!40000 ALTER TABLE `acl_topology_relations` DISABLE KEYS */;
INSERT INTO `acl_topology_relations` VALUES (281,6,11),(282,77,11),(283,81,11),(284,82,11),(285,83,11),(286,78,11),(287,85,11),(288,86,11),(289,87,11),(290,90,11),(291,88,11),(292,92,11),(293,93,11),(294,94,11),(295,156,11),(296,79,11),(297,95,11),(298,96,11),(299,97,11),(300,98,11),(301,104,11),(302,105,11),(303,106,11),(304,107,11),(305,108,11),(306,179,11),(307,165,11),(308,167,11),(309,174,11),(310,168,11),(311,175,11),(312,169,11),(313,176,11),(314,170,11),(315,177,11),(316,172,11),(317,178,11),(318,171,11),(319,80,11),(320,99,11),(321,192,11),(322,100,11),(323,164,11),(324,101,11),(325,102,11),(326,103,11),(327,111,11),(328,157,11),(329,160,11),(330,158,11),(331,159,11),(332,1,4),(333,180,4),(334,191,4),(335,181,4),(336,182,4),(337,2,5),(338,21,5),(339,23,5),(340,29,5),(341,30,5),(342,31,5),(343,22,5),(344,32,5),(345,37,5),(346,60,5),(347,61,5),(348,62,5),(349,36,5),(350,57,5),(351,58,5),(352,59,5),(353,33,5),(354,48,5),(355,49,5),(356,50,5),(357,38,5),(358,63,5),(359,64,5),(360,65,5),(361,24,5),(362,39,5),(363,40,5),(364,41,5),(365,34,5),(366,51,5),(367,52,5),(368,53,5),(369,25,5),(370,42,5),(371,43,5),(372,44,5),(373,26,5),(374,45,5),(375,46,5),(376,47,5),(377,35,5),(378,54,5),(379,55,5),(380,56,5),(381,27,5),(382,28,5),(383,17,5),(384,20,5),(385,18,5),(386,19,5),(387,66,5),(388,69,5),(389,183,5),(390,70,5),(391,71,5),(392,72,5),(393,73,5),(394,74,5),(395,75,5),(396,76,5),(397,67,5),(398,68,5),(410,5,6),(411,109,6),(412,128,6),(413,120,6),(414,121,6),(415,122,6),(416,123,6),(417,124,6),(418,125,6),(419,126,6),(420,127,6),(421,4,13),(422,146,13),(423,148,13),(424,3,13),(425,141,13),(426,142,13),(427,143,13),(428,144,13),(429,145,13);
/*!40000 ALTER TABLE `acl_topology_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_cgi`
--

DROP TABLE IF EXISTS `cfg_cgi`;
CREATE TABLE `cfg_cgi` (
  `cgi_id` int(11) NOT NULL auto_increment,
  `cgi_name` varchar(255) default NULL,
  `main_config_file` varchar(255) default NULL,
  `physical_html_path` varchar(255) default NULL,
  `url_html_path` varchar(255) default NULL,
  `nagios_check_command` varchar(255) default NULL,
  `use_authentication` enum('0','1') default NULL,
  `default_user_name` varchar(255) default NULL,
  `authorized_for_system_information` text,
  `authorized_for_system_commands` text,
  `authorized_for_configuration_information` text,
  `authorized_for_all_hosts` text,
  `authorized_for_all_host_commands` text,
  `authorized_for_all_services` text,
  `authorized_for_all_service_commands` text,
  `statusmap_background_image` varchar(255) default NULL,
  `default_statusmap_layout` enum('0','1','2','3','4','5','6') default '2',
  `statuswrl_include` varchar(255) default NULL,
  `default_statuswrl_layout` enum('0','1','2','3','4') default '2',
  `refresh_rate` int(11) default NULL,
  `host_unreachable_sound` varchar(255) default NULL,
  `host_down_sound` varchar(255) default NULL,
  `service_critical_sound` varchar(255) default NULL,
  `service_warning_sound` varchar(255) default NULL,
  `service_unknown_sound` varchar(255) default NULL,
  `ping_syntax` text,
  `cgi_comment` text,
  `cgi_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`cgi_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `cfg_cgi`
--

LOCK TABLES `cfg_cgi` WRITE;
/*!40000 ALTER TABLE `cfg_cgi` DISABLE KEYS */;
INSERT INTO `cfg_cgi` VALUES (10,'CGI.cfg','/etc/nagios/nagios.cfg','/usr/local/nagios/share','/nagios','/usr/local/nagios/libexec/check_nagios /usr/local/nagios/var/status.log 5 &#039;/usr/bin/nagios&#039;','1','nagiosadmin','nagiosadmin','nagiosadmin','nagiosadmin','nagiosadmin','nagiosadmin','nagiosadmin','nagiosadmin','logofullsize.jpg','4',NULL,'4',90,NULL,NULL,NULL,NULL,NULL,'/bin/ping -n -c 5 $HOSTADDRESS$','Install Nagios TGZ','1');
/*!40000 ALTER TABLE `cfg_cgi` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_nagios`
--

DROP TABLE IF EXISTS `cfg_nagios`;
CREATE TABLE `cfg_nagios` (
  `nagios_id` int(11) NOT NULL auto_increment,
  `nagios_name` varchar(255) default NULL,
  `log_file` varchar(255) default NULL,
  `cfg_dir` varchar(255) default NULL,
  `object_cache_file` varchar(255) default NULL,
  `precached_object_file` varchar(255) default NULL,
  `temp_file` varchar(255) default NULL,
  `temp_path` varchar(255) default NULL,
  `status_file` varchar(255) default NULL,
  `check_result_path` varchar(255) default NULL,
  `max_check_result_file_age` varchar(255) default NULL,
  `p1_file` varchar(255) default NULL,
  `aggregate_status_updates` enum('0','1','2') default NULL,
  `status_update_interval` int(11) default NULL,
  `nagios_user` varchar(255) default NULL,
  `nagios_group` varchar(255) default NULL,
  `enable_notifications` enum('0','1','2') default NULL,
  `execute_service_checks` enum('0','1','2') default NULL,
  `accept_passive_service_checks` enum('0','1','2') default NULL,
  `execute_host_checks` enum('0','1','2') default NULL,
  `accept_passive_host_checks` enum('0','1','2') default NULL,
  `enable_event_handlers` enum('0','1','2') default NULL,
  `log_rotation_method` varchar(255) default NULL,
  `log_archive_path` varchar(255) default NULL,
  `check_external_commands` enum('0','1','2') default NULL,
  `command_check_interval` varchar(255) default NULL,
  `command_file` varchar(255) default NULL,
  `downtime_file` varchar(255) default NULL,
  `comment_file` varchar(255) default NULL,
  `lock_file` varchar(255) default NULL,
  `retain_state_information` enum('0','1','2') default NULL,
  `state_retention_file` varchar(255) default NULL,
  `retention_update_interval` int(11) default NULL,
  `use_retained_program_state` enum('0','1','2') default NULL,
  `use_retained_scheduling_info` enum('0','1','2') default NULL,
  `use_syslog` enum('0','1','2') default NULL,
  `log_notifications` enum('0','1','2') default NULL,
  `log_service_retries` enum('0','1','2') default NULL,
  `log_host_retries` enum('0','1','2') default NULL,
  `log_event_handlers` enum('0','1','2') default NULL,
  `log_initial_states` enum('0','1','2') default NULL,
  `log_external_commands` enum('0','1','2') default NULL,
  `log_passive_checks` enum('0','1','2') default NULL,
  `global_host_event_handler` int(11) default NULL,
  `global_service_event_handler` int(11) default NULL,
  `sleep_time` varchar(10) default NULL,
  `service_inter_check_delay_method` varchar(255) default NULL,
  `host_inter_check_delay_method` varchar(255) default NULL,
  `service_interleave_factor` varchar(255) default NULL,
  `max_concurrent_checks` int(11) default NULL,
  `max_service_check_spread` int(11) default NULL,
  `max_host_check_spread` int(11) default NULL,
  `service_reaper_frequency` int(11) default NULL,
  `interval_length` int(11) default NULL,
  `auto_reschedule_checks` enum('0','1','2') default NULL,
  `auto_rescheduling_interval` int(11) default NULL,
  `auto_rescheduling_window` int(11) default NULL,
  `use_agressive_host_checking` enum('0','1','2') default NULL,
  `enable_flap_detection` enum('0','1','2') default NULL,
  `low_service_flap_threshold` varchar(255) default NULL,
  `high_service_flap_threshold` varchar(255) default NULL,
  `low_host_flap_threshold` varchar(255) default NULL,
  `high_host_flap_threshold` varchar(255) default NULL,
  `soft_state_dependencies` enum('0','1','2') default NULL,
  `service_check_timeout` int(11) default NULL,
  `host_check_timeout` int(11) default NULL,
  `event_handler_timeout` int(11) default NULL,
  `notification_timeout` int(11) default NULL,
  `ocsp_timeout` int(11) default NULL,
  `ochp_timeout` int(11) default NULL,
  `perfdata_timeout` int(11) default NULL,
  `obsess_over_services` enum('0','1','2') default NULL,
  `ocsp_command` int(11) default NULL,
  `obsess_over_hosts` enum('0','1','2') default NULL,
  `ochp_command` int(11) default NULL,
  `process_performance_data` enum('0','1','2') default NULL,
  `host_perfdata_command` int(11) default NULL,
  `service_perfdata_command` int(11) default NULL,
  `host_perfdata_file` varchar(255) default NULL,
  `service_perfdata_file` varchar(255) default NULL,
  `host_perfdata_file_template` text,
  `service_perfdata_file_template` text,
  `host_perfdata_file_mode` enum('a','w','2') default NULL,
  `service_perfdata_file_mode` enum('a','w','2') default NULL,
  `host_perfdata_file_processing_interval` int(11) default NULL,
  `service_perfdata_file_processing_interval` int(11) default NULL,
  `host_perfdata_file_processing_command` int(11) default NULL,
  `service_perfdata_file_processing_command` int(11) default NULL,
  `check_for_orphaned_services` enum('0','1','2') default NULL,
  `check_service_freshness` enum('0','1','2') default NULL,
  `service_freshness_check_interval` int(11) default NULL,
  `freshness_check_interval` int(11) default NULL,
  `check_host_freshness` enum('0','1','2') default NULL,
  `host_freshness_check_interval` int(11) default NULL,
  `date_format` varchar(255) default NULL,
  `illegal_object_name_chars` varchar(255) default NULL,
  `illegal_macro_output_chars` varchar(255) default NULL,
  `use_regexp_matching` enum('0','1','2') default NULL,
  `use_true_regexp_matching` enum('0','1','2') default NULL,
  `admin_email` varchar(255) default NULL,
  `admin_pager` varchar(255) default NULL,
  `nagios_comment` text,
  `nagios_activate` enum('0','1') default NULL,
  `broker_module` varchar(255) default NULL,
  `event_broker_options` varchar(255) default NULL,
  `translate_passive_host_checks` enum('0','1') default NULL,
  `nagios_server_id` int(11) default NULL,
  `enable_predictive_host_dependency_checks` enum('0','1','2') default NULL,
  `enable_predictive_service_dependency_checks` enum('0','1','2') default NULL,
  `cached_host_check_horizon` int(11) default NULL,
  `cached_service_check_horizon` int(11) default NULL,
  `use_large_installation_tweaks` enum('0','1','2') default NULL,
  `free_child_process_memory` enum('0','1','2') default NULL,
  `child_processes_fork_twice` enum('0','1','2') default NULL,
  `enable_environment_macros` enum('0','1','2') default NULL,
  `additional_freshness_latency` int(11) default NULL,
  `enable_embedded_perl` enum('0','1','2') default NULL,
  `use_embedded_perl_implicitly` enum('0','1','2') default NULL,
  `debug_file` varchar(255) default NULL,
  `debug_level` int(11) default NULL,
  `debug_verbosity` enum('0','1','2') default NULL,
  `max_debug_file_size` int(11) default NULL,
  PRIMARY KEY  (`nagios_id`),
  KEY `cmd1_index` (`global_host_event_handler`),
  KEY `cmd2_index` (`global_service_event_handler`),
  KEY `cmd3_index` (`ocsp_command`),
  KEY `cmd4_index` (`ochp_command`),
  KEY `cmd5_index` (`host_perfdata_command`),
  KEY `cmd6_index` (`service_perfdata_command`),
  KEY `cmd7_index` (`host_perfdata_file_processing_command`),
  KEY `cmd8_index` (`service_perfdata_file_processing_command`),
  KEY `nagios_server_id` (`nagios_server_id`),
  CONSTRAINT `cfg_nagios_ibfk_15` FOREIGN KEY (`service_perfdata_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_18` FOREIGN KEY (`global_host_event_handler`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_19` FOREIGN KEY (`global_service_event_handler`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_20` FOREIGN KEY (`ocsp_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_21` FOREIGN KEY (`ochp_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_22` FOREIGN KEY (`host_perfdata_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_23` FOREIGN KEY (`service_perfdata_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_24` FOREIGN KEY (`host_perfdata_file_processing_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_25` FOREIGN KEY (`service_perfdata_file_processing_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_26` FOREIGN KEY (`nagios_server_id`) REFERENCES `nagios_server` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `cfg_nagios`
--

LOCK TABLES `cfg_nagios` WRITE;
/*!40000 ALTER TABLE `cfg_nagios` DISABLE KEYS */;
INSERT INTO `cfg_nagios` VALUES (1,'Nagios CFG 1','/var/log/nagios/nagios.log','/etc/nagios/',NULL,NULL,'/var/log/nagios/nagios.tmp',NULL,'/var/log/nagios/status.dat',NULL,NULL,'/usr/bin/p1.pl','0',15,'nagios','nagios','1','1','1','2','2','1','d','/var/log/nagios/archives/','1','1s','/var/log/nagios/rw/nagios.cmd','/var/log/nagios/downtime.log','/var/log/nagios/comment.log','/var/log/nagios/nagios.pid','1','/var/log/nagios/status.sav',60,'1','1','0','1','1','1','1','1','1','2',NULL,NULL,'1','s',NULL,'s',200,5,NULL,5,60,'2',NULL,NULL,'1','0','25.0','50.0','25.0','50.0','0',60,10,30,30,5,5,5,'0',NULL,'2',NULL,'1',NULL,41,NULL,'/var/log/nagios/service-perfdata',NULL,NULL,'2','2',NULL,NULL,NULL,NULL,'0','1',NULL,NULL,'2',NULL,'euro','~!$%^&amp;*&quot;|&#039;&lt;&gt;?,()=','`~$^&amp;&quot;|&#039;&lt;&gt;','2','2','admin','admin@localhost','Default Nagios.cfg','1','/usr/lib/nagios/ndomod.o config_file=/etc/nagios/ndomod.cfg','-1',NULL,1,'2','2',NULL,NULL,'2','2','2','2',NULL,'2','2',NULL,NULL,'2',NULL);
/*!40000 ALTER TABLE `cfg_nagios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_ndo2db`
--

DROP TABLE IF EXISTS `cfg_ndo2db`;
CREATE TABLE `cfg_ndo2db` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `ndo2db_user` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `ndo2db_group` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `local` enum('0','1') character set latin1 collate latin1_general_ci default '0',
  `ns_nagios_server` int(11) default NULL,
  `socket_type` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `socket_name` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `tcp_port` int(11) default NULL,
  `db_servertype` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `db_host` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `db_name` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `db_port` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `db_prefix` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `db_user` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `db_pass` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `max_timedevents_age` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `max_systemcommands_age` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `max_servicechecks_age` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `max_hostchecks_age` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `max_eventhandlers_age` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `activate` enum('0','1') character set latin1 collate latin1_general_ci default NULL,
  PRIMARY KEY  (`id`),
  KEY `ns_nagios_server` (`ns_nagios_server`),
  CONSTRAINT `cfg_ndo2db_ibfk_1` FOREIGN KEY (`ns_nagios_server`) REFERENCES `nagios_server` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='configuration base for ndo daemon';

--
-- Dumping data for table `cfg_ndo2db`
--

LOCK TABLES `cfg_ndo2db` WRITE;
/*!40000 ALTER TABLE `cfg_ndo2db` DISABLE KEYS */;
INSERT INTO `cfg_ndo2db` VALUES (1,'Principal','nagios','nagios','0',1,'tcp','/var/log/nagios/ndo.sock',5668,'mysql','localhost','nagios','3306','nagios_','root',NULL,'1440','1440','1440','1440','1440','1');
/*!40000 ALTER TABLE `cfg_ndo2db` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_ndomod`
--

DROP TABLE IF EXISTS `cfg_ndomod`;
CREATE TABLE `cfg_ndomod` (
  `id` int(11) NOT NULL auto_increment,
  `description` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `local` enum('0','1') character set latin1 collate latin1_general_ci default NULL,
  `ns_nagios_server` int(11) default NULL,
  `instance_name` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `output_type` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `output` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `tcp_port` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `output_buffer_items` int(11) default NULL,
  `buffer_file` varchar(255) character set latin1 collate latin1_general_ci default NULL,
  `file_rotation_interval` int(11) default NULL,
  `file_rotation_command` int(11) default NULL,
  `file_rotation_timeout` int(11) default NULL,
  `reconnect_interval` int(11) default NULL,
  `reconnect_warning_interval` int(11) default NULL,
  `data_processing_options` int(11) default NULL,
  `config_output_options` int(11) default NULL,
  `activate` enum('0','1') character set latin1 collate latin1_general_ci default NULL,
  PRIMARY KEY  (`id`),
  KEY `ns_nagios_server` (`ns_nagios_server`),
  CONSTRAINT `cfg_ndomod_ibfk_1` FOREIGN KEY (`ns_nagios_server`) REFERENCES `nagios_server` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='ndomog table config';

--
-- Dumping data for table `cfg_ndomod`
--

LOCK TABLES `cfg_ndomod` WRITE;
/*!40000 ALTER TABLE `cfg_ndomod` DISABLE KEYS */;
INSERT INTO `cfg_ndomod` VALUES (1,'Central-mod',NULL,1,'default','tcpsocket','127.0.0.1','5668',5000,'/var/log/nagios/ndomod.tmp',14400,NULL,60,15,900,-1,3,'1');
/*!40000 ALTER TABLE `cfg_ndomod` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_resource`
--

DROP TABLE IF EXISTS `cfg_resource`;
CREATE TABLE `cfg_resource` (
  `resource_id` int(11) NOT NULL auto_increment,
  `resource_name` varchar(255) default NULL,
  `resource_line` varchar(255) default NULL,
  `resource_comment` varchar(255) default NULL,
  `resource_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`resource_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `cfg_resource`
--

LOCK TABLES `cfg_resource` WRITE;
/*!40000 ALTER TABLE `cfg_resource` DISABLE KEYS */;
INSERT INTO `cfg_resource` VALUES (1,'$USER1$','/usr/lib/nagios/plugins','path to the plugins','1'),(2,'$USER2$','public','SNMP Community','1');
/*!40000 ALTER TABLE `cfg_resource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `command`
--

DROP TABLE IF EXISTS `command`;
CREATE TABLE `command` (
  `command_id` int(11) NOT NULL auto_increment,
  `command_name` varchar(200) default NULL,
  `command_line` text,
  `command_example` varchar(254) default NULL,
  `command_type` tinyint(4) default NULL,
  `graph_id` int(11) default NULL,
  `cmd_cat_id` int(11) default NULL,
  PRIMARY KEY  (`command_id`)
) ENGINE=InnoDB AUTO_INCREMENT=571 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `command`
--

LOCK TABLES `command` WRITE;
/*!40000 ALTER TABLE `command` DISABLE KEYS */;
INSERT INTO `command` VALUES (1,'check_host_alive','$USER1$#S#check_ping -H $HOSTADDRESS$ -w 3000.0,80% -c 5000.0,100% -p 1','',2,NULL,NULL),(2,'check_disk_smb','$USER1$#S#check_disk_smb -H $HOSTADDRESS$ -s $ARG1$ -u $ARG2$ -p $ARG3$ -w $ARG4$ -c $ARG5$','!share!user!passwd!80!90',2,NULL,NULL),(3,'check_distant_disk_space','$USER1$#S#check_distant_disk_space -H $HOSTADDRESS$ -C $ARG1$ -p $ARG2$ -w $ARG3$ -c $ARG4$','',2,NULL,NULL),(4,'check_centreon_dummy','$USER1$#S#check_centreon_dummy -s $ARG1$ -o $ARG2$','!0!OK',2,0,NULL),(5,'check_centreon_load_average','$USER1$#S#check_centreon_snmp_loadaverage -H $HOSTADDRESS$ -v $ARG1$ -C $ARG2$ -w $ARG3$ -c $ARG4$','!1!public!4,3,2!6,5,4',2,8,NULL),(6,'check_centreon_ping','$USER1$#S#check_centreon_ping -H $HOSTADDRESS$ -n $ARG1$ -w $ARG2$ -c $ARG3$','!3!200,20%!400,50%',2,2,NULL),(7,'check_centreon_process','$USER1$#S#check_centreon_snmp_process -H $HOSTADDRESS$ -v $ARG1$ -C $ARG2$ -n -p $ARG3$','!2c!$USER2$!httpd',2,0,NULL),(8,'check_centreon_remote_storage','$USER1$#S#check_centreon_snmp_remote_storage -H $HOSTADDRESS$ -n -d $ARG1$ -w $ARG2$ -c $ARG3$ -C $ARG4$ -v $ARG5$','!#S#!80!90!$USER2$!1',2,3,NULL),(10,'check_centreon_traffic_limited','$USER1$#S#check_centreon_snmp_traffic -H $HOSTADDRESS$ -n -i $ARG1$ -w $ARG2$ -c $ARG3$ -C $ARG4$ -v $ARG5$ -T $ARG6$','!eth0!80!90!$USER2$!1!2',2,7,NULL),(11,'check_hpjd','$USER1$#S#check_hpjd -H $HOSTADDRESS$ -C public','',2,NULL,NULL),(12,'check_http','$USER1$#S#check_http -H $HOSTADDRESS$','',2,NULL,NULL),(13,'check_https','$USER1$#S#check_http -S $HOSTADDRESS$','',2,NULL,NULL),(14,'check_local_swap','$USER1$#S#check_swap -w $ARG1$ -c $ARG2$ -v','!80!90',2,NULL,NULL),(15,'check_local_disk','$USER1$#S#check_disk -w $ARG2$ -c $ARG3$ -p $ARG1$','',2,NULL,NULL),(16,'check_local_load','$USER1$#S#check_load -w $ARG1$ -c $ARG2$','',2,NULL,NULL),(17,'check_local_procs','$USER1$#S#check_procs -w $ARG1$ -c $ARG2$ -u $ARG3$','',2,NULL,NULL),(18,'check_local_users','$USER1$#S#check_users -w $ARG1$ -c $ARG2$','',2,NULL,NULL),(19,'check_nt_memuse','$USER1$#S#check_nt -H $HOSTADDRESS$ -v MEMUSE -s &quot;public&quot;','',2,NULL,NULL),(20,'check_nt_cpu','$USER1$#S#check_nt -H $HOSTADDRESS$ -v CPULOAD -s &quot;public&quot; -l 2,90,95','',2,NULL,NULL),(21,'check_nt_disk','$USER1$#S#check_nt -H $HOSTADDRESS$ -v USEDDISKSPACE -s &quot;public&quot; -l $ARG1$ -w $ARG2$ -c $ARG3$','!C!80!90',2,NULL,NULL),(23,'check_tcp','$USER1$#S#check_tcp -H $HOSTADDRESS$ -p $ARG1$ -w $ARG2$ -c $ARG3$','',2,NULL,NULL),(24,'check_nntp','$USER1$#S#check_nntp -H $HOSTADDRESS$','',2,NULL,NULL),(25,'check_pop','$USER1$#S#check_pop -H $HOSTADDRESS$','',2,NULL,NULL),(26,'check_smtp','$USER1$#S#check_smtp -H $HOSTADDRESS$','',2,NULL,NULL),(27,'check_dns','$USER1$#S#check_dns -H $ARG1$ -s $HOSTADDRESS$','',2,NULL,NULL),(28,'check_ftp','$USER1$#S#check_ftp -H $HOSTADDRESS$','!127.0.0.1',2,NULL,NULL),(29,'check_dhcp','$USER1$#S#check_dhcp -s $HOSTADDRESS$ -i $ARG1$','!eth0',2,NULL,NULL),(30,'check_dig','$USER1$#S#check_dig -H $HOSTADDRESS$ -l $ARG1$','!www.centreon-nms.org',2,NULL,NULL),(31,'check_snmp','$USER1$#S#check_snmp -H $HOSTADDRESS$ -o $ARG1$ -w $ARG2$ -C $ARG3$','',2,NULL,NULL),(32,'check_telnet','$USER1$#S#check_tcp -H $HOSTADDRESS$ -p 23','',2,NULL,NULL),(33,'check_udp','$USER1$#S#check_udp -H $HOSTADDRESS$ -p $ARG1$','',2,NULL,NULL),(34,'check_centreon_nt','$USER1$#S#check_centreon_nt -H $HOSTADDRESS$ -p 12489 -v $ARG1$ -l $ARG2$ -s $ARG3$ -w $ARG4$ -c $ARG5$','',2,0,NULL),(35,'host-notify-by-email','#S#usr#S#bin#S#printf &quot;%b&quot; &quot;***** centreon Notification *****#BR##BR#Type:$NOTIFICATIONTYPE$#BR#Host: $HOSTNAME$#BR#State: $HOSTSTATE$#BR#Address: $HOSTADDRESS$#BR#Info: $HOSTOUTPUT$#BR#Date#S#Time: $DATE$&quot; | @MAILER@ -s &quot;Host $HOSTSTATE$ alert for $HOSTNAME$!&quot; $CONTACTEMAIL$','',1,NULL,NULL),(36,'notify-by-email','#S#usr#S#bin#S#printf &quot;%b&quot; &quot;***** centreon Notification *****#BR##BR#Notification Type: $NOTIFICATIONTYPE$#BR##BR#Service: $SERVICEDESC$#BR#Host: $HOSTALIAS$#BR#Address: $HOSTADDRESS$#BR#State: $SERVICESTATE$#BR##BR#Date#S#Time: $DATE$ Additional Info : $SERVICEOUTPUT$&quot; | @MAILER@ -s &quot;** $NOTIFICATIONTYPE$ alert - $HOSTALIAS$#S#$SERVICEDESC$ is $SERVICESTATE$ **&quot; $CONTACTEMAIL$','',1,NULL,NULL),(37,'host-notify-by-epager','#S#usr#S#bin#S#printf &quot;%b&quot; &quot;Host $HOSTALIAS$ is $HOSTSTATE$#BR#Info: $OUTPUT$#BR#Time: $DATETIME$#BS#&quot; | @MAILER@ -s #BS#&quot;$NOTIFICATIONTYPE$ alert - Host $HOSTNAME$ is $HOSTSTATE$#BS#&quot; $CONTACTPAGER$','',1,NULL,NULL),(38,'notify-by-epager','#S#usr#S#bin#S#printf &quot;%b&quot; &quot;Service: $SERVICEDESC$#BR#Host: $HOSTNAME$#BR#Address: $HOSTADDRESS$#BR#State: $SERVICESTATE$#BR#Info: $OUTPUT$#BR#Date: $DATETIME$&quot; | @MAILER@ -s &quot;$NOTIFICATIONTYPE$: $HOSTALIAS$#S#$SERVICEDESC$ is $SERVICESTATE$&quot; $CONTACTPAGER$','',1,NULL,NULL),(39,'submit-host-check-result','$USER1$#S#submit_host_check_result $HOSTNAME$ $HOSTSTATE$ &#039;$HOSTOUTPUT$&#039;','',3,NULL,NULL),(40,'submit-service-check-result','$USER1$#S#submit_service_check_result $HOSTNAME$ $SERVICEDESC$ $SERVICESTATE$ &#039;$SERVICEOUTPUT$&#039;','',3,NULL,NULL),(41,'process-service-perfdata','$USER1$#S#process-service-perfdata  &quot;$LASTSERVICECHECK$&quot; &quot;$HOSTNAME$&quot; &quot;$SERVICEDESC$&quot; &quot;$SERVICEOUTPUT$&quot; &quot;$SERVICESTATE$&quot; &quot;$SERVICEPERFDATA$&quot;','',3,NULL,NULL),(44,'check_centreon_uptime','$USER1$#S#check_centreon_snmp_uptime -H $HOSTADDRESS$ -C $USER2$ -v 2 -d','',2,0,NULL),(59,'check_centreon_nb_connections','$USER1$#S#check_centreon_TcpConn -H $HOSTADDRESS$ -C $USER2$ -v 1 -p $ARG1$ -w $ARG2$ -c $ARG3$','!80!70!100',2,0,NULL),(62,'check_centreon_traffic','$USER1$#S#check_centreon_snmp_traffic -H $HOSTADDRESS$ -n -i $ARG1$ -w $ARG2$ -c $ARG3$ -C $USER2$ -v $ARG4$','!eth0!80!90!1',2,7,NULL),(76,'check_load_average','$USER1$#S#check_load $HOSTADDRESS$ -w $ARG1$ -c $ARG2$','',2,0,NULL),(77,'check_local_cpu_load','$USER1$#S#check_nt -H $HOSTADDRESS$ -v CPULOAD -l $ARG1$ -s &quot;public&quot;','',2,0,NULL),(78,'check_local_disk_space','$USER1$#S#check_nt -H $HOSTADDRESS$ -v USEDDISKSPACE -l $ARG1$ -w $ARG2$ -c $ARG3$ -s &quot;public&quot;','',2,0,NULL),(79,'check_maxq','$USER1$#S#check_maxq_script_return -r $ARG1$ -P $ARG2$','',2,0,NULL),(89,'host-notify-by-jabber','$USER1$#S#notify_via_jabber  $CONTACTPAGER$ &quot;Host &#039;$HOSTALIAS$&#039; is $HOSTSTATE$ - Info: $HOSTOUTPUT$&quot;','',1,0,NULL),(90,'notify-by-jabber','$USER1$#S#notify_via_jabber $CONTACTPAGER$ &quot;$NOTIFICATIONTYPE$ $HOSTNAME$ $SERVICEDESC$ $SERVICESTATE$ $SERVICEOUTPUT$ $LONGDATETIME$&quot;','',1,0,NULL),(94,'check_centreon_snmp_value','$USER1$#S#check_centreon_snmp_value -H $HOSTADDRESS$ -C $ARG1$ -v $ARG2$ -o $ARG3$ -w $ARG4$  -c $ARG5$','!public!1!1.3.6.1.4.1.705.1.8.1.0!190!210',2,0,NULL),(95,'check_centreon_snmp_proc_detailed','$USER1$#S#check_centreon_snmp_process_detailed -H $HOSTADDRESS$ -C $USER2$ -n $ARG1$ -m $ARG2$','!apache!20,50',2,0,NULL),(96,'check_centreon_cpu','$USER1$#S#check_centreon_snmp_cpu -H $HOSTADDRESS$ -v 1 -C $ARG1$ -c $ARG2$ -w $ARG3$','!$USER2$!80!90',2,5,NULL),(97,'check_centreon_memory','$USER1$#S#check_centreon_snmp_memory -H $HOSTADDRESS$ -C $USER2$ -v 1 -w 80 -c 90','',2,4,NULL),(98,'host-notify-by-sendmailhost','$USER1$#S#sendmailhost.pl \"$NOTIFICATIONTYPE$\" \"$HOSTNAME$\" \"$HOSTSTATE$\" \"$HOSTADDRESS$\" \"$HOSTOUTPUT$\" \"$SHORTDATETIME$\" \"$CONTACTEMAIL$\"','',1,NULL,NULL),(99,'notify-by-sendmailservices','$USER1$#S#sendmailservices.pl \"$NOTIFICATIONTYPE$\" \"$SERVICEDESC$\" \"$HOSTALIAS$\" \"$HOSTADDRESS$\" \"$SERVICESTATE$\" \"$SHORTDATETIME$\" \"$SERVICEOUTPUT$\" \"$CONTACTEMAIL$\"','',1,NULL,NULL),(523,'check_nt_service_state','$USER1$#S#check_nt -H $HOSTADDRESS$ -v SERVICESTATE -l $ARG1$ -s &quot;public&quot;','',2,NULL,NULL),(543,'check_manubulon_snmp_load','$USER1$#S#check_snmp_load.pl -H $HOSTADDRESS$ -C $ARG1$ -w $ARG2$ -w $ARG3$','',2,NULL,NULL),(544,'check_manubulon_snmp_int','$USER1$#S#check_snmp_int.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2,NULL,NULL),(545,'check_manubulon_snmp_mem','$USER1$#S#check_snmp_mem.pl-H $HOSTADDRESS$ -C $ARG1$ -w $ARG2$,$ARG3$ -c $ARG4$,$ARG5$','',2,NULL,NULL),(546,'check_manubulon_snmp_mem_cisco','$USER1$#S#check_snmp_mem.pl -H $HOSTADDRESS$ -C $ARG1$ -w $ARG2$,$ARG3$ -c $ARG4$,$ARG5$ -I','',2,NULL,NULL),(547,'check_manubulon_snmp_mem_hp','$USER1$#S#check_snmp_mem.pl -H $HOSTADDRESS$ -C $ARG1$ -w $ARG2$,$ARG3$ -c $ARG4$,$ARG5$ -E','',2,NULL,NULL),(548,'check_manubulon_snmp_process','$USER1$#S#check_snmp_proc.pl -H $HOSTADDRESS$ -C $ARG1$ -w $ARG2$ -c $ARG3$ -n $ARG5$','',2,NULL,NULL),(549,'check_manubulon_snmp_storage','$USER1$#S#check_snmp_storage.pl -H $HOSTADDRESS$ -C $ARG1$ -m $ARG2$ -w $ARG3$ -c $ARG4$','',2,NULL,NULL),(550,'check_manubulon_snmp_win','$USER1$#S#check_snmp_win.pl-H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2,NULL,NULL),(551,'check_manubulon_snmp_css','$USER1$#S#check_snmp_css.pl-H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$ -w $ARG3$ -c $ARG4$','',2,NULL,NULL),(552,'check_manubulon_snmp_env_oracle','$USER1$#S#check_snmp_env.pl-H $HOSTADDRESS$ -C $ARG1$ -T cisco','',2,NULL,NULL),(553,'check_compaq_cpu','$USER1$#S#check_compaq_cpu.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2,NULL,NULL),(554,'check_compaq_dimm','$USER1$#S#check_compaq_dimm.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2,NULL,NULL),(555,'check_compaq_fan','$USER1$#S#check_compaq_fan.pl -H $HOSTADDRESS$ -C $ARG1$','',2,NULL,NULL),(556,'check_compaq_nic','$USER1$#S#check_compaq_nic.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2,NULL,NULL),(557,'check_compaq_powersupply','$USER1$#S#check_compaq_powersupply.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2,NULL,NULL),(558,'check_compaq_raidcontroller','$USER1$#S#check_compaq_raidcontroller.pl -H $HOSTADDRESS$ -C $ARG1$','',2,NULL,NULL),(559,'check_compaq_raidstorage','$USER1$#S#check_compaq_raidstorage.pl -H $HOSTADDRESS$ -C $ARG1$','',2,NULL,NULL),(560,'check_san_fan','$USER1$#S#check_san_fan.pl -H $HOSTADDRESS$ -C $ARG1$ -D $ARG2$','',2,NULL,NULL),(561,'check_san_drive','$USER1$#S#check_san_drive.pl -H $HOSTADDRESS$ -C $ARG1$ -p $ARG2$','',2,NULL,NULL),(562,'check_san_processor','$USER1$#S#check_san_processor.pl -H $HOSTADDRESS$ -C $ARG1$','',2,NULL,NULL),(563,'check_san_powersupply','$USER1$#S#check_san_powersupply.pl -H $HOSTADDRESS$ -C $ARG1$ -p $ARG2$ -D $ARG3$','',2,NULL,NULL),(564,'check_san_battery','$USER1$#S#check_san_battery.pl -H $HOSTADDRESS$ -C $ARG1$ -p $ARG2$','',2,NULL,NULL),(565,'check_hp_cpu','$USER1$#S#check_hp_cpu.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2,NULL,NULL),(566,'check_hp_dimm','$USER1$#S#check_hp_dimm.pl -H $HOSTADDRESS$ -C $ARG1$','',2,NULL,NULL),(567,'check_hp_fan','$USER1$#S#check_hp_fan.pl -H $HOSTADDRESS$ -C $ARG1$','',2,NULL,NULL),(568,'check_hp_powersupply','$USER1$#S#check_hp_powersupply.pl -H $HOSTADDRESS$ -C $ARG1$','',2,NULL,NULL),(569,'check_hp_raiddisks','$USER1$#S#check_hp_raiddisks.pl -H $HOSTADDRESS$ -C $ARG1$','',2,NULL,NULL),(570,'check_centreon_process_exists','$USER1$#S#check_centreon_snmp_process -H $HOSTADDRESS$ -v $ARG1$ -C $ARG2$ -p $ARG3$','!2c!public!httpd',2,NULL,NULL);
/*!40000 ALTER TABLE `command` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `command_categories`
--

DROP TABLE IF EXISTS `command_categories`;
CREATE TABLE `command_categories` (
  `cmd_category_id` int(11) NOT NULL auto_increment,
  `category_name` varchar(255) NOT NULL,
  `category_alias` varchar(255) NOT NULL,
  `category_order` int(11) NOT NULL,
  PRIMARY KEY  (`cmd_category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `command_categories`
--

LOCK TABLES `command_categories` WRITE;
/*!40000 ALTER TABLE `command_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `command_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `command_categories_relation`
--

DROP TABLE IF EXISTS `command_categories_relation`;
CREATE TABLE `command_categories_relation` (
  `cmd_cat_id` int(11) NOT NULL auto_increment,
  `category_id` int(11) default NULL,
  `command_command_id` int(11) default NULL,
  PRIMARY KEY  (`cmd_cat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `command_categories_relation`
--

LOCK TABLES `command_categories_relation` WRITE;
/*!40000 ALTER TABLE `command_categories_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `command_categories_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact`
--

DROP TABLE IF EXISTS `contact`;
CREATE TABLE `contact` (
  `contact_id` int(11) NOT NULL auto_increment,
  `timeperiod_tp_id` int(11) default NULL,
  `timeperiod_tp_id2` int(11) default NULL,
  `contact_name` varchar(200) default NULL,
  `contact_alias` varchar(200) default NULL,
  `contact_passwd` varchar(255) default NULL,
  `contact_lang` varchar(255) default NULL,
  `contact_host_notification_options` varchar(200) default NULL,
  `contact_service_notification_options` varchar(200) default NULL,
  `contact_email` varchar(200) default NULL,
  `contact_pager` varchar(200) default NULL,
  `contact_comment` text,
  `contact_oreon` enum('0','1') default NULL,
  `contact_admin` enum('0','1') default '0',
  `contact_type_msg` enum('txt','html','pdf') default 'txt',
  `contact_activate` enum('0','1') default NULL,
  `contact_auth_type` varchar(255) default '',
  `contact_ldap_dn` varchar(255) default NULL,
  `contact_acl_group_list` varchar(255) default NULL,
  `contact_autologin_key` varchar(255) default NULL,
  `contact_charset` varchar(255) default NULL,
  PRIMARY KEY  (`contact_id`),
  KEY `name_index` (`contact_name`),
  KEY `alias_index` (`contact_alias`),
  KEY `tp1_index` (`timeperiod_tp_id`),
  KEY `tp2_index` (`timeperiod_tp_id2`),
  CONSTRAINT `contact_ibfk_1` FOREIGN KEY (`timeperiod_tp_id`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `contact_ibfk_2` FOREIGN KEY (`timeperiod_tp_id2`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contact`
--

LOCK TABLES `contact` WRITE;
/*!40000 ALTER TABLE `contact` DISABLE KEYS */;
INSERT INTO `contact` VALUES (1,1,1,'Supervisor','admin','21496cd6c19f4bf6dcfd3ae2ec5f397e','en_US','n','n','root@localhost',NULL,NULL,'1','1','txt','1','local',NULL,NULL,NULL,NULL),(17,1,1,'Guest','guest',NULL,'en_US','n','n','guest@localhost',NULL,NULL,'0','0','txt','1','local',NULL,NULL,NULL,NULL),(18,1,1,'User','user','21496cd6c19f4bf6dcfd3ae2ec5f397e','en_US','n','n','user@localhost',NULL,NULL,'1','0','txt','1','local',NULL,NULL,NULL,NULL),(19,1,1,'nagiosadmin_nagiosadmin','nagiosadmin','426d184e674e6c3020d38bde1d7ed35d','en_US','d,u,r','w,u,c','nagiosadmin@localhost.localdomain',NULL,NULL,'1','1',NULL,'1','local',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `contact` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_host_relation`
--

DROP TABLE IF EXISTS `contact_host_relation`;
CREATE TABLE `contact_host_relation` (
  `chr_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `contact_id` int(11) default NULL,
  PRIMARY KEY  (`chr_id`),
  KEY `host_index` (`host_host_id`),
  KEY `contact_id` (`contact_id`),
  CONSTRAINT `contact_host_relation_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `contact_host_relation_ibfk_2` FOREIGN KEY (`contact_id`) REFERENCES `contact` (`contact_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contact_host_relation`
--

LOCK TABLES `contact_host_relation` WRITE;
/*!40000 ALTER TABLE `contact_host_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_host_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_hostcommands_relation`
--

DROP TABLE IF EXISTS `contact_hostcommands_relation`;
CREATE TABLE `contact_hostcommands_relation` (
  `chr_id` int(11) NOT NULL auto_increment,
  `contact_contact_id` int(11) default NULL,
  `command_command_id` int(11) default NULL,
  PRIMARY KEY  (`chr_id`),
  KEY `contact_index` (`contact_contact_id`),
  KEY `command_index` (`command_command_id`),
  CONSTRAINT `contact_hostcommands_relation_ibfk_1` FOREIGN KEY (`contact_contact_id`) REFERENCES `contact` (`contact_id`) ON DELETE CASCADE,
  CONSTRAINT `contact_hostcommands_relation_ibfk_2` FOREIGN KEY (`command_command_id`) REFERENCES `command` (`command_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contact_hostcommands_relation`
--

LOCK TABLES `contact_hostcommands_relation` WRITE;
/*!40000 ALTER TABLE `contact_hostcommands_relation` DISABLE KEYS */;
INSERT INTO `contact_hostcommands_relation` VALUES (1,1,35),(2,17,35),(3,18,35),(4,19,98);
/*!40000 ALTER TABLE `contact_hostcommands_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_param`
--

DROP TABLE IF EXISTS `contact_param`;
CREATE TABLE `contact_param` (
  `id` int(4) NOT NULL auto_increment,
  `cp_key` varchar(255) NOT NULL,
  `cp_value` varchar(255) NOT NULL,
  `cp_contact_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `contact_id` (`cp_contact_id`),
  CONSTRAINT `contact_param_ibfk_1` FOREIGN KEY (`cp_contact_id`) REFERENCES `contact` (`contact_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contact_param`
--

LOCK TABLES `contact_param` WRITE;
/*!40000 ALTER TABLE `contact_param` DISABLE KEYS */;
INSERT INTO `contact_param` VALUES (1,'report_hour_start','0',NULL),(2,'report_minute_start','0',NULL),(3,'report_hour_end','24',NULL),(4,'report_minute_end','0',NULL),(5,'report_Monday','1',NULL),(6,'report_Tuesday','1',NULL),(7,'report_Wednesday','1',NULL),(8,'report_Thursday','1',NULL),(9,'report_Friday','1',NULL),(10,'report_Saturday','1',NULL),(11,'report_Sunday','1',NULL);
/*!40000 ALTER TABLE `contact_param` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_service_relation`
--

DROP TABLE IF EXISTS `contact_service_relation`;
CREATE TABLE `contact_service_relation` (
  `csr_id` int(11) NOT NULL auto_increment,
  `service_service_id` int(11) default NULL,
  `contact_id` int(11) default NULL,
  PRIMARY KEY  (`csr_id`),
  KEY `service_index` (`service_service_id`),
  KEY `contact_id` (`contact_id`),
  CONSTRAINT `contact_service_relation_ibfk_1` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `contact_service_relation_ibfk_2` FOREIGN KEY (`contact_id`) REFERENCES `contact` (`contact_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contact_service_relation`
--

LOCK TABLES `contact_service_relation` WRITE;
/*!40000 ALTER TABLE `contact_service_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_servicecommands_relation`
--

DROP TABLE IF EXISTS `contact_servicecommands_relation`;
CREATE TABLE `contact_servicecommands_relation` (
  `csc_id` int(11) NOT NULL auto_increment,
  `contact_contact_id` int(11) default NULL,
  `command_command_id` int(11) default NULL,
  PRIMARY KEY  (`csc_id`),
  KEY `contact_index` (`contact_contact_id`),
  KEY `command_index` (`command_command_id`),
  CONSTRAINT `contact_servicecommands_relation_ibfk_1` FOREIGN KEY (`contact_contact_id`) REFERENCES `contact` (`contact_id`) ON DELETE CASCADE,
  CONSTRAINT `contact_servicecommands_relation_ibfk_2` FOREIGN KEY (`command_command_id`) REFERENCES `command` (`command_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contact_servicecommands_relation`
--

LOCK TABLES `contact_servicecommands_relation` WRITE;
/*!40000 ALTER TABLE `contact_servicecommands_relation` DISABLE KEYS */;
INSERT INTO `contact_servicecommands_relation` VALUES (1,1,36),(2,17,36),(3,18,36),(4,19,99);
/*!40000 ALTER TABLE `contact_servicecommands_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup`
--

DROP TABLE IF EXISTS `contactgroup`;
CREATE TABLE `contactgroup` (
  `cg_id` int(11) NOT NULL auto_increment,
  `cg_name` varchar(200) default NULL,
  `cg_alias` varchar(200) default NULL,
  `cg_comment` text,
  `cg_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`cg_id`),
  KEY `name_index` (`cg_name`),
  KEY `alias_index` (`cg_alias`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup`
--

LOCK TABLES `contactgroup` WRITE;
/*!40000 ALTER TABLE `contactgroup` DISABLE KEYS */;
INSERT INTO `contactgroup` VALUES (3,'Guest','Guests Group','','1'),(5,'Supervisors','Centreon supervisors','','1');
/*!40000 ALTER TABLE `contactgroup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup_contact_relation`
--

DROP TABLE IF EXISTS `contactgroup_contact_relation`;
CREATE TABLE `contactgroup_contact_relation` (
  `cgr_id` int(11) NOT NULL auto_increment,
  `contact_contact_id` int(11) default NULL,
  `contactgroup_cg_id` int(11) default NULL,
  PRIMARY KEY  (`cgr_id`),
  KEY `contact_index` (`contact_contact_id`),
  KEY `contactgroup_index` (`contactgroup_cg_id`),
  CONSTRAINT `contactgroup_contact_relation_ibfk_1` FOREIGN KEY (`contact_contact_id`) REFERENCES `contact` (`contact_id`) ON DELETE CASCADE,
  CONSTRAINT `contactgroup_contact_relation_ibfk_2` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=79 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup_contact_relation`
--

LOCK TABLES `contactgroup_contact_relation` WRITE;
/*!40000 ALTER TABLE `contactgroup_contact_relation` DISABLE KEYS */;
INSERT INTO `contactgroup_contact_relation` VALUES (76,17,3),(77,1,5),(78,18,3);
/*!40000 ALTER TABLE `contactgroup_contact_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup_host_relation`
--

DROP TABLE IF EXISTS `contactgroup_host_relation`;
CREATE TABLE `contactgroup_host_relation` (
  `cghr_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `contactgroup_cg_id` int(11) default NULL,
  PRIMARY KEY  (`cghr_id`),
  KEY `host_index` (`host_host_id`),
  KEY `contactgroup_index` (`contactgroup_cg_id`),
  CONSTRAINT `contactgroup_host_relation_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `contactgroup_host_relation_ibfk_2` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4426 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup_host_relation`
--

LOCK TABLES `contactgroup_host_relation` WRITE;
/*!40000 ALTER TABLE `contactgroup_host_relation` DISABLE KEYS */;
INSERT INTO `contactgroup_host_relation` VALUES (4425,2,5);
/*!40000 ALTER TABLE `contactgroup_host_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup_hostgroup_relation`
--

DROP TABLE IF EXISTS `contactgroup_hostgroup_relation`;
CREATE TABLE `contactgroup_hostgroup_relation` (
  `cghgr_id` int(11) NOT NULL auto_increment,
  `contactgroup_cg_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  PRIMARY KEY  (`cghgr_id`),
  KEY `contactgroup_index` (`contactgroup_cg_id`),
  KEY `hostgroup_index` (`hostgroup_hg_id`),
  CONSTRAINT `contactgroup_hostgroup_relation_ibfk_1` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE,
  CONSTRAINT `contactgroup_hostgroup_relation_ibfk_2` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup_hostgroup_relation`
--

LOCK TABLES `contactgroup_hostgroup_relation` WRITE;
/*!40000 ALTER TABLE `contactgroup_hostgroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `contactgroup_hostgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup_service_relation`
--

DROP TABLE IF EXISTS `contactgroup_service_relation`;
CREATE TABLE `contactgroup_service_relation` (
  `cgsr_id` int(11) NOT NULL auto_increment,
  `contactgroup_cg_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  PRIMARY KEY  (`cgsr_id`),
  KEY `contactgroup_index` (`contactgroup_cg_id`),
  KEY `service_index` (`service_service_id`),
  CONSTRAINT `contactgroup_service_relation_ibfk_1` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE,
  CONSTRAINT `contactgroup_service_relation_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=122 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup_service_relation`
--

LOCK TABLES `contactgroup_service_relation` WRITE;
/*!40000 ALTER TABLE `contactgroup_service_relation` DISABLE KEYS */;
INSERT INTO `contactgroup_service_relation` VALUES (121,5,1);
/*!40000 ALTER TABLE `contactgroup_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup_servicegroup_relation`
--

DROP TABLE IF EXISTS `contactgroup_servicegroup_relation`;
CREATE TABLE `contactgroup_servicegroup_relation` (
  `cgsgr_id` int(11) NOT NULL auto_increment,
  `servicegroup_sg_id` int(11) default NULL,
  `contactgroup_cg_id` int(11) default NULL,
  PRIMARY KEY  (`cgsgr_id`),
  KEY `servicegroup_index` (`servicegroup_sg_id`),
  KEY `contactgroup_index` (`contactgroup_cg_id`),
  CONSTRAINT `contactgroup_servicegroup_relation_ibfk_1` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE,
  CONSTRAINT `contactgroup_servicegroup_relation_ibfk_2` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup_servicegroup_relation`
--

LOCK TABLES `contactgroup_servicegroup_relation` WRITE;
/*!40000 ALTER TABLE `contactgroup_servicegroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `contactgroup_servicegroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cron_operation`
--

DROP TABLE IF EXISTS `cron_operation`;
CREATE TABLE `cron_operation` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(254) default NULL,
  `command` varchar(254) default NULL,
  `time_launch` varchar(254) default NULL,
  `last_modification` int(11) default '0',
  `system` enum('0','1') default NULL,
  `module` enum('0','1') default NULL,
  `activate` enum('0','1') default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `cron_operation`
--

LOCK TABLES `cron_operation` WRITE;
/*!40000 ALTER TABLE `cron_operation` DISABLE KEYS */;
/*!40000 ALTER TABLE `cron_operation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `css_color_menu`
--

DROP TABLE IF EXISTS `css_color_menu`;
CREATE TABLE `css_color_menu` (
  `id_css_color_menu` int(11) NOT NULL auto_increment,
  `menu_nb` int(11) default NULL,
  `css_name` varchar(255) default NULL,
  PRIMARY KEY  (`id_css_color_menu`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `css_color_menu`
--

LOCK TABLES `css_color_menu` WRITE;
/*!40000 ALTER TABLE `css_color_menu` DISABLE KEYS */;
INSERT INTO `css_color_menu` VALUES (1,1,'green_css.php'),(2,2,'green_css.php'),(3,3,'yellow_css.php'),(4,4,'red_css.php'),(5,5,'blue_css.php'),(6,6,'blue_css.php');
/*!40000 ALTER TABLE `css_color_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency`
--

DROP TABLE IF EXISTS `dependency`;
CREATE TABLE `dependency` (
  `dep_id` int(11) NOT NULL auto_increment,
  `dep_name` varchar(255) default NULL,
  `dep_description` varchar(255) default NULL,
  `inherits_parent` enum('0','1') default NULL,
  `execution_failure_criteria` varchar(255) default NULL,
  `notification_failure_criteria` varchar(255) default NULL,
  `dep_comment` text,
  PRIMARY KEY  (`dep_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency`
--

LOCK TABLES `dependency` WRITE;
/*!40000 ALTER TABLE `dependency` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_hostChild_relation`
--

DROP TABLE IF EXISTS `dependency_hostChild_relation`;
CREATE TABLE `dependency_hostChild_relation` (
  `dhcr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`dhcr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `dependency_hostChild_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_hostChild_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_hostChild_relation`
--

LOCK TABLES `dependency_hostChild_relation` WRITE;
/*!40000 ALTER TABLE `dependency_hostChild_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_hostChild_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_hostParent_relation`
--

DROP TABLE IF EXISTS `dependency_hostParent_relation`;
CREATE TABLE `dependency_hostParent_relation` (
  `dhpr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`dhpr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `dependency_hostParent_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_hostParent_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_hostParent_relation`
--

LOCK TABLES `dependency_hostParent_relation` WRITE;
/*!40000 ALTER TABLE `dependency_hostParent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_hostParent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_hostgroupChild_relation`
--

DROP TABLE IF EXISTS `dependency_hostgroupChild_relation`;
CREATE TABLE `dependency_hostgroupChild_relation` (
  `dhgcr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  PRIMARY KEY  (`dhgcr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `hostgroup_index` (`hostgroup_hg_id`),
  CONSTRAINT `dependency_hostgroupChild_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_hostgroupChild_relation_ibfk_2` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_hostgroupChild_relation`
--

LOCK TABLES `dependency_hostgroupChild_relation` WRITE;
/*!40000 ALTER TABLE `dependency_hostgroupChild_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_hostgroupChild_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_hostgroupParent_relation`
--

DROP TABLE IF EXISTS `dependency_hostgroupParent_relation`;
CREATE TABLE `dependency_hostgroupParent_relation` (
  `dhgpr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  PRIMARY KEY  (`dhgpr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `hostgroup_index` (`hostgroup_hg_id`),
  CONSTRAINT `dependency_hostgroupParent_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_hostgroupParent_relation_ibfk_2` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_hostgroupParent_relation`
--

LOCK TABLES `dependency_hostgroupParent_relation` WRITE;
/*!40000 ALTER TABLE `dependency_hostgroupParent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_hostgroupParent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_metaserviceChild_relation`
--

DROP TABLE IF EXISTS `dependency_metaserviceChild_relation`;
CREATE TABLE `dependency_metaserviceChild_relation` (
  `dmscr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `meta_service_meta_id` int(11) default NULL,
  PRIMARY KEY  (`dmscr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `meta_service_index` (`meta_service_meta_id`),
  CONSTRAINT `dependency_metaserviceChild_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_metaserviceChild_relation_ibfk_2` FOREIGN KEY (`meta_service_meta_id`) REFERENCES `meta_service` (`meta_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_metaserviceChild_relation`
--

LOCK TABLES `dependency_metaserviceChild_relation` WRITE;
/*!40000 ALTER TABLE `dependency_metaserviceChild_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_metaserviceChild_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_metaserviceParent_relation`
--

DROP TABLE IF EXISTS `dependency_metaserviceParent_relation`;
CREATE TABLE `dependency_metaserviceParent_relation` (
  `dmspr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `meta_service_meta_id` int(11) default NULL,
  PRIMARY KEY  (`dmspr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `meta_service_index` (`meta_service_meta_id`),
  CONSTRAINT `dependency_metaserviceParent_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_metaserviceParent_relation_ibfk_2` FOREIGN KEY (`meta_service_meta_id`) REFERENCES `meta_service` (`meta_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_metaserviceParent_relation`
--

LOCK TABLES `dependency_metaserviceParent_relation` WRITE;
/*!40000 ALTER TABLE `dependency_metaserviceParent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_metaserviceParent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_serviceChild_relation`
--

DROP TABLE IF EXISTS `dependency_serviceChild_relation`;
CREATE TABLE `dependency_serviceChild_relation` (
  `dscr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`dscr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `service_index` (`service_service_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `dependency_serviceChild_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_serviceChild_relation_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_serviceChild_relation_ibfk_3` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_serviceChild_relation`
--

LOCK TABLES `dependency_serviceChild_relation` WRITE;
/*!40000 ALTER TABLE `dependency_serviceChild_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_serviceChild_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_serviceParent_relation`
--

DROP TABLE IF EXISTS `dependency_serviceParent_relation`;
CREATE TABLE `dependency_serviceParent_relation` (
  `dspr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`dspr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `service_index` (`service_service_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `dependency_serviceParent_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_serviceParent_relation_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_serviceParent_relation_ibfk_3` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_serviceParent_relation`
--

LOCK TABLES `dependency_serviceParent_relation` WRITE;
/*!40000 ALTER TABLE `dependency_serviceParent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_serviceParent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_servicegroupChild_relation`
--

DROP TABLE IF EXISTS `dependency_servicegroupChild_relation`;
CREATE TABLE `dependency_servicegroupChild_relation` (
  `dsgcr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  PRIMARY KEY  (`dsgcr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `sg_index` (`servicegroup_sg_id`),
  CONSTRAINT `dependency_servicegroupChild_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_servicegroupChild_relation_ibfk_2` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_servicegroupChild_relation`
--

LOCK TABLES `dependency_servicegroupChild_relation` WRITE;
/*!40000 ALTER TABLE `dependency_servicegroupChild_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_servicegroupChild_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_servicegroupParent_relation`
--

DROP TABLE IF EXISTS `dependency_servicegroupParent_relation`;
CREATE TABLE `dependency_servicegroupParent_relation` (
  `dsgpr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  PRIMARY KEY  (`dsgpr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `sg_index` (`servicegroup_sg_id`),
  CONSTRAINT `dependency_servicegroupParent_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_servicegroupParent_relation_ibfk_2` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_servicegroupParent_relation`
--

LOCK TABLES `dependency_servicegroupParent_relation` WRITE;
/*!40000 ALTER TABLE `dependency_servicegroupParent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_servicegroupParent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation`
--

DROP TABLE IF EXISTS `escalation`;
CREATE TABLE `escalation` (
  `esc_id` int(11) NOT NULL auto_increment,
  `esc_name` varchar(255) default NULL,
  `esc_alias` varchar(255) default NULL,
  `first_notification` int(11) default NULL,
  `last_notification` int(11) default NULL,
  `notification_interval` int(11) default NULL,
  `escalation_period` int(11) default NULL,
  `escalation_options1` varchar(255) default NULL,
  `escalation_options2` varchar(255) default NULL,
  `esc_comment` text,
  PRIMARY KEY  (`esc_id`),
  KEY `period_index` (`escalation_period`),
  CONSTRAINT `escalation_ibfk_1` FOREIGN KEY (`escalation_period`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation`
--

LOCK TABLES `escalation` WRITE;
/*!40000 ALTER TABLE `escalation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_contactgroup_relation`
--

DROP TABLE IF EXISTS `escalation_contactgroup_relation`;
CREATE TABLE `escalation_contactgroup_relation` (
  `ecgr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `contactgroup_cg_id` int(11) default NULL,
  PRIMARY KEY  (`ecgr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `cg_index` (`contactgroup_cg_id`),
  CONSTRAINT `escalation_contactgroup_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_contactgroup_relation_ibfk_2` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_contactgroup_relation`
--

LOCK TABLES `escalation_contactgroup_relation` WRITE;
/*!40000 ALTER TABLE `escalation_contactgroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_contactgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_host_relation`
--

DROP TABLE IF EXISTS `escalation_host_relation`;
CREATE TABLE `escalation_host_relation` (
  `ehr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`ehr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `escalation_host_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_host_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_host_relation`
--

LOCK TABLES `escalation_host_relation` WRITE;
/*!40000 ALTER TABLE `escalation_host_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_host_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_hostgroup_relation`
--

DROP TABLE IF EXISTS `escalation_hostgroup_relation`;
CREATE TABLE `escalation_hostgroup_relation` (
  `ehgr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  PRIMARY KEY  (`ehgr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `hg_index` (`hostgroup_hg_id`),
  CONSTRAINT `escalation_hostgroup_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_hostgroup_relation_ibfk_2` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_hostgroup_relation`
--

LOCK TABLES `escalation_hostgroup_relation` WRITE;
/*!40000 ALTER TABLE `escalation_hostgroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_hostgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_meta_service_relation`
--

DROP TABLE IF EXISTS `escalation_meta_service_relation`;
CREATE TABLE `escalation_meta_service_relation` (
  `emsr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `meta_service_meta_id` int(11) default NULL,
  PRIMARY KEY  (`emsr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `meta_service_index` (`meta_service_meta_id`),
  CONSTRAINT `escalation_meta_service_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_meta_service_relation_ibfk_2` FOREIGN KEY (`meta_service_meta_id`) REFERENCES `meta_service` (`meta_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_meta_service_relation`
--

LOCK TABLES `escalation_meta_service_relation` WRITE;
/*!40000 ALTER TABLE `escalation_meta_service_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_meta_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_service_relation`
--

DROP TABLE IF EXISTS `escalation_service_relation`;
CREATE TABLE `escalation_service_relation` (
  `esr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`esr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `service_index` (`service_service_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `escalation_service_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_service_relation_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_service_relation_ibfk_3` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_service_relation`
--

LOCK TABLES `escalation_service_relation` WRITE;
/*!40000 ALTER TABLE `escalation_service_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_servicegroup_relation`
--

DROP TABLE IF EXISTS `escalation_servicegroup_relation`;
CREATE TABLE `escalation_servicegroup_relation` (
  `esgr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  PRIMARY KEY  (`esgr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `sg_index` (`servicegroup_sg_id`),
  CONSTRAINT `escalation_servicegroup_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_servicegroup_relation_ibfk_2` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_servicegroup_relation`
--

LOCK TABLES `escalation_servicegroup_relation` WRITE;
/*!40000 ALTER TABLE `escalation_servicegroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_servicegroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `extended_host_information`
--

DROP TABLE IF EXISTS `extended_host_information`;
CREATE TABLE `extended_host_information` (
  `ehi_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `ehi_notes` varchar(200) default NULL,
  `ehi_notes_url` varchar(200) default NULL,
  `ehi_action_url` varchar(200) default NULL,
  `ehi_icon_image` int(11) default NULL,
  `ehi_icon_image_alt` varchar(200) default NULL,
  `ehi_vrml_image` int(11) default NULL,
  `ehi_statusmap_image` int(11) default NULL,
  `ehi_2d_coords` varchar(200) default NULL,
  `ehi_3d_coords` varchar(200) default NULL,
  PRIMARY KEY  (`ehi_id`),
  KEY `host_index` (`host_host_id`),
  KEY `extended_host_information_ibfk_2` (`ehi_icon_image`),
  KEY `extended_host_information_ibfk_3` (`ehi_vrml_image`),
  KEY `extended_host_information_ibfk_4` (`ehi_statusmap_image`),
  CONSTRAINT `extended_host_information_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `extended_host_information_ibfk_2` FOREIGN KEY (`ehi_icon_image`) REFERENCES `view_img` (`img_id`) ON DELETE SET NULL,
  CONSTRAINT `extended_host_information_ibfk_3` FOREIGN KEY (`ehi_vrml_image`) REFERENCES `view_img` (`img_id`) ON DELETE SET NULL,
  CONSTRAINT `extended_host_information_ibfk_4` FOREIGN KEY (`ehi_statusmap_image`) REFERENCES `view_img` (`img_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `extended_host_information`
--

LOCK TABLES `extended_host_information` WRITE;
/*!40000 ALTER TABLE `extended_host_information` DISABLE KEYS */;
INSERT INTO `extended_host_information` VALUES (1,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(2,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(3,4,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(4,5,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(5,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(6,7,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(7,8,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(8,9,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(9,10,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(10,11,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(11,12,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(12,13,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(13,14,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `extended_host_information` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `extended_service_information`
--

DROP TABLE IF EXISTS `extended_service_information`;
CREATE TABLE `extended_service_information` (
  `esi_id` int(11) NOT NULL auto_increment,
  `service_service_id` int(11) default NULL,
  `esi_notes` varchar(200) default NULL,
  `esi_notes_url` varchar(200) default NULL,
  `esi_action_url` varchar(200) default NULL,
  `esi_icon_image` int(11) default NULL,
  `esi_icon_image_alt` varchar(200) default NULL,
  `graph_id` int(11) default NULL,
  PRIMARY KEY  (`esi_id`),
  KEY `service_index` (`service_service_id`),
  KEY `graph_index` (`graph_id`),
  KEY `extended_service_information_ibfk_3` (`esi_icon_image`),
  CONSTRAINT `extended_service_information_ibfk_1` FOREIGN KEY (`graph_id`) REFERENCES `giv_graphs_template` (`graph_id`) ON DELETE SET NULL,
  CONSTRAINT `extended_service_information_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `extended_service_information_ibfk_3` FOREIGN KEY (`esi_icon_image`) REFERENCES `view_img` (`img_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `extended_service_information`
--

LOCK TABLES `extended_service_information` WRITE;
/*!40000 ALTER TABLE `extended_service_information` DISABLE KEYS */;
INSERT INTO `extended_service_information` VALUES (1,1,NULL,NULL,NULL,NULL,NULL,NULL),(2,3,NULL,NULL,NULL,NULL,NULL,NULL),(3,4,NULL,NULL,NULL,NULL,NULL,NULL),(4,5,NULL,NULL,NULL,NULL,NULL,NULL),(5,6,NULL,NULL,NULL,NULL,NULL,NULL),(6,7,NULL,NULL,NULL,NULL,NULL,NULL),(7,8,NULL,NULL,NULL,NULL,NULL,NULL),(8,9,NULL,NULL,NULL,NULL,NULL,NULL),(9,10,NULL,NULL,NULL,NULL,NULL,NULL),(10,11,NULL,NULL,NULL,NULL,NULL,NULL),(11,12,NULL,NULL,NULL,NULL,NULL,NULL),(12,13,NULL,NULL,NULL,NULL,NULL,NULL),(13,14,NULL,NULL,NULL,NULL,NULL,NULL),(14,15,NULL,NULL,NULL,NULL,NULL,NULL),(15,16,NULL,NULL,NULL,NULL,NULL,NULL),(16,17,NULL,NULL,NULL,NULL,NULL,NULL),(17,18,NULL,NULL,NULL,NULL,NULL,NULL),(18,19,NULL,NULL,NULL,NULL,NULL,NULL),(19,20,NULL,NULL,NULL,NULL,NULL,NULL),(20,21,NULL,NULL,NULL,NULL,NULL,NULL),(21,22,NULL,NULL,NULL,NULL,NULL,NULL),(22,23,NULL,NULL,NULL,NULL,NULL,NULL),(23,24,NULL,NULL,NULL,NULL,NULL,NULL),(24,25,NULL,NULL,NULL,NULL,NULL,NULL),(25,26,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `extended_service_information` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `general_opt`
--

DROP TABLE IF EXISTS `general_opt`;
CREATE TABLE `general_opt` (
  `gopt_id` int(11) NOT NULL auto_increment,
  `nagios_path` varchar(255) default NULL,
  `nagios_path_bin` varchar(255) default NULL,
  `nagios_init_script` varchar(255) default NULL,
  `nagios_path_img` varchar(255) default NULL,
  `nagios_path_plugins` varchar(255) default NULL,
  `nagios_version` enum('1','2','3') default NULL,
  `snmp_community` varchar(255) default NULL,
  `snmp_version` varchar(255) default NULL,
  `snmpttconvertmib_path_bin` varchar(255) default NULL,
  `perl_library_path` varchar(255) default NULL,
  `snmp_trapd_path_conf` varchar(255) default NULL,
  `mailer_path_bin` varchar(255) default NULL,
  `rrdtool_path_bin` varchar(255) default NULL,
  `rrdtool_version` varchar(255) default NULL,
  `oreon_path` varchar(255) default NULL,
  `oreon_web_path` varchar(255) default NULL,
  `oreon_rrdbase_path` varchar(255) default NULL,
  `oreon_refresh` int(11) default NULL,
  `color_up` varchar(50) default NULL,
  `color_down` varchar(50) default NULL,
  `color_unreachable` varchar(50) default NULL,
  `color_ok` varchar(50) default NULL,
  `color_warning` varchar(50) default NULL,
  `color_critical` varchar(50) default NULL,
  `color_pending` varchar(50) default NULL,
  `color_unknown` varchar(50) default NULL,
  `color_undetermined` varchar(50) default NULL,
  `session_expire` int(11) default NULL,
  `perfparse_installed` enum('0','1') default NULL,
  `graph_preferencies` int(11) default '0',
  `maxViewMonitoring` int(11) NOT NULL default '50',
  `maxViewConfiguration` int(11) NOT NULL default '20',
  `AjaxTimeReloadMonitoring` int(11) NOT NULL default '15',
  `AjaxTimeReloadStatistic` int(11) NOT NULL default '15',
  `AjaxFirstTimeReloadMonitoring` int(11) NOT NULL default '15',
  `AjaxFirstTimeReloadStatistic` int(11) NOT NULL default '1',
  `template` varchar(254) default 'Basic',
  `problem_sort_type` varchar(25) default NULL,
  `problem_sort_order` varchar(25) default NULL,
  `ldap_host` varchar(254) default NULL,
  `ldap_port` varchar(5) default '389',
  `ldap_base_dn` varchar(254) default NULL,
  `ldap_login_attrib` varchar(254) default 'dn',
  `ldap_ssl` enum('0','1') default NULL,
  `ldap_search_user` varchar(254) default NULL,
  `ldap_search_user_pwd` varchar(254) default NULL,
  `ldap_search_filter` varchar(254) default NULL,
  `ldap_search_timeout` varchar(5) default '60',
  `ldap_search_limit` varchar(5) default '60',
  `ldap_auth_enable` enum('0','1') default NULL,
  `debug_path` varchar(255) default NULL,
  `debug_auth` enum('0','1') default NULL,
  `debug_nagios_import` enum('0','1') default NULL,
  `debug_rrdtool` enum('0','1') default NULL,
  `debug_ldap_import` enum('0','1') default NULL,
  `debug_inventory` enum('0','1') default NULL,
  `gmt` int(11) NOT NULL default '0',
  `patch_type_stable` enum('Y','N') default 'Y',
  `patch_type_RC` enum('Y','N') default 'N',
  `patch_type_patch` enum('Y','N') default 'N',
  `patch_type_secu` enum('Y','N') default 'Y',
  `patch_type_beta` enum('Y','N') default 'N',
  `patch_url_service` varchar(255) default NULL,
  `patch_url_download` varchar(255) default NULL,
  `patch_path_download` varchar(255) default NULL,
  `ndo_activate` binary(1) default NULL,
  `snmptt_unknowntrap_log_file` varchar(255) default NULL,
  PRIMARY KEY  (`gopt_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `general_opt`
--

LOCK TABLES `general_opt` WRITE;
/*!40000 ALTER TABLE `general_opt` DISABLE KEYS */;
INSERT INTO `general_opt` VALUES (1,'/usr/share/nagios','/usr/bin/nagios','/etc/init.d/nagios','/usr/share/nagios/images/logos/','/usr/lib/nagios/plugins/','3','public','1','/usr/share/centreon/bin/snmpttconvertmib','/usr/local/lib','/etc/snmp/centreon_traps/','/bin/mail','/usr/bin/rrdtool','1.2','/usr/share/centreon/','/centreon/',NULL,60,'#19EE11','#F91E05','#82CFD8','#13EB3A','#F8C706','#F91D05','#2AD1D4','#D4D5CC','#CCCCCC',120,'0',1,50,20,15,15,0,0,'Centreon-2','last_state_change','ASC',NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,'60','60','0','/usr/share/centreon/log/',NULL,NULL,NULL,NULL,NULL,1,'Y','Y','Y','Y','Y','http://update.centreon.com/version.php','http://update.centreon.com/patch/','/tmp/','1','snmptrapd.log');
/*!40000 ALTER TABLE `general_opt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `giv_components_template`
--

DROP TABLE IF EXISTS `giv_components_template`;
CREATE TABLE `giv_components_template` (
  `compo_id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `ds_order` int(11) default NULL,
  `ds_name` varchar(200) default NULL,
  `ds_color_line` varchar(255) default NULL,
  `ds_color_area` varchar(255) default NULL,
  `ds_filled` enum('0','1') default NULL,
  `ds_max` enum('0','1') default NULL,
  `ds_min` enum('0','1') default NULL,
  `ds_average` enum('0','1') default NULL,
  `ds_last` enum('0','1') default NULL,
  `ds_tickness` int(11) default NULL,
  `ds_transparency` varchar(254) default NULL,
  `ds_invert` enum('0','1') default NULL,
  `default_tpl1` enum('0','1') default NULL,
  `comment` text,
  PRIMARY KEY  (`compo_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `giv_components_template`
--

LOCK TABLES `giv_components_template` WRITE;
/*!40000 ALTER TABLE `giv_components_template` DISABLE KEYS */;
INSERT INTO `giv_components_template` VALUES (1,'Default_DS1',1,'DS1','#1183EE','#FFFFFF','0','1','1','1','1',1,NULL,NULL,'1',NULL),(2,'Default_DS2',2,'DS2','#18E631','#FFFFFF','0','1','1','1','1',1,NULL,NULL,'0',NULL),(3,'Default_DS3',3,'DS3','#E84D17','#FFFFFF','0','1','1','1','1',1,NULL,NULL,'0',NULL),(4,'Default_DS4',4,'DS4','#C438C7','#FFFFFF','0','1','1','1','1',1,NULL,NULL,'0',NULL),(5,'Ok',NULL,'ok','#1EE045','#1EE045','1',NULL,NULL,'1',NULL,1,'95',NULL,NULL,NULL),(6,'Ping',1,'Ping','#1EE045','#1EE045','0','1','0','1','0',1,'75','0','0',NULL),(7,'Total',NULL,'total','#F33E0B','#FFFFFF',NULL,NULL,NULL,'1','1',1,NULL,NULL,NULL,NULL),(8,'Used',NULL,'used','#2B28D7','#050AF9','1',NULL,NULL,'1','1',1,'80',NULL,NULL,NULL),(10,'CPU',NULL,'cpu','#FF0000','#FFFFFF',NULL,'1','1','1','1',1,NULL,NULL,NULL,NULL),(11,'UPTIME',1,'UPTIME','#FF0000','#FF0000','1','1','1','1','0',1,NULL,'0','0',NULL),(12,'Traffic_In',NULL,'traffic_In','#FF0000','#FF0000','1','1',NULL,'1',NULL,1,'75','1',NULL,NULL),(13,'Traffic_Out',NULL,'traffic_Out','#1EE045','#1EE045','1','1',NULL,'1','1',1,'75',NULL,NULL,NULL),(14,'load_1',NULL,'load1','#F3D30B','#F3D30B',NULL,NULL,NULL,'1',NULL,1,'75',NULL,NULL,NULL),(15,'load_5',NULL,'load5','#E97B15','#E97B15',NULL,NULL,NULL,'1',NULL,1,'75',NULL,NULL,NULL),(16,'load_15',NULL,'load15','#F11F0D','#F11F0D',NULL,NULL,NULL,'1',NULL,1,'75',NULL,NULL,NULL),(17,'OSL_DOWNTIME',NULL,'Downtime','#E64A18','#E64A18','1','1','1','1',NULL,1,NULL,NULL,NULL,NULL),(18,'OSL_VALUE',NULL,'Qos','#61D22D','#61D22D','1','1','1','1',NULL,1,NULL,NULL,NULL,NULL),(19,'Time',NULL,'time','#1AA8E4','#08C6F6','1','1',NULL,NULL,'1',1,'80',NULL,NULL,NULL),(20,'Size',NULL,'size','#F33E0B','#F30B51',NULL,NULL,NULL,'1','1',1,'70',NULL,NULL,NULL);
/*!40000 ALTER TABLE `giv_components_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `giv_graphs_template`
--

DROP TABLE IF EXISTS `giv_graphs_template`;
CREATE TABLE `giv_graphs_template` (
  `graph_id` int(11) NOT NULL auto_increment,
  `name` varchar(200) default NULL,
  `vertical_label` varchar(200) default NULL,
  `width` int(11) default NULL,
  `height` int(11) default NULL,
  `base` int(11) default '1000',
  `lower_limit` float default NULL,
  `upper_limit` float default NULL,
  `bg_grid_color` varchar(200) default NULL,
  `bg_color` varchar(200) default NULL,
  `police_color` varchar(200) default NULL,
  `grid_main_color` varchar(200) default NULL,
  `grid_sec_color` varchar(200) default NULL,
  `contour_cub_color` varchar(200) default NULL,
  `col_arrow` varchar(200) default NULL,
  `col_top` varchar(200) default NULL,
  `col_bot` varchar(200) default NULL,
  `default_tpl1` enum('0','1') default NULL,
  `stacked` enum('0','1') default NULL,
  `split_component` enum('0','1') default '0',
  `comment` text,
  PRIMARY KEY  (`graph_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `giv_graphs_template`
--

LOCK TABLES `giv_graphs_template` WRITE;
/*!40000 ALTER TABLE `giv_graphs_template` DISABLE KEYS */;
INSERT INTO `giv_graphs_template` VALUES (1,'Default_Graph','Value',600,200,1000,0,NULL,NULL,'#FEFEFE','#000000','#800000','#808080','#000000','#F3420B','#C0C0C0','#909090','1',NULL,'0',NULL),(2,'Latency','Latency',600,200,1000,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'#F72E07',NULL,NULL,NULL,NULL,NULL,NULL),(3,'Storage','Storage',600,200,1024,0,NULL,'#FFFFFF',NULL,NULL,NULL,NULL,NULL,'#DE2055',NULL,NULL,NULL,NULL,NULL,NULL),(4,'Memory','Memory',600,200,1024,0,NULL,'#FFFFFF','#F3F6F6','#3C3334',NULL,NULL,'#000000','#FFFFFF','#C0C0C0','#909090','0','0','0',NULL),(5,'CPU','Processor Use',600,200,1000,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'#F30B39',NULL,NULL,NULL,NULL,'1',NULL),(6,'Uptime','Uptime',600,200,1000,0,NULL,'#FFFFFF','#F3F6F6','#3C3334',NULL,NULL,'#000000','#FFFFFF','#C0C0C0','#909090','0','0','0',NULL),(7,'Traffic','Traffic',600,200,1000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(8,'Load_Average','Load_Average',600,200,1000,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'#F82306',NULL,NULL,NULL,NULL,NULL,NULL),(9,'OSL','OSL',600,200,1000,0,NULL,'#FFFFFF','#F3F6F6','#3C3334',NULL,NULL,'#000000','#FFFFFF','#C0C0C0','#909090','0','0','0',NULL);
/*!40000 ALTER TABLE `giv_graphs_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host`
--

DROP TABLE IF EXISTS `host`;
CREATE TABLE `host` (
  `host_id` int(11) NOT NULL auto_increment,
  `host_template_model_htm_id` int(11) default NULL,
  `command_command_id` int(11) default NULL,
  `command_command_id_arg1` text,
  `timeperiod_tp_id` int(11) default NULL,
  `timeperiod_tp_id2` int(11) default NULL,
  `command_command_id2` int(11) default NULL,
  `command_command_id_arg2` text,
  `host_name` varchar(200) default NULL,
  `host_alias` varchar(200) default NULL,
  `host_address` varchar(255) default NULL,
  `display_name` varchar(255) default NULL,
  `host_max_check_attempts` int(11) default NULL,
  `host_check_interval` int(11) default NULL,
  `host_active_checks_enabled` enum('0','1','2') default NULL,
  `host_passive_checks_enabled` enum('0','1','2') default NULL,
  `host_checks_enabled` enum('0','1','2') default NULL,
  `initial_state` enum('o','d','u') default NULL,
  `host_obsess_over_host` enum('0','1','2') default NULL,
  `host_check_freshness` enum('0','1','2') default NULL,
  `host_freshness_threshold` int(11) default NULL,
  `host_event_handler_enabled` enum('0','1','2') default NULL,
  `host_low_flap_threshold` int(11) default NULL,
  `host_high_flap_threshold` int(11) default NULL,
  `host_flap_detection_enabled` enum('0','1','2') default NULL,
  `flap_detection_options` varchar(255) default NULL,
  `host_process_perf_data` enum('0','1','2') default NULL,
  `host_retain_status_information` enum('0','1','2') default NULL,
  `host_retain_nonstatus_information` enum('0','1','2') default NULL,
  `host_notification_interval` int(11) default NULL,
  `host_notification_options` varchar(200) default NULL,
  `host_notifications_enabled` enum('0','1','2') default NULL,
  `host_first_notification_delay` int(11) default NULL,
  `host_stalking_options` varchar(200) default NULL,
  `host_snmp_community` varchar(255) default NULL,
  `host_snmp_version` varchar(255) default NULL,
  `host_comment` text,
  `host_register` enum('0','1') default NULL,
  `host_activate` enum('0','1','2') default '1',
  PRIMARY KEY  (`host_id`),
  KEY `htm_index` (`host_template_model_htm_id`),
  KEY `cmd1_index` (`command_command_id`),
  KEY `cmd2_index` (`command_command_id2`),
  KEY `tp1_index` (`timeperiod_tp_id`),
  KEY `tp2_index` (`timeperiod_tp_id2`),
  KEY `name_index` (`host_name`),
  KEY `alias_index` (`host_alias`),
  CONSTRAINT `host_ibfk_1` FOREIGN KEY (`command_command_id`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `host_ibfk_2` FOREIGN KEY (`command_command_id2`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `host_ibfk_3` FOREIGN KEY (`timeperiod_tp_id`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `host_ibfk_4` FOREIGN KEY (`timeperiod_tp_id2`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `host`
--

LOCK TABLES `host` WRITE;
/*!40000 ALTER TABLE `host` DISABLE KEYS */;
INSERT INTO `host` VALUES (2,NULL,1,NULL,1,1,NULL,NULL,'generic-host','generic-host',NULL,NULL,5,NULL,'1','0','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',0,'d,r','0',NULL,NULL,NULL,'0',NULL,'0','1'),(3,2,NULL,NULL,NULL,NULL,NULL,NULL,'Servers-Linux','Linux Servers',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(4,2,NULL,NULL,NULL,NULL,NULL,NULL,'Servers-Win2K','Windows 2000 Servers',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(5,2,NULL,NULL,NULL,NULL,NULL,NULL,'Servers-Win2K3','Windows 2003 Servers',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(6,2,NULL,NULL,NULL,NULL,NULL,NULL,'Switchs-Cisco','Cisco Switchs',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(7,2,NULL,NULL,NULL,NULL,NULL,NULL,'Switchs-3Com','3Com Switchs',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(8,2,NULL,NULL,NULL,NULL,NULL,NULL,'Switchs-HP','HP Switchs',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(9,2,NULL,NULL,NULL,NULL,NULL,NULL,'Switchs-NORTEL','NORTEL Switchs',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(10,2,NULL,NULL,NULL,NULL,NULL,NULL,'Router-Cisco','Cisco Routers',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(11,2,NULL,NULL,NULL,NULL,NULL,NULL,'Router-HP','HP Routers',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(12,2,NULL,NULL,NULL,NULL,NULL,NULL,'Printers','Printers',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(13,2,NULL,NULL,NULL,NULL,NULL,NULL,'UPS','UPS',NULL,NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'0','1'),(14,3,NULL,NULL,NULL,NULL,NULL,NULL,'Centreon-Server','Monitoring Server','127.0.0.1',NULL,NULL,NULL,'2','2','2',NULL,'2','2',NULL,'2',NULL,NULL,'2',NULL,'2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'0',NULL,'1','1');
/*!40000 ALTER TABLE `host` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host_hostparent_relation`
--

DROP TABLE IF EXISTS `host_hostparent_relation`;
CREATE TABLE `host_hostparent_relation` (
  `hhr_id` int(11) NOT NULL auto_increment,
  `host_parent_hp_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`hhr_id`),
  KEY `host1_index` (`host_parent_hp_id`),
  KEY `host2_index` (`host_host_id`),
  CONSTRAINT `host_hostparent_relation_ibfk_1` FOREIGN KEY (`host_parent_hp_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `host_hostparent_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `host_hostparent_relation`
--

LOCK TABLES `host_hostparent_relation` WRITE;
/*!40000 ALTER TABLE `host_hostparent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `host_hostparent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host_service_relation`
--

DROP TABLE IF EXISTS `host_service_relation`;
CREATE TABLE `host_service_relation` (
  `hsr_id` int(11) NOT NULL auto_increment,
  `hostgroup_hg_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  PRIMARY KEY  (`hsr_id`),
  KEY `hostgroup_index` (`hostgroup_hg_id`),
  KEY `host_index` (`host_host_id`),
  KEY `servicegroup_index` (`servicegroup_sg_id`),
  KEY `service_index` (`service_service_id`),
  CONSTRAINT `host_service_relation_ibfk_1` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE,
  CONSTRAINT `host_service_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `host_service_relation_ibfk_3` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE,
  CONSTRAINT `host_service_relation_ibfk_4` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `host_service_relation`
--

LOCK TABLES `host_service_relation` WRITE;
/*!40000 ALTER TABLE `host_service_relation` DISABLE KEYS */;
INSERT INTO `host_service_relation` VALUES (1,NULL,4,NULL,10),(2,NULL,5,NULL,11),(3,NULL,5,NULL,16),(4,NULL,5,NULL,15),(5,NULL,4,NULL,17),(6,NULL,14,NULL,19),(7,NULL,14,NULL,20),(8,NULL,14,NULL,21),(9,NULL,14,NULL,22),(10,NULL,14,NULL,23),(11,NULL,14,NULL,24),(12,NULL,14,NULL,26),(13,NULL,3,NULL,5),(14,NULL,3,NULL,12),(15,NULL,3,NULL,14),(16,NULL,14,NULL,25),(17,NULL,4,NULL,18),(18,NULL,5,NULL,18),(19,NULL,3,NULL,13),(20,NULL,2,NULL,3);
/*!40000 ALTER TABLE `host_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host_template_relation`
--

DROP TABLE IF EXISTS `host_template_relation`;
CREATE TABLE `host_template_relation` (
  `host_host_id` int(11) NOT NULL default '0',
  `host_tpl_id` int(11) NOT NULL default '0',
  `order` int(11) default NULL,
  PRIMARY KEY  (`host_host_id`,`host_tpl_id`),
  KEY `host_tpl_id` (`host_tpl_id`),
  CONSTRAINT `host_template_relation_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `host_template_relation_ibfk_2` FOREIGN KEY (`host_tpl_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `host_template_relation`
--

LOCK TABLES `host_template_relation` WRITE;
/*!40000 ALTER TABLE `host_template_relation` DISABLE KEYS */;
INSERT INTO `host_template_relation` VALUES (3,2,1),(4,2,1),(5,2,1),(6,2,1),(7,2,1),(8,2,1),(9,2,1),(10,2,1),(11,2,1),(12,2,1),(13,2,1),(14,2,1);
/*!40000 ALTER TABLE `host_template_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hostgroup`
--

DROP TABLE IF EXISTS `hostgroup`;
CREATE TABLE `hostgroup` (
  `hg_id` int(11) NOT NULL auto_increment,
  `hg_name` varchar(200) default NULL,
  `hg_alias` varchar(200) default NULL,
  `hg_snmp_community` varchar(255) default NULL,
  `hg_snmp_version` varchar(255) default NULL,
  `hg_comment` text,
  `hg_activate` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`hg_id`),
  KEY `name_index` (`hg_name`),
  KEY `alias_index` (`hg_alias`)
) ENGINE=InnoDB AUTO_INCREMENT=59 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `hostgroup`
--

LOCK TABLES `hostgroup` WRITE;
/*!40000 ALTER TABLE `hostgroup` DISABLE KEYS */;
INSERT INTO `hostgroup` VALUES (53,'Linux_Servers','All linux servers',NULL,'0',NULL,'1'),(54,'Windows_Servers','All windows servers',NULL,NULL,NULL,'1'),(55,'Networks','All other equipment',NULL,'0',NULL,'1'),(56,'Printers','All printers',NULL,NULL,NULL,'1'),(58,'Cisco_routers','All cisco routers',NULL,'0',NULL,'1');
/*!40000 ALTER TABLE `hostgroup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hostgroup_relation`
--

DROP TABLE IF EXISTS `hostgroup_relation`;
CREATE TABLE `hostgroup_relation` (
  `hgr_id` int(11) NOT NULL auto_increment,
  `hostgroup_hg_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`hgr_id`),
  KEY `hostgroup_index` (`hostgroup_hg_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `hostgroup_relation_ibfk_1` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE,
  CONSTRAINT `hostgroup_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1251 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `hostgroup_relation`
--

LOCK TABLES `hostgroup_relation` WRITE;
/*!40000 ALTER TABLE `hostgroup_relation` DISABLE KEYS */;
INSERT INTO `hostgroup_relation` VALUES (1250,53,14);
/*!40000 ALTER TABLE `hostgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `informations`
--

DROP TABLE IF EXISTS `informations`;
CREATE TABLE `informations` (
  `key` varchar(25) default NULL,
  `value` varchar(25) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `informations`
--

LOCK TABLES `informations` WRITE;
/*!40000 ALTER TABLE `informations` DISABLE KEYS */;
INSERT INTO `informations` VALUES ('version','2.0.2');
/*!40000 ALTER TABLE `informations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_contactgroup_relation`
--

DROP TABLE IF EXISTS `meta_contactgroup_relation`;
CREATE TABLE `meta_contactgroup_relation` (
  `mcr_id` int(11) NOT NULL auto_increment,
  `meta_id` int(11) default NULL,
  `cg_cg_id` int(11) default NULL,
  PRIMARY KEY  (`mcr_id`),
  KEY `meta_index` (`meta_id`),
  KEY `cg_index` (`cg_cg_id`),
  CONSTRAINT `meta_contactgroup_relation_ibfk_1` FOREIGN KEY (`meta_id`) REFERENCES `meta_service` (`meta_id`) ON DELETE CASCADE,
  CONSTRAINT `meta_contactgroup_relation_ibfk_2` FOREIGN KEY (`cg_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `meta_contactgroup_relation`
--

LOCK TABLES `meta_contactgroup_relation` WRITE;
/*!40000 ALTER TABLE `meta_contactgroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `meta_contactgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_service`
--

DROP TABLE IF EXISTS `meta_service`;
CREATE TABLE `meta_service` (
  `meta_id` int(11) NOT NULL auto_increment,
  `meta_name` varchar(254) default NULL,
  `meta_display` varchar(254) default NULL,
  `check_period` int(11) default NULL,
  `max_check_attempts` int(11) default NULL,
  `normal_check_interval` int(11) default NULL,
  `retry_check_interval` int(11) default NULL,
  `notification_interval` int(11) default NULL,
  `notification_period` int(11) default NULL,
  `notification_options` varchar(255) default NULL,
  `notifications_enabled` enum('0','1','2') default NULL,
  `calcul_type` enum('SOM','AVE','MIN','MAX') default NULL,
  `meta_select_mode` enum('1','2') default '1',
  `regexp_str` varchar(254) default NULL,
  `metric` varchar(255) default NULL,
  `warning` varchar(254) default NULL,
  `critical` varchar(254) default NULL,
  `graph_id` int(11) default NULL,
  `meta_comment` text,
  `meta_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`meta_id`),
  KEY `name_index` (`meta_name`),
  KEY `check_period_index` (`check_period`),
  KEY `notification_period_index` (`notification_period`),
  KEY `graph_index` (`graph_id`),
  CONSTRAINT `meta_service_ibfk_1` FOREIGN KEY (`check_period`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `meta_service_ibfk_2` FOREIGN KEY (`notification_period`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `meta_service_ibfk_3` FOREIGN KEY (`graph_id`) REFERENCES `giv_graphs_template` (`graph_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `meta_service`
--

LOCK TABLES `meta_service` WRITE;
/*!40000 ALTER TABLE `meta_service` DISABLE KEYS */;
/*!40000 ALTER TABLE `meta_service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_service_relation`
--

DROP TABLE IF EXISTS `meta_service_relation`;
CREATE TABLE `meta_service_relation` (
  `msr_id` int(11) NOT NULL auto_increment,
  `meta_id` int(11) default NULL,
  `host_id` int(11) default NULL,
  `metric_id` int(11) default NULL,
  `msr_comment` text,
  `activate` enum('0','1') default NULL,
  PRIMARY KEY  (`msr_id`),
  KEY `meta_index` (`meta_id`),
  KEY `metric_index` (`metric_id`),
  KEY `host_index` (`host_id`),
  CONSTRAINT `meta_service_relation_ibfk_1` FOREIGN KEY (`host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `meta_service_relation_ibfk_2` FOREIGN KEY (`meta_id`) REFERENCES `meta_service` (`meta_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `meta_service_relation`
--

LOCK TABLES `meta_service_relation` WRITE;
/*!40000 ALTER TABLE `meta_service_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `meta_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `modules_informations`
--

DROP TABLE IF EXISTS `modules_informations`;
CREATE TABLE `modules_informations` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `rname` varchar(255) default NULL,
  `mod_release` varchar(255) default NULL,
  `is_removeable` enum('0','1') default NULL,
  `infos` text,
  `author` varchar(255) default NULL,
  `lang_files` enum('0','1') default NULL,
  `sql_files` enum('0','1') default NULL,
  `php_files` enum('0','1') default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `modules_informations`
--

LOCK TABLES `modules_informations` WRITE;
/*!40000 ALTER TABLE `modules_informations` DISABLE KEYS */;
/*!40000 ALTER TABLE `modules_informations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nagios_macro`
--

DROP TABLE IF EXISTS `nagios_macro`;
CREATE TABLE `nagios_macro` (
  `macro_id` int(11) NOT NULL auto_increment,
  `macro_name` varchar(255) default NULL,
  PRIMARY KEY  (`macro_id`)
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `nagios_macro`
--

LOCK TABLES `nagios_macro` WRITE;
/*!40000 ALTER TABLE `nagios_macro` DISABLE KEYS */;
INSERT INTO `nagios_macro` VALUES (1,'$HOSTNAME$'),(2,'$HOSTALIAS$'),(3,'$HOSTADDRESS$'),(4,'$HOSTSTATE$'),(5,'$HOSTSTATEID$'),(6,'$HOSTSTATETYPE$'),(7,'$HOSTATTEMPT$'),(8,'$HOSTLATENCY$'),(9,'$HOSTEXECUTIONTIME$'),(10,'$HOSTDURATION$'),(11,'$HOSTDURATIONSEC$'),(12,'$HOSTDOWNTIME$'),(13,'$HOSTPERCENTCHANGE$'),(14,'$HOSTGROUPNAME$'),(15,'$HOSTGROUPALIAS$'),(16,'$LASTHOSTCHECK$'),(17,'$LASTHOSTSTATECHANGE$'),(18,'$LASTHOSTUP$'),(19,'$LASTHOSTDOWN$'),(20,'$LASTHOSTUNREACHABLE$'),(21,'$HOSTOUTPUT$'),(22,'$HOSTPERFDATA$'),(23,'$HOSTCHECKCOMMAND$'),(24,'$HOSTACKAUTHOR$'),(25,'$HOSTACKCOMMENT$'),(26,'$HOSTACTIONURL$'),(27,'$HOSTNOTESURL$'),(28,'$HOSTNOTES$'),(29,'$SERVICEDESC$'),(30,'$SERVICESTATE$'),(31,'$SERVICESTATEID$'),(32,'$SERVICESTATETYPE$'),(33,'$SERVICEATTEMPT$'),(34,'$SERVICELATENCY$'),(35,'$SERVICEEXECUTIONTIME$'),(36,'$SERVICEDURATION$'),(37,'$SERVICEDURATIONSEC$'),(38,'$SERVICEDOWNTIME$'),(39,'$SERVICEPERCENTCHANGE$'),(40,'$SERVICEGROUPNAME$'),(41,'$SERVICEGROUPALIAS$'),(42,'$LASTSERVICECHECK$'),(43,'$LASTSERVICESTATECHANGE$'),(44,'$LASTSERVICEOK$'),(45,'$LASTSERVICEWARNING$'),(46,'$LASTSERVICEUNKNOWN$'),(47,'$LASTSERVICECRITICAL$'),(48,'$SERVICEOUTPUT$'),(49,'$SERVICEPERFDATA$'),(50,'$SERVICECHECKCOMMAND$'),(51,'$SERVICEACKAUTHOR$'),(52,'$SERVICEACKCOMMENT$'),(53,'$SERVICEACTIONURL$'),(54,'$SERVICENOTESURL$'),(55,'$SERVICENOTES$'),(56,'$TOTALHOSTSUP$'),(57,'$TOTALHOSTSDOWN$'),(58,'$TOTALHOSTSUNREACHABLE$'),(59,'$TOTALHOSTSDOWNUNHANDLED$'),(60,'$TOTALHOSTSUNREACHABLEUNHANDLED$ 	'),(61,'$TOTALHOSTPROBLEMS$'),(62,'$TOTALHOSTPROBLEMSUNHANDLED$'),(63,'$TOTALSERVICESOK$'),(64,'$TOTALSERVICESWARNING$'),(65,'$TOTALSERVICESCRITICAL$'),(66,'$TOTALSERVICESUNKNOWN$'),(67,'$TOTALSERVICESWARNINGUNHANDLED$'),(68,'$TOTALSERVICESCRITICALUNHANDLED$'),(69,'$TOTALSERVICESUNKNOWNUNHANDLED$'),(70,'$TOTALSERVICEPROBLEMS$'),(71,'$TOTALSERVICEPROBLEMSUNHANDLED$'),(72,'$NOTIFICATIONTYPE$'),(73,'$NOTIFICATIONNUMBER$'),(74,'$CONTACTNAME$'),(75,'$CONTACTALIAS$'),(76,'$CONTACTEMAIL$'),(77,'$CONTACTPAGER$'),(78,'$CONTACTADDRESSn$'),(79,'$LONGDATETIME$'),(80,'$SHORTDATETIME$'),(81,'$DATE$'),(82,'$TIME$'),(83,'$TIMET$'),(84,'$MAINCONFIGFILE$'),(85,'$STATUSDATAFILE$'),(86,'$COMMENTDATAFILE$'),(87,'$DOWNTIMEDATAFILE$'),(88,'$RETENTIONDATAFILE$'),(89,'$OBJECTCACHEFILE$'),(90,'$TEMPFILE$'),(91,'$LOGFILE$'),(92,'$RESOURCEFILE$'),(93,'$COMMANDFILE$'),(94,'$HOSTPERFDATAFILE$'),(95,'$SERVICEPERFDATAFILE$'),(96,'$PROCESSSTARTTIME$'),(97,'$ADMINEMAIL$'),(98,'$ADMINPAGER$'),(99,'$ARGn$'),(100,'$USERn$');
/*!40000 ALTER TABLE `nagios_macro` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nagios_server`
--

DROP TABLE IF EXISTS `nagios_server`;
CREATE TABLE `nagios_server` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(40) default NULL,
  `localhost` enum('0','1') default NULL,
  `last_restart` int(11) default NULL,
  `ns_ip_address` varchar(255) default NULL,
  `ns_activate` enum('1','0') default '1',
  `ns_status` enum('0','1','2','3','4') default '0',
  `init_script` varchar(255) default NULL,
  `nagios_bin` varchar(255) default NULL,
  `nagiostats_bin` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `nagios_server`
--

LOCK TABLES `nagios_server` WRITE;
/*!40000 ALTER TABLE `nagios_server` DISABLE KEYS */;
INSERT INTO `nagios_server` VALUES (1,'Poller Principal','1',1208530384,'127.0.0.1','1','0','/etc/init.d/nagios','/usr/bin/nagios','/usr/bin/nagiostats');
/*!40000 ALTER TABLE `nagios_server` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ns_host_relation`
--

DROP TABLE IF EXISTS `ns_host_relation`;
CREATE TABLE `ns_host_relation` (
  `nagios_server_id` int(11) NOT NULL default '0',
  `host_host_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`nagios_server_id`,`host_host_id`),
  KEY `host_host_id` (`host_host_id`),
  KEY `nagios_server_id` (`nagios_server_id`),
  CONSTRAINT `ns_host_relation_ibfk_2` FOREIGN KEY (`nagios_server_id`) REFERENCES `nagios_server` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ns_host_relation_ibfk_3` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Relation Table For centreon Servers and hosts ';

--
-- Dumping data for table `ns_host_relation`
--

LOCK TABLES `ns_host_relation` WRITE;
/*!40000 ALTER TABLE `ns_host_relation` DISABLE KEYS */;
INSERT INTO `ns_host_relation` VALUES (1,14);
/*!40000 ALTER TABLE `ns_host_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ods_view_details`
--

DROP TABLE IF EXISTS `ods_view_details`;
CREATE TABLE `ods_view_details` (
  `dv_id` int(11) NOT NULL auto_increment,
  `index_id` int(11) default NULL,
  `metric_id` int(11) default NULL,
  `contact_id` int(11) default NULL,
  `all_user` enum('0','1') default NULL,
  PRIMARY KEY  (`dv_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ods_view_details`
--

LOCK TABLES `ods_view_details` WRITE;
/*!40000 ALTER TABLE `ods_view_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `ods_view_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `on_demand_macro_host`
--

DROP TABLE IF EXISTS `on_demand_macro_host`;
CREATE TABLE `on_demand_macro_host` (
  `host_macro_id` int(11) NOT NULL auto_increment,
  `host_macro_name` varchar(255) NOT NULL,
  `host_macro_value` varchar(255) NOT NULL,
  `host_host_id` int(11) NOT NULL,
  PRIMARY KEY  (`host_macro_id`),
  KEY `host_host_id` (`host_host_id`),
  CONSTRAINT `on_demand_macro_host_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `on_demand_macro_host`
--

LOCK TABLES `on_demand_macro_host` WRITE;
/*!40000 ALTER TABLE `on_demand_macro_host` DISABLE KEYS */;
/*!40000 ALTER TABLE `on_demand_macro_host` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `on_demand_macro_service`
--

DROP TABLE IF EXISTS `on_demand_macro_service`;
CREATE TABLE `on_demand_macro_service` (
  `svc_macro_id` int(11) NOT NULL auto_increment,
  `svc_macro_name` varchar(255) NOT NULL,
  `svc_macro_value` varchar(255) NOT NULL,
  `svc_svc_id` int(11) NOT NULL,
  PRIMARY KEY  (`svc_macro_id`),
  KEY `svc_svc_id` (`svc_svc_id`),
  CONSTRAINT `on_demand_macro_service_ibfk_1` FOREIGN KEY (`svc_svc_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `on_demand_macro_service`
--

LOCK TABLES `on_demand_macro_service` WRITE;
/*!40000 ALTER TABLE `on_demand_macro_service` DISABLE KEYS */;
/*!40000 ALTER TABLE `on_demand_macro_service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `options`
--

DROP TABLE IF EXISTS `options`;
CREATE TABLE `options` (
  `key` varchar(255) default NULL,
  `value` varchar(255) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `options`
--

LOCK TABLES `options` WRITE;
/*!40000 ALTER TABLE `options` DISABLE KEYS */;
/*!40000 ALTER TABLE `options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `service`
--

DROP TABLE IF EXISTS `service`;
CREATE TABLE `service` (
  `service_id` int(11) NOT NULL auto_increment,
  `service_template_model_stm_id` int(11) default NULL,
  `command_command_id` int(11) default NULL,
  `timeperiod_tp_id` int(11) default NULL,
  `command_command_id2` int(11) default NULL,
  `timeperiod_tp_id2` int(11) default NULL,
  `service_description` varchar(200) default NULL,
  `service_alias` varchar(255) default NULL,
  `display_name` varchar(255) default NULL,
  `service_is_volatile` enum('0','1','2') default '2',
  `service_max_check_attempts` int(11) default NULL,
  `service_normal_check_interval` int(11) default NULL,
  `service_retry_check_interval` int(11) default NULL,
  `service_active_checks_enabled` enum('0','1','2') default '2',
  `service_passive_checks_enabled` enum('0','1','2') default '2',
  `initial_state` enum('o','w','u','c') default NULL,
  `service_parallelize_check` enum('0','1','2') default '2',
  `service_obsess_over_service` enum('0','1','2') default '2',
  `service_check_freshness` enum('0','1','2') default '2',
  `service_freshness_threshold` int(11) default NULL,
  `service_event_handler_enabled` enum('0','1','2') default '2',
  `service_low_flap_threshold` int(11) default NULL,
  `service_high_flap_threshold` int(11) default NULL,
  `service_flap_detection_enabled` enum('0','1','2') default '2',
  `service_process_perf_data` enum('0','1','2') default '2',
  `service_retain_status_information` enum('0','1','2') default '2',
  `service_retain_nonstatus_information` enum('0','1','2') default '2',
  `service_notification_interval` int(11) default NULL,
  `service_notification_options` varchar(200) default NULL,
  `service_notifications_enabled` enum('0','1','2') default '2',
  `service_first_notification_delay` int(11) default NULL,
  `service_stalking_options` varchar(200) default NULL,
  `service_comment` text,
  `command_command_id_arg` text,
  `command_command_id_arg2` text,
  `service_register` enum('0','1') NOT NULL default '0',
  `service_activate` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`service_id`),
  KEY `stm_index` (`service_template_model_stm_id`),
  KEY `cmd1_index` (`command_command_id`),
  KEY `cmd2_index` (`command_command_id2`),
  KEY `tp1_index` (`timeperiod_tp_id`),
  KEY `tp2_index` (`timeperiod_tp_id2`),
  KEY `description_index` (`service_description`),
  CONSTRAINT `service_ibfk_1` FOREIGN KEY (`command_command_id`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `service_ibfk_2` FOREIGN KEY (`command_command_id2`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `service_ibfk_3` FOREIGN KEY (`timeperiod_tp_id`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `service_ibfk_4` FOREIGN KEY (`timeperiod_tp_id2`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `service`
--

LOCK TABLES `service` WRITE;
/*!40000 ALTER TABLE `service` DISABLE KEYS */;
INSERT INTO `service` VALUES (1,NULL,NULL,1,NULL,1,'generic-service','generic-service',NULL,'0',3,5,1,'1','0',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',0,'w,c,r','0',NULL,NULL,NULL,NULL,NULL,'0','1'),(3,1,6,NULL,NULL,NULL,'Ping-LAN','ping',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!3!200,20%!400,50%',NULL,'0','1'),(4,1,6,NULL,NULL,NULL,'Ping-WAN','ping',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!3!400,20%!600,50%',NULL,'0','1'),(5,1,8,NULL,NULL,NULL,'SNMP-DISK-#S#','#S#',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!#S#!80!90!$USER2$!1',NULL,'0','1'),(6,1,8,NULL,NULL,NULL,'SNMP-DISK-#S#var','#S#var',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!#S#var!80!90!$USER2$!1',NULL,'0','1'),(7,1,8,NULL,NULL,NULL,'SNMP-DISK-#S#usr','#S#usr',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!#S#usr!80!90!$USER2$!1',NULL,'0','1'),(8,1,8,NULL,NULL,NULL,'SNMP-DISK-#S#home','#S#home',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!#S#home!80!90!$USER2$!1',NULL,'0','1'),(9,1,8,NULL,NULL,NULL,'SNMP-DISK-#S#opt','#S#opt',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!#S#opt!80!90!$USER2$!1',NULL,'0','1'),(10,1,8,NULL,NULL,NULL,'SNMP-DISK-C:','C:',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!C!80!90!$USER2$!1',NULL,'0','1'),(11,1,8,NULL,NULL,NULL,'SNMP-DISK-E:','E:',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!E!80!90!$USER2$!1',NULL,'0','1'),(12,1,5,NULL,NULL,NULL,'SNMP-Linux-Load-Average','load',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!1!$USER2$!4,3,2!6,5,4',NULL,'0','1'),(13,1,97,NULL,NULL,NULL,'SNMP-Linux-Memory','memory',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,'0','1'),(14,1,8,NULL,NULL,NULL,'SNMP-Linux-Swap','memory',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!&quot;Swap Space&quot;!80!90!$USER2$!1',NULL,'0','1'),(15,1,8,NULL,NULL,NULL,'SNMP-Win2K3-Memory','memory',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!&quot;Physical Memory&quot;!80!90!$USER2$!1',NULL,'0','1'),(16,1,8,NULL,NULL,NULL,'SNMP-Win2K3-Swap','Swap',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!&quot;Virtual Memory&quot;!80!90!$USER2$!1',NULL,'0','1'),(17,1,8,NULL,NULL,NULL,'SNMP-Win2K-memory','memory',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!&quot;Virtual Memory&quot;!80!90!$USER2$!1',NULL,'0','1'),(18,1,96,NULL,NULL,NULL,'SNMP-Windows-CPU','cpu',NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,'!$USER2$!80!90',NULL,'0','1'),(19,5,NULL,NULL,NULL,NULL,'#S#',NULL,NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,'1','1'),(20,8,NULL,NULL,NULL,NULL,'#S#home',NULL,NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,'1','0'),(21,9,NULL,NULL,NULL,NULL,'#S#opt',NULL,NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,'1','0'),(22,7,NULL,NULL,NULL,NULL,'#S#usr',NULL,NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,'1','0'),(23,6,NULL,NULL,NULL,NULL,'#S#var',NULL,NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,'1','0'),(24,12,NULL,NULL,NULL,NULL,'load',NULL,NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,'1','1'),(25,13,NULL,NULL,NULL,NULL,'memory',NULL,NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,'1','1'),(26,3,NULL,NULL,NULL,NULL,'ping',NULL,NULL,'2',NULL,NULL,NULL,'2','2',NULL,'2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',NULL,NULL,'2',NULL,NULL,NULL,NULL,NULL,'1','1');
/*!40000 ALTER TABLE `service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `service_categories`
--

DROP TABLE IF EXISTS `service_categories`;
CREATE TABLE `service_categories` (
  `sc_id` int(11) NOT NULL auto_increment,
  `sc_name` varchar(255) default NULL,
  `sc_description` varchar(255) default NULL,
  `sc_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`sc_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Services Catygories For best Reporting';

--
-- Dumping data for table `service_categories`
--

LOCK TABLES `service_categories` WRITE;
/*!40000 ALTER TABLE `service_categories` DISABLE KEYS */;
INSERT INTO `service_categories` VALUES (1,'Ping','ping','1'),(2,'Traffic','Traffic','1'),(3,'Disk','Disk','0'),(4,'Memory','Memory','0');
/*!40000 ALTER TABLE `service_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `service_categories_relation`
--

DROP TABLE IF EXISTS `service_categories_relation`;
CREATE TABLE `service_categories_relation` (
  `scr_id` int(11) NOT NULL auto_increment,
  `service_service_id` int(11) default NULL,
  `sc_id` int(11) default NULL,
  PRIMARY KEY  (`scr_id`),
  KEY `service_service_id` (`service_service_id`),
  KEY `sc_id` (`sc_id`),
  CONSTRAINT `service_categories_relation_ibfk_1` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `service_categories_relation_ibfk_2` FOREIGN KEY (`sc_id`) REFERENCES `service_categories` (`sc_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `service_categories_relation`
--

LOCK TABLES `service_categories_relation` WRITE;
/*!40000 ALTER TABLE `service_categories_relation` DISABLE KEYS */;
INSERT INTO `service_categories_relation` VALUES (70,5,3),(71,8,3),(72,9,3),(73,7,3),(74,6,3),(75,10,3),(76,11,3),(78,14,4),(79,17,4),(80,15,4),(81,16,4),(82,3,1),(83,4,1),(84,13,4);
/*!40000 ALTER TABLE `service_categories_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `servicegroup`
--

DROP TABLE IF EXISTS `servicegroup`;
CREATE TABLE `servicegroup` (
  `sg_id` int(11) NOT NULL auto_increment,
  `sg_name` varchar(200) default NULL,
  `sg_alias` varchar(200) default NULL,
  `sg_comment` text,
  `sg_activate` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`sg_id`),
  KEY `name_index` (`sg_name`),
  KEY `alias_index` (`sg_alias`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `servicegroup`
--

LOCK TABLES `servicegroup` WRITE;
/*!40000 ALTER TABLE `servicegroup` DISABLE KEYS */;
/*!40000 ALTER TABLE `servicegroup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `servicegroup_relation`
--

DROP TABLE IF EXISTS `servicegroup_relation`;
CREATE TABLE `servicegroup_relation` (
  `sgr_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  PRIMARY KEY  (`sgr_id`),
  KEY `service_index` (`service_service_id`),
  KEY `servicegroup_index` (`servicegroup_sg_id`),
  KEY `host_host_id` (`host_host_id`),
  KEY `hostgroup_hg_id` (`hostgroup_hg_id`),
  CONSTRAINT `servicegroup_relation_ibfk_10` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE,
  CONSTRAINT `servicegroup_relation_ibfk_7` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `servicegroup_relation_ibfk_8` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE,
  CONSTRAINT `servicegroup_relation_ibfk_9` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `servicegroup_relation`
--

LOCK TABLES `servicegroup_relation` WRITE;
/*!40000 ALTER TABLE `servicegroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `servicegroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `session`
--

DROP TABLE IF EXISTS `session`;
CREATE TABLE `session` (
  `id` int(11) NOT NULL auto_increment,
  `session_id` varchar(40) default NULL,
  `user_id` int(11) default NULL,
  `current_page` int(11) default NULL,
  `last_reload` int(11) default NULL,
  `ip_address` varchar(16) default NULL,
  `s_nbHostsUp` int(11) default NULL,
  `s_nbHostsDown` int(11) default NULL,
  `s_nbHostsUnreachable` int(11) default NULL,
  `s_nbHostsPending` int(11) default NULL,
  `s_nbServicesOk` int(11) default NULL,
  `s_nbServicesWarning` int(11) default NULL,
  `s_nbServicesCritical` int(11) default NULL,
  `s_nbServicesPending` int(11) default NULL,
  `s_nbServicesUnknown` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `session_id` (`session_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `session`
--

LOCK TABLES `session` WRITE;
/*!40000 ALTER TABLE `session` DISABLE KEYS */;
/*!40000 ALTER TABLE `session` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `timeperiod`
--

DROP TABLE IF EXISTS `timeperiod`;
CREATE TABLE `timeperiod` (
  `tp_id` int(11) NOT NULL auto_increment,
  `tp_name` varchar(200) default NULL,
  `tp_alias` varchar(200) default NULL,
  `tp_sunday` varchar(200) default NULL,
  `tp_monday` varchar(200) default NULL,
  `tp_tuesday` varchar(200) default NULL,
  `tp_wednesday` varchar(200) default NULL,
  `tp_thursday` varchar(200) default NULL,
  `tp_friday` varchar(200) default NULL,
  `tp_saturday` varchar(200) default NULL,
  PRIMARY KEY  (`tp_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `timeperiod`
--

LOCK TABLES `timeperiod` WRITE;
/*!40000 ALTER TABLE `timeperiod` DISABLE KEYS */;
INSERT INTO `timeperiod` VALUES (1,'24x7','24_Hours_A_Day,_7_Days_A_Week','00:00-24:00','00:00-24:00','00:00-24:00','00:00-24:00','00:00-24:00','00:00-24:00','00:00-24:00'),(2,'none','No Time Is A Good Time','','','','','','',''),(3,'nonworkhours','Non-Work Hours','00:00-24:00','00:00-09:00,17:00-24:00','00:00-09:00,17:00-24:00','00:00-09:00,17:00-24:00','00:00-09:00,17:00-24:00','00:00-09:00,17:00-24:00','00:00-24:00'),(4,'workhours','Work hours','','09:00-17:00','09:00-17:00','09:00-17:00','09:00-17:00','09:00-17:00','');
/*!40000 ALTER TABLE `timeperiod` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `topology`
--

DROP TABLE IF EXISTS `topology`;
CREATE TABLE `topology` (
  `topology_id` int(11) NOT NULL auto_increment,
  `topology_name` varchar(255) default NULL,
  `topology_icone` varchar(255) default NULL,
  `topology_parent` int(11) default NULL,
  `topology_page` int(11) default NULL,
  `topology_order` int(11) default NULL,
  `topology_group` int(11) default NULL,
  `topology_url` varchar(255) default NULL,
  `topology_url_opt` varchar(255) default NULL,
  `topology_popup` enum('0','1') default NULL,
  `topology_modules` enum('0','1') default NULL,
  `topology_show` enum('0','1') default '1',
  `topology_style_class` varchar(255) default NULL,
  `topology_style_id` varchar(255) default NULL,
  `topology_OnClick` varchar(255) default NULL,
  PRIMARY KEY  (`topology_id`),
  KEY `topology_page` (`topology_page`),
  KEY `topology_parent` (`topology_parent`),
  KEY `topology_order` (`topology_order`),
  KEY `topology_group` (`topology_group`)
) ENGINE=InnoDB AUTO_INCREMENT=193 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `topology`
--

LOCK TABLES `topology` WRITE;
/*!40000 ALTER TABLE `topology` DISABLE KEYS */;
INSERT INTO `topology` VALUES (1,'Home',NULL,NULL,1,10,1,'./include/home/home.php',NULL,'0','0','1',NULL,NULL,NULL),(2,'Monitoring',NULL,NULL,2,20,1,NULL,'','0','0','1',NULL,NULL,NULL),(3,'Reporting',NULL,NULL,3,40,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(4,'Views',NULL,NULL,4,30,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(5,'Administration',NULL,NULL,5,60,1,NULL,'&o=c','0','0','1',NULL,NULL,NULL),(6,'Configuration',NULL,NULL,6,50,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(7,'Services Details',NULL,202,NULL,NULL,7,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(8,'Details',NULL,202,NULL,NULL,8,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(9,'Hosts Groups',NULL,202,NULL,NULL,9,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(10,'Meta Services',NULL,202,NULL,NULL,11,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(11,'Nagios',NULL,202,NULL,NULL,12,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(12,'Services Groups',NULL,202,NULL,NULL,10,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(13,'Nagios',NULL,607,NULL,NULL,33,NULL,NULL,'0','0','1',NULL,NULL,NULL),(14,'Nagios',NULL,202,NULL,NULL,33,NULL,NULL,'0','0','1',NULL,NULL,NULL),(15,'Nagios',NULL,203,NULL,NULL,34,NULL,NULL,'0','0','1',NULL,NULL,NULL),(16,'Advanced Logs',NULL,203,NULL,NULL,30,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(17,'Hosts',NULL,2,201,20,1,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(18,'Hosts','./img/icones/16x16/server_network.gif',201,20102,20,1,'./include/monitoring/status/monitoringHost.php','&o=h',NULL,NULL,'1',NULL,NULL,NULL),(19,'Hosts Groups','./img/icones/16x16/clients.gif',201,20104,30,1,'./include/monitoring/status/monitoringHostGroup.php','&o=hg',NULL,NULL,'1',NULL,NULL,NULL),(20,'Hosts Problems','./img/icones/16x16/server_network_problem.gif',201,20103,10,1,'./include/monitoring/status/monitoringHost.php','&o=hpb',NULL,NULL,'1',NULL,NULL,NULL),(21,'Services',NULL,2,202,10,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(22,'All Services','./img/icones/16x16/row.gif',202,20201,20,7,'./include/monitoring/status/monitoringService.php','&o=svc','0','0','1',NULL,NULL,NULL),(23,'Services Problems','./img/icones/16x16/row_delete.gif',202,20202,10,7,'./include/monitoring/status/monitoringService.php','&o=svcpb',NULL,NULL,'1',NULL,NULL,NULL),(24,'Grids','./img/icones/16x16/services_grid.gif',202,20203,30,8,'./include/monitoring/status/monitoringService.php','&o=svcgrid','0','0','1',NULL,NULL,NULL),(25,'Overview','./img/icones/16x16/table_view.gif',202,20204,40,8,'./include/monitoring/status/monitoringService.php','&o=svcOV','0','0','1',NULL,NULL,NULL),(26,'Summary','./img/icones/16x16/column.gif',202,20205,50,8,'./include/monitoring/status/monitoringService.php','&o=svcSum','0','0','1',NULL,NULL,NULL),(27,'Scheduling Queue','./img/icones/16x16/stopwatch.gif',202,20207,60,33,'./include/monitoring/status/monitoringService.php','&o=svcSch','0','0','1',NULL,NULL,NULL),(28,'Meta Services','./img/icones/16x16/calculator.gif',202,20206,61,11,'./include/monitoring/status/monitoringService.php','&o=meta','0','0','1',NULL,NULL,NULL),(29,'Warning',NULL,20202,2020201,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svc_warning','0','0','1',NULL,NULL,NULL),(30,'Critical',NULL,20202,2020202,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svc_critical','0','0','1',NULL,NULL,NULL),(31,'Unknown',NULL,20202,2020203,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svc_unknown','0','0','1',NULL,NULL,NULL),(32,'Ok',NULL,20201,2020101,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svc_ok','0','0','1',NULL,NULL,NULL),(33,'Grids','./img/icones/16x16/services_grid.gif',202,20208,30,9,'./include/monitoring/status/monitoringService.php','&o=svcgridHG','0','0','1',NULL,NULL,NULL),(34,'Overview','./img/icones/16x16/table_view.gif',202,20209,40,9,'./include/monitoring/status/monitoringService.php','&o=svcOVHG','0','0','1',NULL,NULL,NULL),(35,'Summary','./img/icones/16x16/column.gif',202,20210,50,9,'./include/monitoring/status/monitoringService.php','&o=svcSumHG','0','0','1',NULL,NULL,NULL),(36,'Grids','./img/icones/16x16/services_grid.gif',202,20211,30,10,'./include/monitoring/status/monitoringService.php','&o=svcgridSG','0','0','1',NULL,NULL,NULL),(37,'Overview','./img/icones/16x16/table_view.gif',202,20212,30,10,'./include/monitoring/status/monitoringService.php','&o=svcOVSG','0','0','1',NULL,NULL,NULL),(38,'Summary','./img/icones/16x16/column.gif',202,20213,30,10,'./include/monitoring/status/monitoringService.php','&o=svcSumSG','0','0','1',NULL,NULL,NULL),(39,'Problems',NULL,20203,2020301,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgrid&problem=1','0','0','1',NULL,NULL,NULL),(40,'Acknowledged',NULL,20203,2020302,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgrid&acknowledge=1','0','0','1',NULL,NULL,NULL),(41,'Not Acknowledged',NULL,20203,2020303,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgrid&acknowledge=0','0','0','1',NULL,NULL,NULL),(42,'Problems',NULL,20204,2020401,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOV&problem=1','0','0','1',NULL,NULL,NULL),(43,'Acknowledged',NULL,20204,2020402,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOV&acknowledge=1','0','0','1',NULL,NULL,NULL),(44,'Not Acknowledged',NULL,20204,2020403,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOV&acknowledge=0','0','0','1',NULL,NULL,NULL),(45,'Problems',NULL,20205,2020501,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSum&problem=1','0','0','1',NULL,NULL,NULL),(46,'Acknowledged',NULL,20205,2020502,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSum&acknowledge=1','0','0','1',NULL,NULL,NULL),(47,'Not Acknowledged',NULL,20205,2020502,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSum&acknowledge=0','0','0','1',NULL,NULL,NULL),(48,'Problems',NULL,20208,2020801,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridHG&problem=1','0','0','1',NULL,NULL,NULL),(49,'Acknowledged',NULL,20208,2020802,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridHG&acknowledge=1','0','0','1',NULL,NULL,NULL),(50,'Not Acknowledged',NULL,20208,2020803,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridHG&acknowledge=0','0','0','1',NULL,NULL,NULL),(51,'Problems',NULL,20209,2020901,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVHG&problem=1','0','0','1',NULL,NULL,NULL),(52,'Acknowledged',NULL,20209,2020902,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVHG&acknowledge=1','0','0','1',NULL,NULL,NULL),(53,'Not Acknowledged',NULL,20209,2020903,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVHG&acknowledge=0','0','0','1',NULL,NULL,NULL),(54,'Problems',NULL,20210,2021001,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumHG&problem=1','0','0','1',NULL,NULL,NULL),(55,'Acknowledged',NULL,20210,2021002,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumHG&acknowledge=1','0','0','1',NULL,NULL,NULL),(56,'Not Acknowledged',NULL,20210,2021002,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumHG&acknowledge=0','0','0','1',NULL,NULL,NULL),(57,'Problems',NULL,20211,2021101,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridSG&problem=1','0','0','1',NULL,NULL,NULL),(58,'Acknowledged',NULL,20211,2021102,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridSG&acknowledge=1','0','0','1',NULL,NULL,NULL),(59,'Not Acknowledged',NULL,20211,2021103,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridSG&acknowledge=0','0','0','1',NULL,NULL,NULL),(60,'Problems',NULL,20212,2021201,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVSG&problem=1','0','0','1',NULL,NULL,NULL),(61,'Acknowledged',NULL,20212,2021202,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVSG&acknowledge=1','0','0','1',NULL,NULL,NULL),(62,'Not Acknowledged',NULL,20212,2021203,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVSG&acknowledge=0','0','0','1',NULL,NULL,NULL),(63,'Problems',NULL,20213,2021301,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumSG&problem=1','0','0','1',NULL,NULL,NULL),(64,'Acknowledged',NULL,20213,2021302,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumSG&acknowledge=1','0','0','1',NULL,NULL,NULL),(65,'Not Acknowledged',NULL,20213,2021302,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumSG&acknowledge=0','0','0','1',NULL,NULL,NULL),(66,'Event Logs',NULL,2,203,30,31,'',NULL,'0','0','1',NULL,NULL,NULL),(67,'downtime','./img/icones/16x16/warning.gif',203,20305,90,34,'./include/monitoring/downtime/downtime.php',NULL,NULL,NULL,'1',NULL,NULL,NULL),(68,'Comments','./img/icones/16x16/messages.gif',203,20306,90,34,'./include/monitoring/comments/comments.php',NULL,NULL,NULL,'1',NULL,NULL,NULL),(69,'All Logs','./img/icones/16x16/text_code.gif',203,20311,10,30,'./include/monitoring/mysql_log/viewLog.php',NULL,NULL,NULL,'0',NULL,NULL,''),(70,'Notifications','./img/icones/16x16/mail_attachment.gif',203,20312,20,30,'./include/monitoring/mysql_log/viewNotifications.php',NULL,NULL,NULL,'0',NULL,NULL,NULL),(71,'Hosts',NULL,20312,2031201,10,30,'./include/monitoring/mysql_log/viewNotifications.php','&o=notif_host','0','0','1',NULL,NULL,NULL),(72,'m_service',NULL,20312,2031202,20,30,'./include/monitoring/mysql_log/viewNotifications.php','&o=notif_svc','0','0','1',NULL,NULL,NULL),(73,'Alerts','./img/icones/16x16/scroll_warning.gif',203,20313,30,30,'./include/monitoring/mysql_log/viewAlerts.php',NULL,'0','0','0',NULL,NULL,NULL),(74,'m_host',NULL,20313,2031301,10,30,'./include/monitoring/mysql_log/viewAlerts.php','&o=alerts_host','0','0','1',NULL,NULL,NULL),(75,'m_service',NULL,20313,2031302,20,30,'./include/monitoring/mysql_log/viewAlerts.php','&o=alerts_svc','0','0','1',NULL,NULL,NULL),(76,'Warnings','./img/icones/16x16/scroll_delete.gif',203,20314,40,30,'./include/monitoring/mysql_log/viewErrors.php',NULL,'0','0','0',NULL,NULL,NULL),(77,'Hosts',NULL,6,601,10,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(78,'Services',NULL,6,602,20,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(79,'Users',NULL,6,603,30,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(80,'Nagios',NULL,6,607,70,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(81,'Hosts','./img/icones/16x16/server_network.gif',601,60101,10,1,'./include/configuration/configObject/host/host.php',NULL,'0','0','1',NULL,NULL,NULL),(82,'Hosts Group','./img/icones/16x16/clients.gif',601,60102,20,1,'./include/configuration/configObject/hostgroup/hostGroup.php',NULL,'0','0','1',NULL,NULL,NULL),(83,'Templates','./img/icones/16x16/server_client_ext.gif',601,60103,30,1,'./include/configuration/configObject/host_template_model/hostTemplateModel.php',NULL,'0','0','1',NULL,NULL,NULL),(84,'Services',NULL,602,NULL,NULL,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(85,'Services by hosts','./img/icones/16x16/gear.gif',602,60201,10,1,'./include/configuration/configObject/service/serviceByHost.php',NULL,'0','0','1',NULL,NULL,NULL),(86,'Services by hosts group','./img/icones/16x16/gear.gif',602,60202,20,1,'./include/configuration/configObject/service/serviceByHostGroup.php',NULL,'0','0','1',NULL,NULL,NULL),(87,'Services Groups','./img/icones/16x16/gears.gif',602,60203,30,1,'./include/configuration/configObject/servicegroup/serviceGroup.php',NULL,'0','0','1',NULL,NULL,NULL),(88,'Templates','./img/icones/16x16/gear_information.gif',602,60206,50,1,'./include/configuration/configObject/service_template_model/serviceTemplateModel.php',NULL,'0','0','1',NULL,NULL,NULL),(89,'Meta Services',NULL,602,NULL,NULL,2,NULL,NULL,'0','0','1',NULL,NULL,NULL),(90,'Meta Services','./img/icones/16x16/workstation2.gif',602,60204,40,2,'./include/configuration/configObject/meta_service/metaService.php',NULL,'0','0','1',NULL,NULL,NULL),(91,'SNMP Traps',NULL,602,NULL,NULL,3,NULL,NULL,'0','0','1',NULL,NULL,NULL),(92,'SNMP Traps','./img/icones/16x16/funnel_new.gif',602,60205,50,3,'./include/configuration/configObject/traps/traps.php',NULL,NULL,NULL,'1',NULL,NULL,NULL),(93,'Manufacturer','./img/icones/16x16/factory.gif',602,60207,60,3,'./include/configuration/configObject/traps-manufacturer/mnftr.php',NULL,'0','0','1',NULL,NULL,NULL),(94,'MIBs','./img/icones/16x16/component_add.gif',602,60208,70,3,'./include/configuration/configObject/traps-mibs/mibs.php',NULL,'0','0','1',NULL,NULL,NULL),(95,'Contacts / Users','./img/icones/16x16/user1.gif',603,60301,10,1,'./include/configuration/configObject/contact/contact.php',NULL,'0','0','1',NULL,NULL,NULL),(96,'Contacts Groups','./img/icones/16x16/users_family.gif',603,60302,20,1,'./include/configuration/configObject/contactgroup/contactGroup.php',NULL,'0','0','1',NULL,NULL,NULL),(97,'Time Periods','./img/icones/16x16/calendar.gif',603,60304,40,1,'./include/configuration/configObject/timeperiod/timeperiod.php',NULL,'0','0','1',NULL,NULL,NULL),(98,'Commands','./img/icones/16x16/gear_warning.gif',603,60305,50,1,'./include/configuration/configObject/command/command.php','&type=1','0','0','1',NULL,NULL,NULL),(99,'Generate','./img/icones/16x16/folder_gear.gif',607,60701,10,33,'./include/configuration/configGenerate/generateFiles.php',NULL,'0','0','1',NULL,NULL,NULL),(100,'Load','./img/icones/16x16/folder_add.gif',607,60702,20,33,'./include/configuration/configLoad/loadFiles.php',NULL,'0','0','1',NULL,NULL,NULL),(101,'nagios.cfg','./img/icones/16x16/text_code_colored.gif',607,60703,30,33,'./include/configuration/configNagios/nagios.php',NULL,'0','0','1',NULL,NULL,NULL),(102,'resources','./img/icones/16x16/text_code.gif',607,60704,40,33,'./include/configuration/configResources/resources.php',NULL,'0','0','1',NULL,NULL,NULL),(103,'cgi','./img/icones/16x16/text_code_c.gif',607,60707,55,33,'./include/configuration/configCGI/CGI.php',NULL,'0','0','1',NULL,NULL,NULL),(104,'Commands',NULL,6,608,35,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(105,'Checks','./img/icones/16x16/gear_run.gif',608,60801,10,1,'./include/configuration/configObject/command/command.php','&type=2','0','0','1',NULL,NULL,NULL),(106,'Notifications','./img/icones/16x16/gear_warning.gif',608,60802,20,1,'./include/configuration/configObject/command/command.php','&type=1','0','0','1',NULL,NULL,NULL),(107,'Miscellaneous','./img/icones/16x16/gear_view.gif',608,60803,30,1,'./include/configuration/configObject/command/command.php','&type=3','0','0','1',NULL,NULL,NULL),(108,'Plugins','./img/icones/16x16/window_gear.gif',608,60804,40,2,'./include/configuration/configPlugins/Plugins.php',NULL,'0','0','1',NULL,NULL,NULL),(109,'Options',NULL,5,501,10,1,'./include/options/oreon/myAccount/formMyAccount.php','&o=c','0','0','1',NULL,NULL,NULL),(110,'Options','./img/icones/16x16/tool.gif',501,50101,10,1,'./include/options/oreon/generalOpt/generalOpt.php',NULL,'0','0','1',NULL,NULL,NULL),(111,'Checks','./img/icones/16x16/gear_run.gif',607,60706,60,33,'./include/configuration/configObject/command/command.php','&type=2','0','0','0',NULL,NULL,NULL),(112,'Modules',NULL,5,507,10,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(113,'Modules',NULL,507,NULL,NULL,1,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(114,'Setup','./img/icones/16x16/press.gif',507,50701,10,1,'./include/options/oreon/modules/modules.php',NULL,NULL,NULL,'1',NULL,NULL,NULL),(115,'ACL',NULL,5,502,10,1,'./include/options/LCA/define/lca.php',NULL,'0','0','1',NULL,NULL,NULL),(116,'Databases',NULL,5,503,12,1,'./include/options/db/viewDBInfos.php',NULL,'0','0','1',NULL,NULL,NULL),(117,'Sessions',NULL,5,504,13,1,'./include/options/session/connected_user.php',NULL,'0','0','1',NULL,NULL,NULL),(118,'Server Status',NULL,5,505,14,1,'./include/options/sysInfos/index.php',NULL,'0','0','1',NULL,NULL,NULL),(119,'About',NULL,506,NULL,NULL,80,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(120,'About',NULL,5,506,15,1,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(121,'About','./img/icones/16x16/about.gif',506,50601,16,80,'./include/options/about/about.php',NULL,'0','0','1',NULL,NULL,NULL),(122,'Web Site','./img/icones/16x16/earth2.gif',506,50602,20,80,'http://www.centreon.com',NULL,'1','0','1',NULL,NULL,NULL),(123,'Forum','./img/icones/16x16/book_yellow.gif',506,50602,30,80,'http://forum.centreon.com',NULL,'1','0','1',NULL,NULL,NULL),(124,'Wiki','./img/icones/16x16/book_green.gif',506,50604,40,80,'http://doc.centreon.com/',NULL,'1','0','1',NULL,NULL,NULL),(125,'Bugs Tracker','./img/icones/16x16/trafficlight_on.gif',506,50605,50,80,'http://trac.centreon.com/',NULL,'1','0','1',NULL,NULL,NULL),(126,'Donate','./img/icones/16x16/flower_white.gif',506,50606,60,80,'http://sourceforge.net/donate/index.php?group_id=140316',NULL,'1','0','0',NULL,NULL,NULL),(127,'Support','./img/icones/16x16/cd_gold.gif',506,50607,70,80,'http://www.merethis.com',NULL,'1','0','1',NULL,NULL,NULL),(128,'My Account','./img/icones/16x16/user1_message.gif',501,50104,40,1,'./include/options/oreon/myAccount/formMyAccount.php','&o=c','0','0','1',NULL,NULL,NULL),(129,'Centreon','./img/icones/16x16/nagios.gif',50101,5010101,10,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=general','0','0','1',NULL,NULL,NULL),(130,'Nagios','./img/icones/16x16/nagios.gif',50101,5010102,20,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=nagios','0','0','1',NULL,NULL,NULL),(131,'Colors','./img/icones/16x16/colors.gif',50101,5010103,30,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=colors','0','0','1',NULL,NULL,NULL),(132,'SNMP','./img/icones/16x16/nagios.gif',50101,5010104,40,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=snmp','0','0','1',NULL,NULL,NULL),(133,'LDAP','./img/icones/16x16/book_yellow.gif',50101,5010105,50,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=ldap','0','0','1',NULL,NULL,NULL),(134,'RRDTool','./img/icones/16x16/column-chart.gif',50101,5010106,60,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=rrdtool','0','0','1',NULL,NULL,NULL),(135,'Debug','./img/icones/16x16/nagios.gif',50101,5010107,70,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=debug','0','0','1',NULL,NULL,NULL),(136,'CSS','./img/icones/16x16/colors.gif',50101,5010109,90,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=css','0','0','1',NULL,NULL,NULL),(137,'CentStorage','./img/icones/16x16/chart.gif',501,50106,15,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=ods','0','0','1',NULL,NULL,NULL),(138,'Options','./img/icones/16x16/nagios.gif',50106,5010601,15,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=ods','0','0','1',NULL,NULL,NULL),(139,'Manage','./img/icones/16x16/data_down.gif',50106,5010602,20,1,'./include/options/centStorage/manageData.php',NULL,'0','0','1',NULL,NULL,NULL),(140,'Dashboard',NULL,307,NULL,NULL,50,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(141,'Dashboard',NULL,3,307,3,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(142,'Hosts','./img/icones/16x16/text_rich_marked.gif',307,30701,10,50,'./include/reporting/dashboard/viewHostLog.php',NULL,'0','0','1',NULL,NULL,NULL),(143,'Services',NULL,307,30702,20,50,'./include/reporting/dashboard/viewServicesLog.php',NULL,'0','0','0',NULL,NULL,NULL),(144,'Hosts Groups','./img/icones/16x16/text_rich_colored.gif',307,30703,30,50,'./include/reporting/dashboard/viewHostGroupLog.php',NULL,'0','0','1',NULL,NULL,NULL),(145,'Services Groups','./img/icones/16x16/text_rich_colored.gif',307,30704,40,50,'./include/reporting/dashboard/viewServicesGroupLog.php',NULL,'0','0','1',NULL,NULL,NULL),(146,'Graphs',NULL,4,402,10,1,'',NULL,'0','0','1',NULL,NULL,NULL),(147,'Graphs',NULL,402,NULL,NULL,40,NULL,NULL,'0','0','1',NULL,NULL,NULL),(148,'All Graphs','./img/icones/16x16/column-chart.gif',402,40201,10,40,'./include/views/graphs/graphs.php',NULL,'0','0','1',NULL,NULL,NULL),(149,'Templates',NULL,402,NULL,NULL,43,NULL,NULL,'0','0','1',NULL,NULL,NULL),(150,'Templates','./img/icones/16x16/layout_vertical.gif',402,40204,40,43,'./include/views/graphs/graphTemplates/graphTemplates.php',NULL,'0','0','1',NULL,NULL,NULL),(151,'Curves','./img/icones/16x16/layout_horizontal.gif',402,40205,50,43,'./include/views/graphs/componentTemplates/componentTemplates.php',NULL,'0','0','1',NULL,NULL,NULL),(152,'Upgrade','./img/icones/16x16/download.gif',501,50105,11,1,'./include/options/oreon/upGrade/checkVersion.php',NULL,'0','0','1',NULL,NULL,NULL),(153,'Check Version','',50105,5010501,1,1,'./include/options/oreon/upGrade/checkVersion.php',NULL,'0','0','1',NULL,NULL,NULL),(154,'Options','',50105,5010502,2,1,'./include/options/oreon/upGrade/patchOptions.php',NULL,'0','0','1',NULL,NULL,NULL),(155,'Pre-Update','',50105,5010503,3,1,'./include/options/oreon/upGrade/preUpdate.php',NULL,'0','0','0',NULL,NULL,NULL),(156,'Categories','./img/icones/16x16/cube_green.gif',602,60209,90,1,'./include/configuration/configObject/service_categories/serviceCategories.php',NULL,'0','0','1',NULL,NULL,NULL),(157,'Centreon',NULL,6,609,90,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(158,'ndo2db.cfg','./img/icones/16x16/text_code_colored.gif',609,60902,20,1,'./include/configuration/configNdo2db/ndo2db.php',NULL,'0','0','1',NULL,NULL,NULL),(159,'ndomod.cfg','./img/icones/16x16/text_code_colored.gif',609,60903,30,1,'./include/configuration/configNdomod/ndomod.php',NULL,'0','0','1',NULL,NULL,NULL),(160,'Pollers','./img/icones/16x16/text_code_colored.gif',609,60901,10,1,'./include/configuration/configServers/servers.php',NULL,'0','0','1',NULL,NULL,NULL),(161,'Hosts',NULL,601,NULL,NULL,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(162,'Commands',NULL,608,NULL,NULL,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(163,'Plugins',NULL,608,NULL,NULL,2,NULL,NULL,'0','0','1',NULL,NULL,NULL),(164,'Optimize','./img/icones/16x16/folder_preferences.gif',607,60708,25,33,'./include/configuration/configOptimize/optimize.php',NULL,'0','0','1',NULL,NULL,NULL),(165,'Notifications',NULL,6,604,40,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(166,'Escalations',NULL,604,NULL,NULL,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(167,'Escalations','./img/icones/16x16/bookmark.gif',604,60401,10,1,'./include/configuration/configObject/escalation/escalation.php',NULL,'0','0','1',NULL,NULL,NULL),(168,'Hosts','./img/icones/16x16/bookmarks.gif',604,60402,20,1,'./include/configuration/configObject/escalation/escalation.php','&list=h','0','0','1',NULL,NULL,NULL),(169,'Services','./img/icones/16x16/bookmarks.gif',604,60403,30,1,'./include/configuration/configObject/escalation/escalation.php','&list=sv','0','0','1',NULL,NULL,NULL),(170,'Hosts Groups','./img/icones/16x16/bookmarks.gif',604,60404,40,1,'./include/configuration/configObject/escalation/escalation.php','&list=hg','0','0','1',NULL,NULL,NULL),(171,'Services Groups','./img/icones/16x16/bookmarks.gif',604,60406,60,1,'./include/configuration/configObject/escalation/escalation.php','&list=sg','0','0','1',NULL,NULL,NULL),(172,'Meta Services','./img/icones/16x16/bookmarks.gif',604,60405,50,1,'./include/configuration/configObject/escalation/escalation.php','&list=ms','0','0','1',NULL,NULL,NULL),(173,'Dependencies',NULL,604,NULL,NULL,2,NULL,NULL,'0','0','1',NULL,NULL,NULL),(174,'Hosts','./img/icones/16x16/server_network.gif',604,60407,10,2,'./include/configuration/configObject/host_dependency/hostDependency.php',NULL,'0','0','1',NULL,NULL,NULL),(175,'Hosts Groups','./img/icones/16x16/clients.gif',604,60408,20,2,'./include/configuration/configObject/hostgroup_dependency/hostGroupDependency.php',NULL,'0','0','1',NULL,NULL,NULL),(176,'Services','./img/icones/16x16/gear.gif',604,60409,30,2,'./include/configuration/configObject/service_dependency/serviceDependency.php',NULL,'0','0','1',NULL,NULL,NULL),(177,'Services Groups','./img/icones/16x16/gears.gif',604,60410,40,2,'./include/configuration/configObject/servicegroup_dependency/serviceGroupDependency.php',NULL,'0','0','1',NULL,NULL,NULL),(178,'Meta Services','./img/icones/16x16/workstation2.gif',604,60411,50,2,'./include/configuration/configObject/metaservice_dependency/MetaServiceDependency.php',NULL,'0','0','1',NULL,NULL,NULL),(179,'Categories','./img/icones/16x16/cube_green.gif',608,60805,40,1,'./include/configuration/configObject/command_categories/commandCategories.php',NULL,'0','0','0',NULL,NULL,NULL),(180,'Home',NULL,1,101,10,1,'./include/home/home.php',NULL,'0','0','1',NULL,NULL,NULL),(181,'Home','./img/icones/16x16/row.gif',101,10102,10,1,'./include/home/home.php',NULL,'0','0','1',NULL,NULL,NULL),(182,'Nagios Statistics',NULL,1,102,10,1,'./include/nagiosStats/nagiosStats.php',NULL,'0','0','1',NULL,NULL,NULL),(183,'All Logs','./img/icones/16x16/text_code.gif',203,20301,10,30,'./include/eventLogs/viewLog.php',NULL,'0','0','1',NULL,NULL,NULL),(184,'Media','./img/icones/16x16/folder.gif',501,50102,15,1,'./include/options/media/images/images.php',NULL,'0','0','1',NULL,NULL,NULL),(185,'Images','./img/icones/16x16/download.gif',50102,5010201,10,1,'./include/options/media/images/images.php',NULL,'0','0','1',NULL,NULL,NULL),(186,'Directories','./img/icones/16x16/folder.gif',50102,5010202,20,1,'./include/options/media/directory/directory.php',NULL,'0','0','1',NULL,NULL,NULL),(187,'Access List',NULL,502,NULL,NULL,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(188,'Resources Access','./img/icones/16x16/lock_new.gif',502,50202,20,1,'./include/options/accessLists/resourcesACL/resourcesAccess.php',NULL,'0','0','1',NULL,NULL,NULL),(189,'Access Groups','./img/icones/16x16/users_family.gif',502,50203,30,1,'./include/options/accessLists/groupsACL/groupsConfig.php',NULL,'0','0','1',NULL,NULL,NULL),(190,'Menus Access','./img/icones/16x16/lock_new.gif',502,50201,10,1,'./include/options/accessLists/menusACL/menusAccess.php',NULL,'0','0','1',NULL,NULL,NULL),(191,'Tactical Overview','./img/icones/16x16/row_delete.gif',101,10101,5,1,'./include/home/tacticalOverview/tacticalOverview.php',NULL,'0','0','1',NULL,NULL,NULL),(192,'Snmp traps','./img/icones/16x16/funnel_new.gif',607,60705,15,33,'./include/configuration/configGenerateTraps/generateTraps.php',NULL,'0','0','1',NULL,NULL,NULL);
/*!40000 ALTER TABLE `topology` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `topology_JS`
--

DROP TABLE IF EXISTS `topology_JS`;
CREATE TABLE `topology_JS` (
  `id_t_js` int(11) NOT NULL auto_increment,
  `id_page` int(11) default NULL,
  `o` varchar(12) default NULL,
  `PathName_js` text,
  `Init` text,
  PRIMARY KEY  (`id_t_js`),
  KEY `id_page` (`id_page`),
  CONSTRAINT `topology_JS_ibfk_1` FOREIGN KEY (`id_page`) REFERENCES `topology` (`topology_page`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=189 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `topology_JS`
--

LOCK TABLES `topology_JS` WRITE;
/*!40000 ALTER TABLE `topology_JS` DISABLE KEYS */;
INSERT INTO `topology_JS` VALUES (1,2,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(2,20201,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(3,20202,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(4,20203,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(5,2020301,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(6,2020302,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(7,2020303,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(8,20204,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(9,2020401,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(10,2020402,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(11,2020403,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(12,20205,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(13,2020501,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(14,2020502,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(15,20208,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(16,2020801,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(17,2020802,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(18,2020803,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(19,20209,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(20,2020901,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(21,2020902,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(22,2020903,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(23,20210,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(24,2021001,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(25,2021002,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(26,20211,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(27,2021101,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(28,2021102,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(29,2021103,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(30,20212,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(31,2021201,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(32,2021202,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(33,20213,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(34,2021301,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(35,2021302,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(36,201,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(37,20102,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(38,20103,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(39,20104,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(40,202,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(41,2020101,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(42,2020201,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(43,2020202,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(44,2020203,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(45,203,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(46,203,NULL,'./include/common/javascript/datePicker.js',''),(47,20311,NULL,'./include/common/javascript/datePicker.js',''),(48,20312,NULL,'./include/common/javascript/datePicker.js',''),(49,20313,NULL,'./include/common/javascript/datePicker.js',''),(50,20314,NULL,'./include/common/javascript/datePicker.js',''),(51,2031201,'notif_host','./include/common/javascript/datePicker.js',''),(52,2031202,'notif_svc','./include/common/javascript/datePicker.js',''),(53,2031301,'alerts_host','./include/common/javascript/datePicker.js',''),(54,2031302,'alerts_svc','./include/common/javascript/datePicker.js',''),(55,3,NULL,'./include/common/javascript/datePicker.js',''),(56,307,NULL,'./include/common/javascript/datePicker.js',''),(57,30701,NULL,'./include/common/javascript/datePicker.js',''),(58,30702,NULL,'./include/common/javascript/datePicker.js',''),(59,30703,NULL,'./include/common/javascript/datePicker.js',''),(60,30704,NULL,'./include/common/javascript/datePicker.js',''),(61,4,NULL,'./include/common/javascript/datePicker.js',''),(62,402,NULL,'./include/common/javascript/datePicker.js',''),(63,40201,NULL,'./include/common/javascript/datePicker.js',''),(64,3,NULL,'./include/common/javascript/Timeline/src/main/webapp/api/timeline-api.js','initTimeline'),(65,307,NULL,'./include/common/javascript/Timeline/src/main/webapp/api/timeline-api.js','initTimeline'),(66,30701,NULL,'./include/common/javascript/Timeline/src/main/webapp/api/timeline-api.js','initTimeline'),(67,30702,NULL,'./include/common/javascript/Timeline/src/main/webapp/api/timeline-api.js','initTimeline'),(68,40204,'c','./include/common/javascript/changetab.js','initChangeTab'),(69,40204,'w','./include/common/javascript/changetab.js','initChangeTab'),(70,40204,'a','./include/common/javascript/changetab.js','initChangeTab'),(71,40205,'c','./include/common/javascript/changetab.js','initChangeTab'),(72,40205,'w','./include/common/javascript/changetab.js','initChangeTab'),(73,40205,'a','./include/common/javascript/changetab.js','initChangeTab'),(74,502,'a','./include/common/javascript/changetab.js','initChangeTab'),(75,502,'c','./include/common/javascript/changetab.js','initChangeTab'),(76,502,'w','./include/common/javascript/changetab.js','initChangeTab'),(77,50101,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(78,602,'a','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(79,602,'c','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(80,602,'mc','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(81,60201,'a','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(82,60201,'c','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(83,60201,'mc','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(84,60202,'a','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(85,60202,'c','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(86,60202,'mc','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(87,60206,'a','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(88,60206,'c','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(89,60206,'mc','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(90,601,'a','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(91,601,'c','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(92,601,'mc','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(93,60103,'a','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(94,60103,'c','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(95,60103,'mc','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(96,6,'a','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(97,6,'c','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(98,6,'mc','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(99,6,'a','./include/common/javascript/changetab.js','initChangeTab'),(100,6,'w','./include/common/javascript/changetab.js','initChangeTab'),(101,6,'c','./include/common/javascript/changetab.js','initChangeTab'),(102,6,'mc','./include/common/javascript/changetab.js','initChangeTab'),(103,601,'w','./include/common/javascript/changetab.js','initChangeTab'),(104,601,'c','./include/common/javascript/changetab.js','initChangeTab'),(105,601,'a','./include/common/javascript/changetab.js','initChangeTab'),(106,601,'mc','./include/common/javascript/changetab.js','initChangeTab'),(107,602,'w','./include/common/javascript/changetab.js','initChangeTab'),(108,602,'a','./include/common/javascript/changetab.js','initChangeTab'),(109,602,'c','./include/common/javascript/changetab.js','initChangeTab'),(110,602,'mc','./include/common/javascript/changetab.js','initChangeTab'),(111,60101,'c','./include/common/javascript/changetab.js','initChangeTab'),(112,60101,'w','./include/common/javascript/changetab.js','initChangeTab'),(113,60101,'a','./include/common/javascript/changetab.js','initChangeTab'),(114,60101,'mc','./include/common/javascript/changetab.js','initChangeTab'),(115,60103,'a','./include/common/javascript/changetab.js','initChangeTab'),(116,60103,'c','./include/common/javascript/changetab.js','initChangeTab'),(117,60103,'w','./include/common/javascript/changetab.js','initChangeTab'),(118,60103,'mc','./include/common/javascript/changetab.js','initChangeTab'),(119,60201,'a','./include/common/javascript/changetab.js','initChangeTab'),(120,60201,'w','./include/common/javascript/changetab.js','initChangeTab'),(121,60201,'c','./include/common/javascript/changetab.js','initChangeTab'),(122,60201,'mc','./include/common/javascript/changetab.js','initChangeTab'),(123,60202,'w','./include/common/javascript/changetab.js','initChangeTab'),(124,60202,'c','./include/common/javascript/changetab.js','initChangeTab'),(125,60202,'a','./include/common/javascript/changetab.js','initChangeTab'),(126,60202,'mc','./include/common/javascript/changetab.js','initChangeTab'),(127,60206,'a','./include/common/javascript/changetab.js','initChangeTab'),(128,60206,'c','./include/common/javascript/changetab.js','initChangeTab'),(129,60206,'w','./include/common/javascript/changetab.js','initChangeTab'),(130,60206,'mc','./include/common/javascript/changetab.js','initChangeTab'),(131,60902,'c','./include/common/javascript/changetab.js','initChangeTab'),(132,60703,'c','./include/common/javascript/changetab.js','initChangeTab'),(133,60703,'c','./include/common/javascript/changetab.js','initChangeTab'),(134,60903,'a','./include/common/javascript/changetab.js','initChangeTab'),(135,60903,'w','./include/common/javascript/changetab.js','initChangeTab'),(136,60903,'c','./include/common/javascript/changetab.js','initChangeTab'),(137,60902,'a','./include/common/javascript/changetab.js','initChangeTab'),(138,60902,'w','./include/common/javascript/changetab.js','initChangeTab'),(139,60902,'c','./include/common/javascript/changetab.js','initChangeTab'),(140,40201,NULL,'./include/common/javascript/codebase/dhtmlxtree.js',NULL),(141,40201,NULL,'./include/common/javascript/codebase/dhtmlxcommon.js',NULL),(142,604,'a','./include/common/javascript/changetab.js ','initChangeTab'),(143,604,'c','./include/common/javascript/changetab.js','initChangeTab'),(144,604,'w','./include/common/javascript/changetab.js','initChangeTab'),(145,604,'mc','./include/common/javascript/changetab.js','initChangeTab'),(146,60401,'c','./include/common/javascript/changetab.js','initChangeTab'),(147,60401,'w','./include/common/javascript/changetab.js','initChangeTab'),(148,60401,'a','./include/common/javascript/changetab.js','initChangeTab'),(149,60402,'c','./include/common/javascript/changetab.js','initChangeTab'),(150,60402,'w','./include/common/javascript/changetab.js','initChangeTab'),(151,60402,'a','./include/common/javascript/changetab.js','initChangeTab'),(152,60403,'c','./include/common/javascript/changetab.js','initChangeTab'),(153,60403,'w','./include/common/javascript/changetab.js','initChangeTab'),(154,60403,'a','./include/common/javascript/changetab.js','initChangeTab'),(155,60404,'c','./include/common/javascript/changetab.js','initChangeTab'),(156,60404,'w','./include/common/javascript/changetab.js','initChangeTab'),(157,60404,'a','./include/common/javascript/changetab.js','initChangeTab'),(158,60405,'a','./include/common/javascript/changetab.js','initChangeTab'),(159,60405,'c','./include/common/javascript/changetab.js','initChangeTab'),(160,60405,'w','./include/common/javascript/changetab.js','initChangeTab'),(161,60406,'c','./include/common/javascript/changetab.js','initChangeTab'),(162,60406,'w','./include/common/javascript/changetab.js','initChangeTab'),(163,60406,'a','./include/common/javascript/changetab.js','initChangeTab'),(164,60409,'a','./include/common/javascript/changetab.js','initChangeTab'),(165,60409,'w','./include/common/javascript/changetab.js','initChangeTab'),(166,60409,'c','./include/common/javascript/changetab.js','initChangeTab'),(167,20301,'','./include/common/javascript/codebase/dhtmlxcommon.js',NULL),(168,20301,'','./include/common/javascript/codebase/dhtmlxtree.js',''),(169,607,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(170,60701,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(171,60708,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(172,102,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(173,20301,NULL,'./include/common/javascript/datePicker.js',NULL),(174,203,NULL,'./include/common/javascript/codebase/dhtmlxtree.js',NULL),(175,203,NULL,'./include/common/javascript/codebase/dhtmlxcommon.js',NULL),(176,4,NULL,'./include/common/javascript/codebase/dhtmlxtree.js',NULL),(177,4,NULL,'./include/common/javascript/codebase/dhtmlxcommon.js',NULL),(178,402,NULL,'./include/common/javascript/codebase/dhtmlxtree.js',NULL),(179,402,NULL,'./include/common/javascript/codebase/dhtmlxcommon.js',NULL),(180,30703,NULL,'./include/common/javascript/Timeline/src/main/webapp/api/timeline-api.js','initTimeline'),(181,30704,NULL,'./include/common/javascript/Timeline/src/main/webapp/api/timeline-api.js','initTimeline'),(182,20206,NULL,'./include/common/javascript/ajaxMonitoring.js\r\n','initM'),(183,20207,NULL,'./include/common/javascript/ajaxMonitoring.js\r\n	','initM'),(184,60101,'a','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(185,60101,'c','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(186,60101,'mc','./include/common/javascript/commandGetArgs/cmdGetExample.js',NULL),(187,30703,NULL,'./include/common/javascript/datePicker.js',''),(188,30704,NULL,'./include/common/javascript/datePicker.js','');
/*!40000 ALTER TABLE `topology_JS` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `traps`
--

DROP TABLE IF EXISTS `traps`;
CREATE TABLE `traps` (
  `traps_id` int(11) NOT NULL auto_increment,
  `traps_name` varchar(255) default NULL,
  `traps_oid` varchar(255) default NULL,
  `traps_args` varchar(255) default NULL,
  `traps_status` enum('-1','0','1','2','3') default NULL,
  `manufacturer_id` int(11) default NULL,
  `traps_reschedule_svc_enable` enum('0','1') default '0',
  `traps_execution_command` varchar(255) default NULL,
  `traps_execution_command_enable` enum('0','1') default '0',
  `traps_submit_result_enable` enum('0','1') default '1',
  `traps_comments` text,
  UNIQUE KEY `traps_name` (`traps_name`),
  KEY `traps_id` (`traps_id`),
  KEY `traps_ibfk_1` (`manufacturer_id`),
  CONSTRAINT `traps_ibfk_1` FOREIGN KEY (`manufacturer_id`) REFERENCES `traps_vendor` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=607 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `traps`
--

LOCK TABLES `traps` WRITE;
/*!40000 ALTER TABLE `traps` DISABLE KEYS */;
INSERT INTO `traps` VALUES (1,'linkDown','.1.3.6.1.6.3.1.1.5.3','Link down on interface $2. State: $4.','2',7,'0',NULL,'0','1','A linkDown(2) trap signifies that the sending protocol entity recognizes a failure in one of the communication links represented in the agent&#039;s configuration.'),(2,'linkUp','.1.3.6.1.6.3.1.1.5.4','Link up on interface $2. State: $4.','0',7,'0',NULL,'0','1','A linkUp(3) trap signifies that the sending protocol entity recognizes that one of the communication links represented in the agent&#039;s configuration has come up.'),(3,'warmStart','.1.3.6.1.6.3.1.1.5.2','SNMP is reinitializing','0',7,'0',NULL,'0','1','A warmStart(1) trap signifies that the sending protocol entity is reinitializing itself such that neither the agent configuration nor the protocol entity implementation is altered.'),(4,'coldStart','.1.3.6.1.6.3.1.1.5.1','SNMP is restarting','1',7,'0',NULL,'0','1','A coldStart(0) trap signifies that the sending protocol entity is reinitializing itself such that the agent&#039;s configuration or the protocol entity implementation may be altered.'),(6,'unitDeparture','.1.3.6.1.4.1.43.0.89','This trap is raised by the lowest numbered unit in a stack when $*','0',3,'0',NULL,'0','1','This trap is raised by the lowest numbered unit in a stack when\na communications loss is detected to another unit. The raising of this\ntrap is optional.\nVariables:\n  1: stackUnitDesc\n  2: stackUnitSerialNumber\n'),(7,'remPollSuccessTrap','.1.3.6.1.4.1.43.0.74','This trap is generated by the EventTable (if the eventEntry  $*','0',3,'0',NULL,'0','1','This trap is generated by the EventTable (if the eventEntry \nis configured to send traps) when the remPollTable receives a reply to a poll \nafter a sequence of un- successful polls.\nVariables:\n  1: remPollAddress\n  2: remPollProtocol\n  3: remPollInformation\n'),(8,'remPollFailureTrap','.1.3.6.1.4.1.43.0.75','This trap is generated by the EventTable (if the eventEntry  $*','0',3,'0',NULL,'0','1','This trap is generated by the EventTable (if the eventEntry \nis configured to send traps) when the remPollTable fails to receive a reply to a poll.\nVariables:\n  1: remPollAddress\n  2: remPollProtocol\n  3: remPollInformation\n'),(9,'secureAddressLearned','.1.3.6.1.4.1.43.0.71','This trap is sent when a new station has been learned. The  $*','0',3,'0',NULL,'0','1','This trap is sent when a new station has been learned. The \nslot and port on which the address was received are in the first and\nsecond index of secureAddrRowStatus, and the MAC address of the learned\nstation is in the third index.\nVariables:\n  1: secureAddrRowStatus\n'),(10,'secureAddressLearned2','.1.3.6.1.4.1.43.0.85','This trap is sent when a new station has been learned. $*','0',3,'0',NULL,'0','1','This trap is sent when a new station has been learned.\nThe slot and port on which the address was received are\nin  the  first and second index of secureAddrRowStatus,\nand  the MAC  address of the learned station is in  the\nthird index.\nVariables:\n  1: secureAddrRowStatus\n  2: a3ComVlanIfGlobalIdentifier\n'),(11,'secureViolation2','.1.3.6.1.4.1.43.0.78','This trap is sent whenever a security violation has occurred.  $*','0',3,'0',NULL,'0','1','This trap is sent whenever a security violation has occurred. \nThe slot and port on which the violation occured are in the first and\nsecond index of secureAddrRowStatus, and the MAC address of the offending\nstation is in the third index. rptrPortAdminSTATUS indicates if the port\nhas been disabled because of the violation. The implementation may not\nsend violation traps from the same port at intervals of less than 5\nseconds\nVariables:\n  1: secureAddrRowStatus\n  2: rptrPortAdminStatus\n'),(12,'secureViolation3','.1.3.6.1.4.1.43.0.86','This trap is sent whenever a security violation has  $*','0',3,'0',NULL,'0','1','This trap is sent whenever a security violation has \noccured. The slot and port on which the violation occured are in the \nfirst and second index of secureAddrRowStatus, and the MAC address of \nthe offending station is in the third index. ifAdminStatus indicates\nif the port has been disabled because of the violation. \nThe implementation may not send violation traps from the same port\nat intervals of less than 5 seconds.\nVariables:\n  1: secureAddrRowStatus\n  2: ifAdminStatus\n  3: a3ComVlanIfGlobalIdentifier\n'),(13,'secureViolation4','.1.3.6.1.4.1.43.0.88','This trap is sent whenever a security violation has  $*','0',3,'0',NULL,'0','1','This trap is sent whenever a security violation has \noccurred. The slot and port on which the violation occurred are in the \nfirst and second index of secureAddrRowStatus, and the MAC address of \nthe offending station is in the third index. ifAdminStatus indicates\nif the port has been disabled because of the violation. \nThe implementation may not send violation traps from the same port\nat intervals of less than 5 seconds.\nVariables:\n  1: secureAddrRowStatus\n  2: ifAdminStatus\n'),(14,'eventGenericTrap','.1.3.6.1.4.1.43.0.82','This trap is sent to management stations when an internal  $*','0',3,'0',NULL,'0','1','This trap is sent to management stations when an internal \nRMON event is tiggered and there is no applicable specific trap. The trap \nidentifies the event index triggered and includes a value for \n\'eventDescription\'. Note that the text is not the literal value of the event \ndescription column in this table but rather the descriptive text that would have \nbeen added to the event log.\nVariables:\n  1: eventDescription\n'),(15,'brDatabaseFull','.1.3.6.1.4.1.43.0.65','This trap indicates that either the Filtering  $*','0',3,'0',NULL,'0','1','This trap indicates that either the Filtering \ndatabase, the permanent database or the ATM Downlink \ndatabase has become full. If the database occupancy \nexceeds 90% this trap will be sent also. The variable \nbindings enable the trap to be identified as refering to \nthe filtering, permanent, or ATM Downlink database, and \nto differentiate between 90% or 100% full.\nVariables:\n  1: brDatabaseType\n  2: brDatabaseLevel\n'),(16,'trapPrinterOnline','.1.3.6.1.4.1.683.6.0.1','Printer On-Line: Port $1 is On-Line','0',9,'0',NULL,'0','1','The printer is on-line.  This trap will be sent\nout after a printer error condition has been cleared.\nVariables:\n  1: outputIndex\n'),(17,'trapPrinterOffline','.1.3.6.1.4.1.683.6.0.2','Printer Off-Line: Port $1 is Off-Line','0',9,'0',NULL,'0','1','The printer is off-line.\nVariables:\n  1: outputIndex\n'),(18,'trapNoPrinterAttached','.1.3.6.1.4.1.683.6.0.3','No Printer Attached: Port $1 - No Printer Attached','0',9,'0',NULL,'0','1','No printer is attached to the output port.\nVariables:\n  1: outputIndex\n'),(19,'trapPrinterTonerLow','.1.3.6.1.4.1.683.6.0.4','Toner Low: Port $1 - Toner Low','1',9,'0',NULL,'0','1','The printer toner is low.\nVariables:\n  1: outputIndex\n'),(20,'trapPrinterPaperOut','.1.3.6.1.4.1.683.6.0.5','Printer Out of Paper: Port $1 - Out of Paper','1',9,'0',NULL,'0','1','The printer is out of paper.\nVariables:\n  1: outputIndex\n'),(21,'trapPrinterPaperJam','.1.3.6.1.4.1.683.6.0.6','Paper Jam: Port $1 - Paper Jam','2',9,'0',NULL,'0','1','The printer has a paper jam.\nVariables:\n  1: outputIndex\n'),(22,'trapPrinterDoorOpen','.1.3.6.1.4.1.683.6.0.7','Printer Door Open: Port $1 - Printer Door Open','0',9,'0',NULL,'0','1','The printer door is open.\nVariables:\n  1: outputIndex\n'),(23,'trapPrinterError','.1.3.6.1.4.1.683.6.0.16','General Printer Error: Port $1 - Printer Error','1',9,'0',NULL,'0','1','General printer error.\nVariables:\n  1: outputIndex\n'),(281,'alertAutomaticSystemRecovery','.1.3.6.1.4.1.674.10892.1.0.1006','Server Automatic System Recovery: $3','2',6,'0',NULL,'0','1','Automatic system recovery (ASR) was performed.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(295,'alertAmperageProbeNormal','.1.3.6.1.4.1.674.10892.1.0.1202','Server Amperage Normal: $3','0',6,'0',NULL,'0','1','Amperage probe has returned to a normal value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(296,'alertAmperageProbeWarning','.1.3.6.1.4.1.674.10892.1.0.1203','Server Amperage Warning: $3','1',6,'0',NULL,'0','1','Amperage probe has detected a warning value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(297,'alertAmperageProbeFailure','.1.3.6.1.4.1.674.10892.1.0.1204','Server Amperage Failure: $3','2',6,'0',NULL,'0','1','Amperage probe has detected a failure value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(298,'alertAmperageProbeNonRecoverable','.1.3.6.1.4.1.674.10892.1.0.1205','Server Amperage Non-recoverable: $3','2',6,'0',NULL,'0','1','Amperage probe has detected a non-recoverable value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(300,'alertChassisIntrusionDetected','.1.3.6.1.4.1.674.10892.1.0.1254','Server Chassis Intrusion Detected: $3','2',6,'0',NULL,'0','1','Chassis intrusion has been detected.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(313,'alertACPowerCordNoPowerNonRedundant','.1.3.6.1.4.1.674.10892.1.0.1501','Server AC Cord No Power Non-redundant: $3','0',6,'0',NULL,'0','1','AC power cord does not have power, and the reduncancy mode\nfor its AC power switch has been set to non-redundant.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(314,'alertACPowerCordNormal','.1.3.6.1.4.1.674.10892.1.0.1502','Server AC Cord Normal: $3','0',6,'0',NULL,'0','1','AC power cord has regained power.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(315,'alertACPowerCordFailure','.1.3.6.1.4.1.674.10892.1.0.1504','Server AC Cord Failure: $3','2',6,'0',NULL,'0','1','AC power cord has lost power.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(325,'alertBatteryNormal','.1.3.6.1.4.1.674.10892.1.0.1702','Server Battery Normal: $3','0',6,'0',NULL,'0','1','Battery has returned to normal.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(326,'alertBatteryWarning','.1.3.6.1.4.1.674.10892.1.0.1703','Server Battery Warning: $3','1',6,'0',NULL,'0','1','Battery has detected a warning.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(327,'alertBatteryFailure','.1.3.6.1.4.1.674.10892.1.0.1704','Server Battery Failure: $3','2',6,'0',NULL,'0','1','Battery has detected a failure.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(328,'failoverEvent','.1.3.6.1.4.1.4413.1.2.3.0.1','$*','0',6,'0',NULL,'0','1','\nThis trap is generated to indicate that adapter Fail-Over \nevent has occured\nVariables:\n  1: trapAdapterName\n  2: trapTeamName\n  3: trapCauseDirection\n  4: trapAdapterActivityCause\n'),(344,'dmtfAlert309','.1.3.6.1.4.1.674.10890.1.0.309','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Current sensor warning returned to normal\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(345,'dmtfAlert310','.1.3.6.1.4.1.674.10890.1.0.310','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Power supply lost redundancy detected\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(346,'dmtfAlert311','.1.3.6.1.4.1.674.10890.1.0.311','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Power supply regained redundancy\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(347,'dmtfAlert312','.1.3.6.1.4.1.674.10890.1.0.312','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Power supply degraded redundancy detected\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(348,'dmtfAlert313','.1.3.6.1.4.1.674.10890.1.0.313','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Power supply degraded redundancy returned to normal\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(349,'dmtfAlert314','.1.3.6.1.4.1.674.10890.1.0.314','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Power supply failure detected\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(350,'dmtfAlert315','.1.3.6.1.4.1.674.10890.1.0.315','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Power supply failure returned to normal\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(351,'dmtfAlert320','.1.3.6.1.4.1.674.10890.1.0.320','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Chassis intrusion detected\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(352,'dmtfAlert321','.1.3.6.1.4.1.674.10890.1.0.321','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Chassis intrusion returned to normal\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(353,'dmtfAlert330','.1.3.6.1.4.1.674.10890.1.0.330','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','System Up\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(354,'dmtfAlert323','.1.3.6.1.4.1.674.10890.1.0.323','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Memory ECC fault detected\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(355,'dmtfAlert325','.1.3.6.1.4.1.674.10890.1.0.325','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Lost connection to storage system\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(356,'dmtfAlert326','.1.3.6.1.4.1.674.10890.1.0.326','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Established connection to storage system\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(357,'dmtfAlert327','.1.3.6.1.4.1.674.10890.1.0.327','DMI BASEBRDD Alert Event: Event Data: ($3 on $1)','2',6,'0',NULL,'0','1','Reestablished connection to storage system\n--NMS trap annotation\nVariables:\n  1: a9999AlertSystem\n  2: a9999AlertGroup\n  3: a9999AlertMessage\n  4: a9999AlertSeverity\n  5: a9999AlertData\n'),(363,'virtualDiskCreated','.1.3.6.1.4.1.674.10893.1.1.200.0.505','Array Manager Event: Virtual Disk created: ','0',6,'0',NULL,'0','1','%s, virtual disk (%s) created.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(364,'virtualDiskDeleted','.1.3.6.1.4.1.674.10893.1.1.200.0.506','Array Manager Event: Virtual Disk deleted: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) deleted.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(365,'virtualDiskConfigChanged','.1.3.6.1.4.1.674.10893.1.1.200.0.507','Array Manager Event: Virtual Disk created: ','0',6,'0',NULL,'0','1','%s, virtual disk (%s) configuration changed from %s to %s\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n  3: oldVDConfigEv\n  4: newVDConfigEv\n'),(366,'virtualDiskFailed','.1.3.6.1.4.1.674.10893.1.1.200.0.508','Array Manager Event: Virtual Disk failed: ','3',6,'0',NULL,'0','1','%s, virtual disk (%s) failed.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(367,'virtualDiskDegraded','.1.3.6.1.4.1.674.10893.1.1.200.0.509','Array Manager Event: Virtual Disk degraded: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) degraded.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(368,'vdFailedRedundancy','.1.3.6.1.4.1.674.10893.1.1.200.0.510','Array Manager Event: Virtual Disk failed redundancy: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) is no longer redundant.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(370,'vdFormatStarted','.1.3.6.1.4.1.674.10893.1.1.200.0.521','Array Manager Event: Virtual Disk format started: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) format started.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(371,'adFormatStarted','.1.3.6.1.4.1.674.10893.1.1.200.0.522','Array Manager Event: Array Disk format started: ','1',6,'0',NULL,'0','1','%s, %s format started.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(372,'vdInitializeStarted','.1.3.6.1.4.1.674.10893.1.1.200.0.523','Array Manager Event: Virtual Disk initialization started: ','0',6,'0',NULL,'0','1','%s, virtual disk (%s) initialization started.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(373,'adInitializeStarted','.1.3.6.1.4.1.674.10893.1.1.200.0.524','Array Manager Event: Array Disk initialize started: ','1',6,'0',NULL,'0','1','%s, %s initialize started.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(374,'vdReconfigStarted','.1.3.6.1.4.1.674.10893.1.1.200.0.525','Array Manager Event: Virtual Disk Reconfiguration started: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) reconfiguration from \n%s stripe size to %s stripe size started.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n  3: oldVDConfigEv\n  4: newVDConfigEv\n'),(375,'vdRebuildStarted','.1.3.6.1.4.1.674.10893.1.1.200.0.526','Array Manager Event: Virtual Disk rebuild started: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) rebuild started.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(376,'adRebuildStarted','.1.3.6.1.4.1.674.10893.1.1.200.0.527','Array Manager Event: Array Disk rebuild started: ','1',6,'0',NULL,'0','1','%s, %s rebuild started.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(377,'adDiagStarted','.1.3.6.1.4.1.674.10893.1.1.200.0.528','Array Manager Event: Array Disk diagnostics started: ','1',6,'0',NULL,'0','1','%s, %s diagnostics started.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(379,'vdFormatCancelled','.1.3.6.1.4.1.674.10893.1.1.200.0.530','Array Manager Event: Virtual Disk format cancelled: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) format cancelled.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(380,'adFormatCancelled','.1.3.6.1.4.1.674.10893.1.1.200.0.531','Array Manager Event: Array Disk format cancelled: ','1',6,'0',NULL,'0','1','%s, %s format cancelled.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(381,'vdInitializeCancelled','.1.3.6.1.4.1.674.10893.1.1.200.0.532','Array Manager Event: Virtual Disk initialization cancelled: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) initialization cancelled.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(382,'adInitializeCancelled','.1.3.6.1.4.1.674.10893.1.1.200.0.533','Array Manager Event: Array Disk initialize cancelled: ','1',6,'0',NULL,'0','1','%s, %s initialize cancelled.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(383,'vdReconfigCancelled','.1.3.6.1.4.1.674.10893.1.1.200.0.534','Array Manager Event: Virtual Disk Reconfiguration cancelled: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) reconfiguration cancelled.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(384,'vdRebuildCancelled','.1.3.6.1.4.1.674.10893.1.1.200.0.535','Array Manager Event: Virtual Disk rebuild cancelled: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) rebuild cancelled.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(385,'adRebuildCancelled','.1.3.6.1.4.1.674.10893.1.1.200.0.536','Array Manager Event: Array Disk rebuild cancelled: ','1',6,'0',NULL,'0','1','%s, %s rebuild cancelled.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(386,'adDiagCancelled','.1.3.6.1.4.1.674.10893.1.1.200.0.537','Array Manager Event: Array Disk diagnostics cancelled: ','1',6,'0',NULL,'0','1','%s, %s diagnostics cancelled.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(388,'vdFormatFailed','.1.3.6.1.4.1.674.10893.1.1.200.0.539','Array Manager Event: Virtual Disk format failed: ','3',6,'0',NULL,'0','1','%s, virtual disk (%s) format failed.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(389,'adFormatFailed','.1.3.6.1.4.1.674.10893.1.1.200.0.540','Array Manager Event: Array Disk format failed: ','3',6,'0',NULL,'0','1','%s, %s format failed.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(390,'vdInitializeFailed','.1.3.6.1.4.1.674.10893.1.1.200.0.541','Array Manager Event: Virtual Disk initialization Failed: ','3',6,'0',NULL,'0','1','%s, virtual disk (%s) initialization Failed.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(391,'adInitializeFailed','.1.3.6.1.4.1.674.10893.1.1.200.0.542','Array Manager Event: Array Disk initialize failed: ','3',6,'0',NULL,'0','1','%s, %s initialize failed.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(392,'vdReconfigFailed','.1.3.6.1.4.1.674.10893.1.1.200.0.543','Array Manager Event: Virtual Disk Reconfiguration failed: ','3',6,'0',NULL,'0','1','%s, virtual disk (%s) reconfiguration failed.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(393,'vdRebuildFailed','.1.3.6.1.4.1.674.10893.1.1.200.0.544','Array Manager Event: Virtual Disk rebuild failed: ','3',6,'0',NULL,'0','1','%s, virtual disk (%s) rebuild failed.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(394,'adRebuildFailed','.1.3.6.1.4.1.674.10893.1.1.200.0.545','Array Manager Event: Array Disk rebuild failed: ','3',6,'0',NULL,'0','1','%s, %s rebuild failed.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(395,'adDiagFailed','.1.3.6.1.4.1.674.10893.1.1.200.0.546','Array Manager Event: Array Disk diagnostics failed: ','3',6,'0',NULL,'0','1','%s, %s diagnostics failed.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(397,'vdFormatCompleted','.1.3.6.1.4.1.674.10893.1.1.200.0.548','Array Manager Event: Virtual Disk format completed: ','0',6,'0',NULL,'0','1','%s, virtual disk (%s) format completed.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(398,'adFormatCompleted','.1.3.6.1.4.1.674.10893.1.1.200.0.549','Array Manager Event: Array Disk format completed: ','0',6,'0',NULL,'0','1','%s, %s format completed.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(399,'vdInitializeCompleted','.1.3.6.1.4.1.674.10893.1.1.200.0.550','Array Manager Event: Virtual Disk initialization completed: ','0',6,'0',NULL,'0','1','%s, virtual disk (%s) initialization completed.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(400,'adInitializeCompleted','.1.3.6.1.4.1.674.10893.1.1.200.0.551','Array Manager Event: Array Disk initialize completed: ','0',6,'0',NULL,'0','1','%s, %s initialize completed.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(401,'vdReconfigCompleted','.1.3.6.1.4.1.674.10893.1.1.200.0.552','Array Manager Event: Virtual Disk Reconfiguration completed: ','1',6,'0',NULL,'0','1','%s, virtual disk (%s) reconfiguration completed.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(402,'vdRebuildCompleted','.1.3.6.1.4.1.674.10893.1.1.200.0.553','Array Manager Event: Virtual Disk rebuild completed: ','0',6,'0',NULL,'0','1','%s, virtual disk (%s) rebuild completed.\nVariables:\n  1: controllerNameEv\n  2: virtualDiskNameEv\n'),(403,'adRebuildCompleted','.1.3.6.1.4.1.674.10893.1.1.200.0.554','Array Manager Event: Array Disk rebuild completed: ','0',6,'0',NULL,'0','1','%s, %s rebuild completed.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(404,'adDiagCompleted','.1.3.6.1.4.1.674.10893.1.1.200.0.555','Array Manager Event: Array Disk diagnostics completed: ','0',6,'0',NULL,'0','1','%s, %s diagnostics completed.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(405,'percPredictiveFailure','.1.3.6.1.4.1.674.10893.1.1.200.0.570','Array Manager Event: Predictive Failure reported: ','1',6,'0',NULL,'0','1','%s, %s reported predictive failure.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(406,'percSCSISenseData','.1.3.6.1.4.1.674.10893.1.1.200.0.571','Array Manager Event: SCSI sense data: ','1',6,'0',NULL,'0','1','%s, %s SCSI sense failure.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(413,'perc2SmartFPTExceeded','.1.3.6.1.4.1.674.10893.1.1.200.0.585','Array Manager Event: Smart FPT Exceeded: ','0',6,'0',NULL,'0','1','%s SMART:FPT EXCEEDED on %s.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(414,'perc2SmartConfigChange','.1.3.6.1.4.1.674.10893.1.1.200.0.586','Array Manager Event: Smart Config Change: ','1',6,'0',NULL,'0','1','%s SMART configuration change on %s.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(415,'perc2SmartWarning','.1.3.6.1.4.1.674.10893.1.1.200.0.587','Array Manager Event: Smart Warning: ','1',6,'0',NULL,'0','1','%s SMART Warning on %s.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(416,'perc2SmartWarningTemp','.1.3.6.1.4.1.674.10893.1.1.200.0.588','Array Manager Event: Smart warning temperature: ','1',6,'0',NULL,'0','1','%s SMART Warning temperature on %s.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(417,'perc2SmartWarningDegraded','.1.3.6.1.4.1.674.10893.1.1.200.0.589','Array Manager Event: Smart warning degraded: ','1',6,'0',NULL,'0','1','%s SMART warning degraded on %s.\nVariables:\n  1: controllerNameEv\n  2: arrayDiskNameEv\n'),(418,'perc2SmartFPTExceededTest','.1.3.6.1.4.1.674.10893.1.1.200.0.590','    Internal Controller has encountered Strong-ARM processor specific error$1 ','1',6,'0',NULL,'0','1','Internal Controller has encountered Strong-ARM processor specific error\nVariables:\n'),(464,'snTrapChasPwrSupply','.1.3.6.1.4.1.11.0.1','The SNMP trap that is generated when a power supply fails $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a power supply fails\nto operate normally.\nVariables:\n  1: snChasPwrSupplyStatus\n'),(465,'snTrapLockedAddressViolation','.1.3.6.1.4.1.11.0.2','The SNMP trap that is generated when more source MAC addresses $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when more source MAC addresses\nare received from a port than the maximum number of addresses\nconfigured to that port.\nVariables:\n  1: snSwViolatorPortNumber\n  2: snSwViolatorMacAddress\n'),(466,'snTrapOspfIfStateChange','.1.3.6.1.4.1.11.0.3','An ospfIfStateChange trap signifies that there $*','0',2,'0',NULL,'0','1','An ospfIfStateChange trap signifies that there\nhas been a change in the state of a non-virtual\nOSPF interface. This trap should  be  generated\nwhen  the interface state regresses (e.g., goes\nfrom Dr to Down) or progresses  to  a  terminal\nstate  (i.e.,  Point-to-Point, DR Other, Dr, or\nBackup).\nVariables:\n  1: snOspfRouterId\n  2: snOspfIfStatusIpAddress\n  3: snOspfIfStatusState\n'),(467,'snTrapOspfVirtIfStateChange','.1.3.6.1.4.1.11.0.4','An ospfIfStateChange trap signifies that there $*','0',2,'0',NULL,'0','1','An ospfIfStateChange trap signifies that there\nhas  been a change in the state of an OSPF vir-\ntual interface.\nThis trap should be generated when  the  inter-\nface  state  regresses  (e.g., goes from Point-\nto-Point to Down) or progresses to  a  terminal\nstate (i.e., Point-to-Point).\nVariables:\n  1: snOspfRouterId\n  2: snOspfVirtIfStatusAreaID\n  3: snOspfVirtIfStatusNeighbor\n  4: snOspfVirtIfStatusState\n'),(468,'snOspfNbrStateChange','.1.3.6.1.4.1.11.0.5','An  ospfNbrStateChange  trap  signifies   that $*','0',2,'0',NULL,'0','1','An  ospfNbrStateChange  trap  signifies   that\nthere  has been a change in the state of a non-\nvirtual OSPF neighbor.   This  trap  should  be\ngenerated  when  the  neighbor  state regresses\n(e.g., goes from Attempt or Full  to  1-Way  or\nDown)  or progresses to a terminal state (e.g.,\n2-Way or Full).  When an  neighbor  transitions\nfrom  or  to Full on non-broadcast multi-access\nand broadcast networks, the trap should be gen-\nerated  by the designated router.  A designated\nrouter transitioning to Down will be  noted  by\nospfIfStateChange.\nVariables:\n  1: snOspfRouterId\n  2: snOspfNbrIpAddr\n  3: snOspfNbrRtrId\n  4: snOspfNbrState\n'),(469,'snOspfVirtNbrStateChange','.1.3.6.1.4.1.11.0.6','An ospfIfStateChange trap signifies that there $*','0',2,'0',NULL,'0','1','An ospfIfStateChange trap signifies that there\nhas  been a change in the state of an OSPF vir-\ntual neighbor.  This trap should  be  generated\nwhen  the  neighbor state regresses (e.g., goes\nfrom Attempt or  Full  to  1-Way  or  Down)  or\nprogresses to a terminal state (e.g., Full).\nVariables:\n  1: snOspfRouterId\n  2: snOspfVirtNbrArea\n  3: snOspfVirtNbrRtrId\n  4: snOspfVirtNbrState\n'),(470,'snOspfIfConfigError','.1.3.6.1.4.1.11.0.7','An ospfIfConfigError  trap  signifies  that  a $*','0',2,'0',NULL,'0','1','An ospfIfConfigError  trap  signifies  that  a\npacket  has  been received on a non-virtual in-\nterface  from  a  router  whose   configuration\nparameters  conflict  with this router\'s confi-\nguration parameters.  Note that the  event  op-\ntionMismatch  should  cause  a  trap only if it\nprevents an adjacency from forming.\nVariables:\n  1: snOspfRouterId\n  2: snOspfIfStatusIpAddress\n  3: snOspfPacketSrc\n  4: snOspfConfigErrorType\n  5: snOspfPacketType\n'),(471,'snOspfVirtIfConfigError','.1.3.6.1.4.1.11.0.8','An ospfConfigError trap signifies that a pack- $*','0',2,'0',NULL,'0','1','An ospfConfigError trap signifies that a pack-\net  has  been  received  on a virtual interface\nfrom a router  whose  configuration  parameters\nconflict   with   this  router\'s  configuration\nparameters.  Note that the event optionMismatch\nshould  cause a trap only if it prevents an ad-\njacency from forming.\nVariables:\n  1: snOspfRouterId\n  2: snOspfVirtIfStatusAreaID\n  3: snOspfVirtIfStatusNeighbor\n  4: snOspfConfigErrorType\n  5: snOspfPacketType\n'),(472,'snOspfIfAuthFailure','.1.3.6.1.4.1.11.0.9','An ospfIfAuthFailure  trap  signifies  that  a $*','0',2,'0',NULL,'0','1','An ospfIfAuthFailure  trap  signifies  that  a\npacket  has  been received on a non-virtual in-\nterface from a router whose authentication  key\nor  authentication  type  conflicts  with  this\nrouter\'s authentication key  or  authentication\ntype.\nVariables:\n  1: snOspfRouterId\n  2: snOspfIfStatusIpAddress\n  3: snOspfPacketSrc\n  4: snOspfConfigErrorType\n  5: snOspfPacketType\n'),(473,'snOspfVirtIfAuthFailure','.1.3.6.1.4.1.11.0.10','An ospfVirtIfAuthFailure trap signifies that a $*','0',2,'0',NULL,'0','1','An ospfVirtIfAuthFailure trap signifies that a\npacket has been received on a virtual interface\nfrom a router whose authentication key  or  au-\nthentication  type conflicts with this router\'s\nauthentication key or authentication type.\nVariables:\n  1: snOspfRouterId\n  2: snOspfVirtIfStatusAreaID\n  3: snOspfVirtIfStatusNeighbor\n  4: snOspfConfigErrorType\n  5: snOspfPacketType\n'),(474,'snOspfIfRxBadPacket','.1.3.6.1.4.1.11.0.11','An ospfIfRxBadPacket trap  signifies  that  an $*','0',2,'0',NULL,'0','1','An ospfIfRxBadPacket trap  signifies  that  an\nOSPF  packet has been received on a non-virtual\ninterface that cannot be parsed.\nVariables:\n  1: snOspfRouterId\n  2: snOspfIfStatusIpAddress\n  3: snOspfPacketSrc\n  4: snOspfPacketType\n'),(475,'snOspfVirtIfRxBadPacket','.1.3.6.1.4.1.11.0.12','An ospfRxBadPacket trap signifies that an OSPF $*','0',2,'0',NULL,'0','1','An ospfRxBadPacket trap signifies that an OSPF\npacket has been received on a virtual interface\nthat cannot be parsed.\nVariables:\n  1: snOspfRouterId\n  2: snOspfVirtIfStatusAreaID\n  3: snOspfVirtIfStatusNeighbor\n  4: snOspfPacketType\n'),(476,'snOspfTxRetransmit','.1.3.6.1.4.1.11.0.13','An ospfTxRetransmit  trap  signifies  than  an $*','0',2,'0',NULL,'0','1','An ospfTxRetransmit  trap  signifies  than  an\nOSPF  packet  has  been retransmitted on a non-\nvirtual interface.  All packets that may be re-\ntransmitted  are associated with an LSDB entry.\nThe LS type, LS ID, and Router ID are  used  to\nidentify the LSDB entry.\nVariables:\n  1: snOspfRouterId\n  2: snOspfIfStatusIpAddress\n  3: snOspfNbrRtrId\n  4: snOspfPacketType\n  5: snOspfLsdbType\n  6: snOspfLsdbLsId\n  7: snOspfLsdbRouterId\n'),(477,'ospfVirtIfTxRetransmit','.1.3.6.1.4.1.11.0.14','An ospfTxRetransmit  trap  signifies  than  an $*','0',2,'0',NULL,'0','1','An ospfTxRetransmit  trap  signifies  than  an\nOSPF packet has been retransmitted on a virtual\ninterface.  All packets that may be retransmit-\nted  are  associated with an LSDB entry. The LS\ntype, LS ID, and Router ID are used to identify\nthe LSDB entry.\nVariables:\n  1: snOspfRouterId\n  2: snOspfVirtIfStatusAreaID\n  3: snOspfVirtIfStatusNeighbor\n  4: snOspfPacketType\n  5: snOspfLsdbType\n  6: snOspfLsdbLsId\n  7: snOspfLsdbRouterId\n'),(478,'snOspfOriginateLsa','.1.3.6.1.4.1.11.0.15','An ospfOriginateLsa trap signifies that a  new $*','0',2,'0',NULL,'0','1','An ospfOriginateLsa trap signifies that a  new\nLSA  has  been originated by this router.  This\ntrap should not be invoked for simple refreshes\nof  LSAs  (which happesn every 30 minutes), but\ninstead will only be invoked  when  an  LSA  is\n(re)originated due to a topology change.  Addi-\ntionally, this trap does not include LSAs  that\nare  being  flushed  because  they have reached\nMaxAge.\nVariables:\n  1: snOspfRouterId\n  2: snOspfLsdbAreaId\n  3: snOspfLsdbType\n  4: snOspfLsdbLsId\n  5: snOspfLsdbRouterId\n'),(479,'snOspfMaxAgeLsa','.1.3.6.1.4.1.11.0.16','An ospfMaxAgeLsa trap signifies  that  one  of $*','0',2,'0',NULL,'0','1','An ospfMaxAgeLsa trap signifies  that  one  of\nthe LSA in the router\'s link-state database has\naged to MaxAge.\nVariables:\n  1: snOspfRouterId\n  2: snOspfLsdbAreaId\n  3: snOspfLsdbType\n  4: snOspfLsdbLsId\n  5: snOspfLsdbRouterId\n'),(480,'snOspfLsdbOverflow','.1.3.6.1.4.1.11.0.17','An ospfLsdbOverflow trap  signifies  that  the $*','0',2,'0',NULL,'0','1','An ospfLsdbOverflow trap  signifies  that  the\nnumber of LSAs in the router\'s link-state data-\nbase has exceeded ospfExtLsdbLimit.\nVariables:\n  1: snOspfRouterId\n  2: snOspfExtLsdbLimit\n'),(481,'snOspfLsdbApproachingOverflow','.1.3.6.1.4.1.11.0.18','An ospfLsdbApproachingOverflow trap  signifies $*','0',2,'0',NULL,'0','1','An ospfLsdbApproachingOverflow trap  signifies\nthat  the  number of LSAs in the router\'s link-\nstate database has exceeded ninety  percent  of\nospfExtLsdbLimit.\nVariables:\n  1: snOspfRouterId\n  2: snOspfExtLsdbLimit\n'),(482,'snTrapL4MaxSessionLimitReached','.1.3.6.1.4.1.11.0.19','The SNMP trap that is generated when the maximum number $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the maximum number\nof connections reached.\nVariables:\n  1: snL4MaxSessionLimit\n'),(483,'snTrapL4TcpSynLimitReached','.1.3.6.1.4.1.11.0.20','The SNMP trap that is generated when the number of TCP $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the number of TCP\nSYN limits reached.\nVariables:\n  1: snL4TcpSynLimit\n'),(484,'snTrapL4RealServerUp','.1.3.6.1.4.1.11.0.21','The SNMP trap that is generated when the load balancing $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the load balancing\nreal server is up.\nVariables:\n  1: snL4TrapRealServerIP\n  2: snL4TrapRealServerName\n'),(485,'snTrapL4RealServerDown','.1.3.6.1.4.1.11.0.22','The SNMP trap that is generated when the load balancing $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the load balancing\nreal server is down.\nVariables:\n  1: snL4TrapRealServerIP\n  2: snL4TrapRealServerName\n'),(486,'snTrapL4RealServerPortUp','.1.3.6.1.4.1.11.0.23','The SNMP trap that is generated when the load balancing $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the load balancing\nreal server TCP port is up.\nVariables:\n  1: snL4TrapRealServerIP\n  2: snL4TrapRealServerName\n  3: snL4TrapRealServerPort\n'),(487,'snTrapL4RealServerPortDown','.1.3.6.1.4.1.11.0.24','The SNMP trap that is generated when the load balancing $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the load balancing\nreal server TCP port is down.\nVariables:\n  1: snL4TrapRealServerIP\n  2: snL4TrapRealServerName\n  3: snL4TrapRealServerPort\n'),(488,'snTrapL4RealServerMaxConnectionLimitReached','.1.3.6.1.4.1.11.0.25','The SNMP trap that is generated when the real server reaches $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the real server reaches\nmaximum number of connections.\nVariables:\n  1: snL4TrapRealServerIP\n  2: snL4TrapRealServerName\n  3: snL4TrapRealServerCurConnections\n'),(489,'snTrapL4BecomeStandby','.1.3.6.1.4.1.11.0.26','The SNMP trap that is generated when the server load $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the server load\nbalancing switch changes state from active to standby.\nVariables:\n'),(490,'snTrapL4BecomeActive','.1.3.6.1.4.1.11.0.27','The SNMP trap that is generated when the server load $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the server load\nbalancing switch changes state from standby to active.\nVariables:\n'),(491,'snTrapModuleInserted','.1.3.6.1.4.1.11.0.28','The SNMP trap that is generated when a module was inserted $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a module was inserted\nto the chassis during system running.\nVariables:\n  1: snAgentBrdIndex\n'),(492,'snTrapModuleRemoved','.1.3.6.1.4.1.11.0.29','The SNMP trap that is generated when a module was removed $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a module was removed\nfrom the chassis during system running.\nVariables:\n  1: snAgentBrdIndex\n'),(493,'snTrapChasPwrSupplyFailed','.1.3.6.1.4.1.11.0.30','The SNMP trap that is generated when a power supply fails $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a power supply fails\nto operate normally.\nVariables:\n  1: snChasPwrSupplyIndex\n  2: snChasPwrSupplyDescription\n'),(494,'snTrapChasFanFailed','.1.3.6.1.4.1.11.0.31','The SNMP trap that is generated when a fan fails $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a fan fails\nto operate normally.\nVariables:\n  1: snChasFanIndex\n  2: snChasFanDescription\n'),(495,'snTrapLockedAddressViolation2','.1.3.6.1.4.1.11.0.32','The SNMP trap that is generated when more source MAC addresses $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when more source MAC addresses\nare received from a port than the maximum number of addresses\nconfigured to that port.\nVariables:\n  1: snAgGblTrapMessage\n'),(496,'snTrapFsrpIfStateChange','.1.3.6.1.4.1.11.0.33','The SNMP trap that is generated when a FSRP routing device $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a FSRP routing device\nchanged state from active to standby or vice-versa.\nVariables:\n  1: snAgGblTrapMessage\n'),(497,'snTrapVrrpIfStateChange','.1.3.6.1.4.1.11.0.34','The SNMP trap that is generated when a VRRP routing device $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a VRRP routing device\nchanged state from master to backup or vice-versa.\nVariables:\n  1: snAgGblTrapMessage\n'),(498,'snTrapMgmtModuleRedunStateChange','.1.3.6.1.4.1.11.0.35','The SNMP trap that is generated when the management module $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the management module\nchanges redundancy state.\nVariables:\n  1: snAgGblTrapMessage\n'),(499,'snTrapTemperatureWarning','.1.3.6.1.4.1.11.0.36','The SNMP trap that is generated when the actual temperature $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the actual temperature\nreading is above the warning temperature threshold.\nVariables:\n  1: snAgGblTrapMessage\n'),(500,'snTrapAccessListDeny','.1.3.6.1.4.1.11.0.37','The SNMP trap that is generated when a packet was denied $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a packet was denied\nby an access list.\nVariables:\n  1: snAgGblTrapMessage\n'),(501,'snTrapMacFilterDeny','.1.3.6.1.4.1.11.0.38','The SNMP trap that is generated when a packet was denied $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a packet was denied\nby a MAC address filter.\nVariables:\n  1: snAgGblTrapMessage\n'),(502,'snTrapL4GslbRemoteUp','.1.3.6.1.4.1.11.0.39','The SNMP trap that is generated when the connection to the remote SI is established. $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the connection to the remote SI is established.\nVariables:\n  1: snAgGblTrapMessage\n'),(503,'snTrapL4GslbRemoteDown','.1.3.6.1.4.1.11.0.40','The SNMP trap that is generated when the connection to the remote SI is down. $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the connection to the remote SI is down.\nVariables:\n  1: snAgGblTrapMessage\n'),(504,'snTrapL4GslbRemoteControllerUp','.1.3.6.1.4.1.11.0.41','The SNMP trap that is generated when the connection to the GSLB SI is established. $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the connection to the GSLB SI is established.\nVariables:\n  1: snAgGblTrapMessage\n'),(505,'snTrapL4GslbRemoteControllerDown','.1.3.6.1.4.1.11.0.42','The SNMP trap that is generated when the connection to the GSLB SI is down. $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when the connection to the GSLB SI is down.\nVariables:\n  1: snAgGblTrapMessage\n'),(506,'snTrapL4GslbHealthCheckIpUp','.1.3.6.1.4.1.11.0.43','The SNMP trap that is generated when GSLB health check for an address transitions $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when GSLB health check for an address transitions\nfrom down to active state.\nVariables:\n  1: snAgGblTrapMessage\n'),(507,'snTrapL4GslbHealthCheckIpDown','.1.3.6.1.4.1.11.0.44','The SNMP trap that is generated when GSLB health check for an address transitions $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when GSLB health check for an address transitions\nfrom active to down state.\nVariables:\n  1: snAgGblTrapMessage\n'),(508,'snTrapL4GslbHealthCheckIpPortUp','.1.3.6.1.4.1.11.0.45','The SNMP trap that is generated when a given port for a health check address is up. $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a given port for a health check address is up.\nVariables:\n  1: snAgGblTrapMessage\n'),(509,'snTrapL4GslbHealthCheckIpPortDown','.1.3.6.1.4.1.11.0.46','The SNMP trap that is generated when a given port for a health check address is down. $*','0',2,'0',NULL,'0','1','The SNMP trap that is generated when a given port for a health check address is down.\nVariables:\n  1: snAgGblTrapMessage\n'),(512,'tapeAlertTrap3','.1.3.6.1.4.1.11.2.3.9.7.1.0.3','HP TapeAlert #3: Hba$1:Channel$2:ScsiID$3 Tape Device Has Detected Read or Write Data Error','1',2,'0',NULL,'0','1','The operation has stopped because an error has\noccured while reading or writing data which the\ndrive cannot correct.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(513,'tapeAlertTrap4','.1.3.6.1.4.1.11.2.3.9.7.1.0.4','HP TapeAlert #4: Hba$1:Channel$2:ScsiID$3 Tape Device Has Detected Faulty Media [$4]','2',2,'0',NULL,'0','1','Your data is at risk:\n1. Copy any data you require from this tape\n2. Do not use this tape again\n3. Restart the operation with a different tape\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n  4: currentMedia\n'),(514,'tapeAlertTrap5','.1.3.6.1.4.1.11.2.3.9.7.1.0.5','HP TapeAlert #5: Hba$1:Channel$2:ScsiID$3 Tape Device May Have Read Fault - Call Helpline','2',2,'0',NULL,'0','1','The tape is damaged or the drive is faulty.\nCall the tape drive supplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(515,'tapeAlertTrap6','.1.3.6.1.4.1.11.2.3.9.7.1.0.6','HP TapeAlert #6: Hba$1:Channel$2:ScsiID$3 Tape Device May Have Write Fault - Call Helpline','2',2,'0',NULL,'0','1','The tape is from a faulty batch or the tape drive\nis faulty:\n1. Use a good tape to test the drive.\n2. If the problem persists, call the tape drive \nsupplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(516,'tapeAlertTrap7','.1.3.6.1.4.1.11.2.3.9.7.1.0.7','HP TapeAlert #7: Hba$1:Channel$2:ScsiID$3 Tape Device Has Detected Worn Out Media [$4]','1',2,'0',NULL,'0','1','The tape cartridge has reached the end of its \ncalculated useful life:\n1. Copy any data you need to another tape\n2. Discard the old tape.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n  4: currentMedia\n'),(517,'tapeAlertTrap8','.1.3.6.1.4.1.11.2.3.9.7.1.0.8','HP TapeAlert #8: Hba$1:Channel$2:ScsiID$3 Media Loaded In Tape Device Is Not Data Grade','1',2,'0',NULL,'0','1','The tape cartridge is not data-grade. \nAny data you back up to the tape is at risk. \nReplace the cartridge with a data-grade tape.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(518,'tapeAlertTrap9','.1.3.6.1.4.1.11.2.3.9.7.1.0.9','HP TapeAlert #9: Hba$1:Channel$2:ScsiID$3 Tape Device Attempted Backup to Write-Protected Tape','2',2,'0',NULL,'0','1','You are trying to write to a write-protected \ncartridge. Remove the write-protection or use \nanother tape.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(533,'tapeAlertTrap29','.1.3.6.1.4.1.11.2.3.9.7.1.0.29','HP TapeAlert #29: Hba$1:Channel$2:ScsiID$3 Tape Device Requires Preventative Maintenance','1',2,'0',NULL,'0','1','Preventive maintenance of the tape drive is required.\nCheck the tape drive users manual for device specific \npreventive maintenance tasks or call the tape drive \nsupplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(534,'tapeAlertTrap30','.1.3.6.1.4.1.11.2.3.9.7.1.0.30','HP TapeAlert #30: Hba$1:Channel$2:ScsiID$3 Tape Device Has Hardware Fault - Reset Drive','2',2,'0',NULL,'0','1','The tape drive has a hardware fault:\n1. Eject the tape or magazine.\n2. Reset the drive.\n3. Restart the operation.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(535,'tapeAlertTrap31','.1.3.6.1.4.1.11.2.3.9.7.1.0.31','HP TapeAlert #31: Hba$1:Channel$2:ScsiID$3 Tape Device Has Hardware Fault - Call Helpline','2',2,'0',NULL,'0','1','The tape drive has a hardware fault:\n1. Turn the tape drive off and then on again.\n2. Restart the operation.\n3. If the problem persists, call the tape \ndrive supplier helpline.\nCheck the tape drive users manual for device specific \ninstructions on turning the device power on and off.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(536,'tapeAlertTrap32','.1.3.6.1.4.1.11.2.3.9.7.1.0.32','HP TapeAlert #32: Hba$1:Channel$2:ScsiID$3 Tape Device Has Host Interface Fault','1',2,'0',NULL,'0','1','The tape drive has a problem with the host \ninterface:\n1. Check the cables and cable connections.\n2. Restart the operation.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(537,'tapeAlertTrap33','.1.3.6.1.4.1.11.2.3.9.7.1.0.33','HP TapeAlert #33: Hba$1:Channel$2:ScsiID$3 Tape Device Has Eject Media Request','2',2,'0',NULL,'0','1','The operation has failed:\n1. Eject the tape or magazine.\n2. Insert the tape or magazine again.\n3. Restart the operation.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(538,'tapeAlertTrap34','.1.3.6.1.4.1.11.2.3.9.7.1.0.34','HP TapeAlert #34: Hba$1:Channel$2:ScsiID$3 Tape Device Has Firmware Download Fault','1',2,'0',NULL,'0','1','The firmware download has failed because you \nhave tried to use the incorrect firmware for \nthis tape drive.\nObtain the correct firmware and try again.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(539,'tapeAlertTrap35','.1.3.6.1.4.1.11.2.3.9.7.1.0.35','HP TapeAlert #35: Hba$1:Channel$2:ScsiID$3 Tape Device Humidity Specification Exceeded','1',2,'0',NULL,'0','1','Environmental conditions inside the tape drive are \nexceeding the humidity specifications\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(540,'tapeAlertTrap36','.1.3.6.1.4.1.11.2.3.9.7.1.0.36','HP TapeAlert #36: Hba$1:Channel$2:ScsiID$3 Tape Device Temperature Specification Exceeded','1',2,'0',NULL,'0','1','Environmental conditions inside the tape drive are \nexceeding the temperature specifications\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(541,'tapeAlertTrap37','.1.3.6.1.4.1.11.2.3.9.7.1.0.37','HP TapeAlert #37: Hba$1:Channel$2:ScsiID$3 Tape Device Voltage Specification Exceeded','1',2,'0',NULL,'0','1','The voltage supply to the tape drive exceeds specifications\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(542,'tapeAlertTrap38','.1.3.6.1.4.1.11.2.3.9.7.1.0.38','HP TapeAlert #38: Hba$1:Channel$2:ScsiID$3 Tape Device Predicted to Fail - Call Helpline','2',2,'0',NULL,'0','1','A hardware failure of the tape drive is predicted. \nCall the tape drive supplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(543,'tapeAlertTrap39','.1.3.6.1.4.1.11.2.3.9.7.1.0.39','HP TapeAlert #39: Hba$1:Channel$2:ScsiID$3 Tape Device May Have Hardware Fault - Run Diagnostics','1',2,'0',NULL,'0','1','The tape drive may have a hardware fault.\nRun extended diagnostics to verify and diagnose the problem.\nCheck the tape drive users manual for device specific \ninstructions on running extended diagnostic tests.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(544,'tapeAlertTrap40','.1.3.6.1.4.1.11.2.3.9.7.1.0.40','HP TapeAlert #40: Hba$1:Channel$2:ScsiID$3 Tape Device Has Autoloader Communications Fault','2',2,'0',NULL,'0','1','The changer mechanism is having difficulty \ncommunicating with the tape drive:\n1. Turn the autoloader off then on.\n2. Restart the operation.\n3. If problem persists, call the tape drive \nsupplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(545,'tapeAlertTrap41','.1.3.6.1.4.1.11.2.3.9.7.1.0.41','HP TapeAlert #41: Hba$1:Channel$2:ScsiID$3 Tape Device Detects Stray Tape In Autoloader','2',2,'0',NULL,'0','1','A tape has been left in the autoloader by a \nprevious hardware fault:\n1. Insert an empty magazine to clear the fault.\n2. If the fault does not clear, turn the autoloader \noff and then on again.\n3. If the problem persists, call the tape drive \nsupplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(546,'tapeAlertTrap42','.1.3.6.1.4.1.11.2.3.9.7.1.0.42','HP TapeAlert #42: Hba$1:Channel$2:ScsiID$3 Tape Device Has Autoloader Mechanism Fault','1',2,'0',NULL,'0','1','There is a problem with the autoloader mechanism.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(547,'tapeAlertTrap43','.1.3.6.1.4.1.11.2.3.9.7.1.0.43','HP TapeAlert #43: Hba$1:Channel$2:ScsiID$3 Tape Device Has Autoloader Door Open','2',2,'0',NULL,'0','1','The operation has failed because the autoloader \ndoor is open:\n1. Clear any obstructions from the autoloader door.\n2. Eject the magazine and then insert it again.\n3. If the fault does not clear, turn the autoloader \noff and then on again.\n4. If the problem persists, call the tape drive \nsupplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(548,'tapeAlertTrap44','.1.3.6.1.4.1.11.2.3.9.7.1.0.44','HP TapeAlert #44: Hba$1:Channel$2:ScsiID$3 Autoloader Has Hardware Fault - Call Helpline','2',2,'0',NULL,'0','1','The autoloader has a hardware fault:\n1. Turn the autoloader off and then on again.\n2. Restart the operation.\n3. If the problem persists, call the tape drive supplier helpline.\nCheck the autoloader users manual for device specific \ninstructions on turning the device power on and off.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(549,'tapeAlertTrap45','.1.3.6.1.4.1.11.2.3.9.7.1.0.45','HP TapeAlert #45: Hba$1:Channel$2:ScsiID$3 Autoloader Cannot Operate Without Magazine','2',2,'0',NULL,'0','1','The autoloader cannot operate without the magazine.\n1. Insert the magazine into the autoloader\n2. Restart the operation.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(550,'tapeAlertTrap46','.1.3.6.1.4.1.11.2.3.9.7.1.0.46','HP TapeAlert #46: Hba$1:Channel$2:ScsiID$3 Autoloader Predicted to Fail - Call Helpline','1',2,'0',NULL,'0','1','A hardware failure of the changer mechanism is predicted. \nCall the tape drive supplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(557,'tapeAlertTrap262','.1.3.6.1.4.1.11.2.3.9.7.1.0.262','HP TapeAlert #262: Hba$1:Channel$2:ScsiID$3 Library Predicted to Fail - Call Helpline','1',2,'0',NULL,'0','1','A hardware failure of the library is predicted. \nCall the library supplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(559,'tapeAlertTrap264','.1.3.6.1.4.1.11.2.3.9.7.1.0.264','HP TapeAlert #264: Hba$1:Channel$2:ScsiID$3 Library Humidity Specification Exceeded','2',2,'0',NULL,'0','1','General environmental conditions inside the library have \nexceeded the humidity specifications.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(561,'tapeAlertTrap266','.1.3.6.1.4.1.11.2.3.9.7.1.0.266','HP TapeAlert #266: Hba$1:Channel$2:ScsiID$3 Library Voltage Specification Exceeded','2',2,'0',NULL,'0','1','he voltage supply to the library exceeds specifications.  \nThere is a potential problem with the power supply or failure \nof a redundant power supply\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(562,'tapeAlertTrap267','.1.3.6.1.4.1.11.2.3.9.7.1.0.267','HP TapeAlert #267: Hba$1:Channel$2:ScsiID$3 Library Detects Stray Tape In Drive','2',2,'0',NULL,'0','1','A cartridge has been left in a drive inside the library by a \nprevious hardware fault:\n1. Insert an empty magazine to clear the fault.\n2. If the fault does not clear, turn the library off and then on again.\n3. If the problem persists, call the library supplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(563,'tapeAlertTrap268','.1.3.6.1.4.1.11.2.3.9.7.1.0.268','HP TapeAlert #268: Hba$1:Channel$2:ScsiID$3 Library Has Problems Picking Cartridge from Slot','1',2,'0',NULL,'0','1','There is a potential problem with a drive ejecting cartridges short or \nwith the library mechanism picking a cartridge from a slot.\n1. No action needs to be taken at this time. \n2. If the problem persists, call the library supplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(564,'tapeAlertTrap269','.1.3.6.1.4.1.11.2.3.9.7.1.0.269','HP TapeAlert #269: Hba$1:Channel$2:ScsiID$3 Library Has Problems Placing Cartridge into Slot','1',2,'0',NULL,'0','1','There is a potential problem with the library mechanism \nplacing a cartridge into a slot\n1. No action needs to be taken at this time. \n2. If the problem persists, call the library supplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(565,'tapeAlertTrap270','.1.3.6.1.4.1.11.2.3.9.7.1.0.270','HP TapeAlert #270: Hba$1:Channel$2:ScsiID$3 Library Has Problems Loading Cartridge into Drive','1',2,'0',NULL,'0','1','There is a potential problem with a drive or the library \nmechanism loading cartridges, or an incompatible cartridge.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(566,'tapeAlertTrap271','.1.3.6.1.4.1.11.2.3.9.7.1.0.271','HP TapeAlert #271: Hba$1:Channel$2:ScsiID$3 Library Door is Open','2',2,'0',NULL,'0','1','The operation has failed because the library door is open:\n1. Clear any obstructions from the library door.\n2. Close the library door.\n3. If the problem persists, call the library supplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(567,'tapeAlertTrap272','.1.3.6.1.4.1.11.2.3.9.7.1.0.272','HP TapeAlert #272: Hba$1:Channel$2:ScsiID$3 Library Has Mechanical Fault with Mailslot','2',2,'0',NULL,'0','1','There is a mechanical problem with the \nlibrary media import/export mailslot.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(568,'tapeAlertTrap273','.1.3.6.1.4.1.11.2.3.9.7.1.0.273','HP TapeAlert #273: Hba$1:Channel$2:ScsiID$3 Library Cannot Operate Without Magazine','2',2,'0',NULL,'0','1','The library cannot operate without the magazine.\n1. Insert the magazine into the library\n2. Restart the operation.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(569,'tapeAlertTrap274','.1.3.6.1.4.1.11.2.3.9.7.1.0.274','HP TapeAlert #274: Hba$1:Channel$2:ScsiID$3 Library Security Has Been Compromised','1',2,'0',NULL,'0','1','Library security has been compromised\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(570,'tapeAlertTrap275','.1.3.6.1.4.1.11.2.3.9.7.1.0.275','HP TapeAlert #275: Hba$1:Channel$2:ScsiID$3 Library Security Mode Changed','0',2,'0',NULL,'0','1','The security mode of the library has been changed.\nThe library has either been put into secure mode, \nor the library has exited the secure mode.\nThis is for information purposes only. No action is required.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(571,'tapeAlertTrap276','.1.3.6.1.4.1.11.2.3.9.7.1.0.276','HP TapeAlert #276: Hba$1:Channel$2:ScsiID$3 Library Manually Turned Offline','0',2,'0',NULL,'0','1','The library has been manually turned offline and is unavailable for use.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(572,'tapeAlertTrap277','.1.3.6.1.4.1.11.2.3.9.7.1.0.277','HP TapeAlert #277: Hba$1:Channel$2:ScsiID$3 Library Drive Turned Offline','0',2,'0',NULL,'0','1','A drive inside the library has been taken offline.\nThis is for information purposes only. No action is required.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(573,'tapeAlertTrap278','.1.3.6.1.4.1.11.2.3.9.7.1.0.278','HP TapeAlert #278: Hba$1:Channel$2:ScsiID$3 Library Has Problems Reading Barcode Labels','1',2,'0',NULL,'0','1','There is a potential problem with the barcode label or \nthe scanner hardware in the library mechanism.\n1. No action needs to be taken at this time. \n2. If the problem persists, call the library supplier helpline.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(574,'tapeAlertTrap279','.1.3.6.1.4.1.11.2.3.9.7.1.0.279','HP TapeAlert #279: Hba$1:Channel$2:ScsiID$3 Library Inventory is Inconsistent','2',2,'0',NULL,'0','1','The library has detected a inconsistency in its inventory.\n1. Redo the library inventory to correct inconsistency.\n2. Restart the operation \nCheck the applications users manual or the hardware users \nmanual for specific instructions on redoing the library inventory.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(575,'tapeAlertTrap280','.1.3.6.1.4.1.11.2.3.9.7.1.0.280','HP TapeAlert #280: Hba$1:Channel$2:ScsiID$3 Invalid Library Operation Attempted','1',2,'0',NULL,'0','1','A library operation has been attempted that is invalid at this time.\nVariables:\n  1: hbaNumber\n  2: hbaChannel\n  3: driveScsiID\n'),(576,'alertSystemUp','.1.3.6.1.4.1.674.10892.1.0.1001','Server Administrator Startup Complete: $3','0',6,'0',NULL,'0','1','Server Administrator has completed its initialization.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(577,'alertThermalShutdown','.1.3.6.1.4.1.674.10892.1.0.1004','Server Thermal Shutdown: $3','2',6,'0',NULL,'0','1','Thermal shutdown protection has been initiated.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(578,'alertTemperatureProbeNormal','.1.3.6.1.4.1.674.10892.1.0.1052','Server Temperature Normal: $3','0',6,'0',NULL,'0','1','Temperature probe has returned to a normal value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(579,'alertTemperatureProbeWarning','.1.3.6.1.4.1.674.10892.1.0.1053','Server Temperature Warning: $3','1',6,'0',NULL,'0','1','Temperature probe has detected a warning value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(580,'alertTemperatureProbeFailure','.1.3.6.1.4.1.674.10892.1.0.1054','Server Temperature Failure: $3','2',6,'0',NULL,'0','1','Temperature probe has detected a failure value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(581,'alertTemperatureProbeNonRecoverable','.1.3.6.1.4.1.674.10892.1.0.1055','Server Temperature Non-recoverable: $3','2',6,'0',NULL,'0','1','Temperature probe has detected a non-recoverable value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(582,'alertCoolingDeviceNormal','.1.3.6.1.4.1.674.10892.1.0.1102','Server Cooling Device Normal: $3','0',6,'0',NULL,'0','1','Cooling device sensor has returned to a normal value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(583,'alertCoolingDeviceWarning','.1.3.6.1.4.1.674.10892.1.0.1103','Server Cooling Device Warning: $3','1',6,'0',NULL,'0','1','Cooling device sensor has detected a warning value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(584,'alertCoolingDeviceFailure','.1.3.6.1.4.1.674.10892.1.0.1104','Server Cooling Device Failure: $3','2',6,'0',NULL,'0','1','Cooling device sensor has detected a failure value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(585,'alertCoolingDeviceNonRecoverable','.1.3.6.1.4.1.674.10892.1.0.1105','Server Cooling Device Non-recoverable: $3','2',6,'0',NULL,'0','1','Cooling device sensor has detected a non-recoverable value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(586,'alertVoltageProbeNormal','.1.3.6.1.4.1.674.10892.1.0.1152','Server Voltage Normal: $3','0',6,'0',NULL,'0','1','Voltage probe has returned to a normal value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(587,'alertVoltageProbeWarning','.1.3.6.1.4.1.674.10892.1.0.1153','Server Voltage Warning: $3','1',6,'0',NULL,'0','1','Voltage probe has detected a warning value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(588,'alertVoltageProbeFailure','.1.3.6.1.4.1.674.10892.1.0.1154','Server Voltage Failure: $3','2',6,'0',NULL,'0','1','Voltage probe has detected a failure value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(589,'alertVoltageProbeNonRecoverable','.1.3.6.1.4.1.674.10892.1.0.1155','Server Voltage Non-recoverable: $3','2',6,'0',NULL,'0','1','Voltage probe has detected a non-recoverable value.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(590,'alertChassisIntrusionNormal','.1.3.6.1.4.1.674.10892.1.0.1252','Server Chassis Intrusion Normal: $3','0',6,'0',NULL,'0','1','Chassis intrusion has returned to normal.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(591,'alertRedundancyNormal','.1.3.6.1.4.1.674.10892.1.0.1304','Server Redundancy Normal: $3','0',6,'0',NULL,'0','1','Redundancy has returned to normal.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(592,'alertRedundancyDegraded','.1.3.6.1.4.1.674.10892.1.0.1305','Server Redundancy Degraded: $3','1',6,'0',NULL,'0','1','Redundancy has been degraded.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(593,'alertRedundancyLost','.1.3.6.1.4.1.674.10892.1.0.1306','Server Redundancy Lost: $3','2',6,'0',NULL,'0','1','Redundancy has been lost.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(594,'alertPowerSupplyNormal','.1.3.6.1.4.1.674.10892.1.0.1352','Server Power Supply Normal: $3','0',6,'0',NULL,'0','1','Power supply has returned to normal.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(595,'alertPowerSupplyFailure','.1.3.6.1.4.1.674.10892.1.0.1354','Server Power Supply Failure: $3','2',6,'0',NULL,'0','1','Power supply has failed.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(596,'alertMemoryDeviceWarning','.1.3.6.1.4.1.674.10892.1.0.1403','Server Memory ECC Count Warning: $3','1',6,'0',NULL,'0','1','Memory device ECC correctable error count crossed a warning threshold.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(597,'alertMemoryDeviceFailure','.1.3.6.1.4.1.674.10892.1.0.1404','Server Memory ECC Count Failure: $3','2',6,'0',NULL,'0','1','Memory device ECC correctable error count crossed a failure threshold.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(598,'alertMemoryDeviceNonRecoverable','.1.3.6.1.4.1.674.10892.1.0.1405','Server Memory ECC Count Non-recoverable: $3','2',6,'0',NULL,'0','1','Memory device ECC correctable error count crossed a non-recoverable threshold.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(599,'alertFanEnclosureInsertion','.1.3.6.1.4.1.674.10892.1.0.1452','Server Fan Enclosure Insertion: $3','0',6,'0',NULL,'0','1','Fan enclosure has been inserted into system.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(600,'alertFanEnclosureRemoval','.1.3.6.1.4.1.674.10892.1.0.1453','Server Fan Enclosure Removal: $3','1',6,'0',NULL,'0','1','Fan enclosure has been removed from system.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(601,'alertFanEnclosureExtendedRemoval','.1.3.6.1.4.1.674.10892.1.0.1454','Server Fan Enclosure Extended Removal: $3','2',6,'0',NULL,'0','1','Fan enclosure has been removed from system for an extended amount of time.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(602,'alertLogNormal','.1.3.6.1.4.1.674.10892.1.0.1552','Server Log Normal: $3','0',6,'0',NULL,'0','1','Log size returned to a normal level.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(603,'alertLogWarning','.1.3.6.1.4.1.674.10892.1.0.1553','Server Log Warning: $3','1',6,'0',NULL,'0','1','Log size is near or at capacity.\n--Novell NMS trap annotation\nVariables:\n  1: alertSystem\n  2: alertTableIndexOID\n  3: alertMessage\n  4: alertCurrentStatus\n  5: alertPreviousStatus\n  6: alertData\n'),(604,'ciscoConfigManEvent','.1.3.6.1.4.1.9.9.43.2.0.1','Notification of a configuration management event as $*','0',1,'0',NULL,'0','1','Notification of a configuration management event as\nrecorded in ccmHistoryEventTable.\nVariables:\n  1: ccmHistoryEventCommandSource\n  2: ccmHistoryEventConfigSource\n  3: ccmHistoryEventConfigDestination\n'),(605,'ccmCLIRunningConfigChanged','.1.3.6.1.4.1.9.9.43.2.0.2','This notification indicates that the running $*','0',1,'0',NULL,'0','1','This notification indicates that the running\nconfiguration of the managed system has changed\nfrom the CLI.\nIf the managed system supports a separate \nconfiguration mode(where the configuration commands \nare entered under a  configuration session which \naffects the running configuration of the system), \nthen this notification is sent when the configuration \nmode is exited.\nDuring this configuration session there can be \none or more running configuration changes.\nVariables:\n  1: ccmHistoryRunningLastChanged\n  2: ccmHistoryEventTerminalType\n'),(606,'ccmCTIDRolledOver','.1.3.6.1.4.1.9.9.43.2.0.3','This notification indicates that the Config Change Tracking $*','0',1,'0',NULL,'0','1','This notification indicates that the Config Change Tracking\nID has rolled over and will be reset.\nVariables:\n');
/*!40000 ALTER TABLE `traps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `traps_service_relation`
--

DROP TABLE IF EXISTS `traps_service_relation`;
CREATE TABLE `traps_service_relation` (
  `tsr_id` int(11) NOT NULL auto_increment,
  `traps_id` int(11) default NULL,
  `service_id` int(11) default NULL,
  PRIMARY KEY  (`tsr_id`),
  KEY `service_index` (`service_id`),
  KEY `traps_index` (`traps_id`),
  CONSTRAINT `traps_service_relation_ibfk_2` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `traps_service_relation_ibfk_3` FOREIGN KEY (`traps_id`) REFERENCES `traps` (`traps_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `traps_service_relation`
--

LOCK TABLES `traps_service_relation` WRITE;
/*!40000 ALTER TABLE `traps_service_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `traps_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `traps_vendor`
--

DROP TABLE IF EXISTS `traps_vendor`;
CREATE TABLE `traps_vendor` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(254) default NULL,
  `alias` varchar(254) default NULL,
  `description` text,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `traps_vendor`
--

LOCK TABLES `traps_vendor` WRITE;
/*!40000 ALTER TABLE `traps_vendor` DISABLE KEYS */;
INSERT INTO `traps_vendor` VALUES (1,'Cisco','Cisco Networks',''),(2,'HP','HP Networks',''),(3,'3com','3Com',NULL),(4,'Linksys','Linksys',''),(6,'Dell','Dell',''),(7,'Generic','Generic','References Generic Traps'),(8,'Apache','Apache',''),(9,'Zebra','Zebra',''),(10,'SQL-Server','SQL-Server',''),(11,'HP-Compaq','HP and Compaq Systems','');
/*!40000 ALTER TABLE `traps_vendor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `view_img`
--

DROP TABLE IF EXISTS `view_img`;
CREATE TABLE `view_img` (
  `img_id` int(11) NOT NULL auto_increment,
  `img_name` varchar(255) default NULL,
  `img_path` varchar(255) default NULL,
  `img_comment` text,
  PRIMARY KEY  (`img_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `view_img`
--

LOCK TABLES `view_img` WRITE;
/*!40000 ALTER TABLE `view_img` DISABLE KEYS */;
/*!40000 ALTER TABLE `view_img` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `view_img_dir`
--

DROP TABLE IF EXISTS `view_img_dir`;
CREATE TABLE `view_img_dir` (
  `dir_id` int(11) NOT NULL auto_increment,
  `dir_name` varchar(255) default NULL,
  `dir_alias` varchar(255) default NULL,
  `dir_comment` text,
  PRIMARY KEY  (`dir_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `view_img_dir`
--

LOCK TABLES `view_img_dir` WRITE;
/*!40000 ALTER TABLE `view_img_dir` DISABLE KEYS */;
/*!40000 ALTER TABLE `view_img_dir` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `view_img_dir_relation`
--

DROP TABLE IF EXISTS `view_img_dir_relation`;
CREATE TABLE `view_img_dir_relation` (
  `vidr_id` int(11) NOT NULL auto_increment,
  `dir_dir_parent_id` int(11) default NULL,
  `img_img_id` int(11) default NULL,
  PRIMARY KEY  (`vidr_id`),
  KEY `directory_parent_index` (`dir_dir_parent_id`),
  KEY `image_index` (`img_img_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `view_img_dir_relation`
--

LOCK TABLES `view_img_dir_relation` WRITE;
/*!40000 ALTER TABLE `view_img_dir_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `view_img_dir_relation` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2009-03-01 13:24:57
